<?php
/******************************************************************************
 *
 *  (C) 2010 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
// 공통 상수 선언
// 페이지 상수는 "g_"로 시작한다.
define("g_inc_type_inc", "INC");
define("g_inc_type_var", "VAR");

define("g_quar_head", "ORG_");

define("g_file_path", "/");
define("g_main_separate", "|");
define("g_sub_separate", "#");
define("g_main_separate_p", "\\|");

$g_scan_ing = 3;
define("g_scan_standby", 1);
define("g_scan_start", 2);
define("g_scan_ing", $g_scan_ing);
define("g_scan_stop", 4);
define("g_scan_pause", 5);
define("g_scan_restart", 6);
define("g_scan_path", 7);
define("g_scan_end", 8);
define("g_scan_dir_count_start", 9);
define("g_cure_start", 10);
define("g_cure_ing", 11);
define("g_cure_index", 12);
define("g_cure_stop", 13);
define("g_update_standby", 14);
define("g_update_ing", 16);

define("g_web_security_off", 0);
define("g_web_security_on", 1);

define("g_file_down_success", 0);
define("g_file_down_not_success", 1);

/* Log Level */
define("g_LOG_OFF", 0);
define("g_LOG_ALERT", 1);
define("g_LOG_FATAL", 2);
define("g_LOG_ERROR", 3);
define("g_LOG_WARNING", 4);
define("g_LOG_NORMAL", 5);
define("g_LOG_NOTICE", 6);
define("g_LOG_INFORM", 7);
define("g_LOG_DEBUG", 8);

$GLOBALS["g_msg_type"] = "ko_kr";
$GLOBALS["g_msg_text"] = array();
$GLOBALS["g_filescan_status"] = array( g_scan_standby => "SCAN_STANDBY"
        ,g_scan_start => "SCAN_START"
        ,g_scan_ing => "SCAN_ING"
        ,g_scan_stop => "SCAN_STOP"
        ,g_scan_pause => "SCAN_PAUSE"
        ,g_scan_restart => "SCAN_RESTART"
        ,g_scan_path => "SCAN_PATH"
        ,g_scan_end => "SCAN_END"
        ,g_scan_dir_count_start => "SCAN_DIR_COUNT_START"
        ,g_cure_start => "CURE_START"
        ,g_cure_ing => "CURE_ING"
        ,g_cure_index => "CURE_INDEX"
        ,g_cure_stop => "CURE_STOP");

if (file_exists("/etc/v3dl.install.conf")){
    define("g_install_conf_file", "/etc/v3dl.install.conf");
    define("g_v3net_conf_file", $APP_DIR."../conf/v3dld.conf");
    define("g_lighttpd_conf_file", $APP_DIR."../conf/lighttpd.conf");
}

define("g_scan_resume_file", $APP_DIR."../resume/scan_manual");

// PHP 5.4 이상에서는 사용하지 않는 magic_quotes_gpc 값을 강제로 false 로 만드는 코드부
// FIXME: Unix의 PHP 버전이 5.4 이상이 되면 삭제해도 무방. (현재 ver 5.3.2)
if(get_magic_quotes_gpc()) {
    $process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
    while(list($key, $val) = each($process)) {
        foreach($val as $k => $v) {
            unset($process[$key][$k]);
            if(is_array($v)) {
                $process[$key][stripslashes($k)] = $v;
                $process[] = &$process[$key][stripslashes($k)];
            } else {
                $process[$key][stripslashes($k)] = stripslashes($v);
            }
        }
    }

    unset($process);
}

// 공통 함수 선언
require_once $INC_DIR . "common_util.inc.php";

if (file_exists(g_install_conf_file)){
    $data = file_get_contents(g_install_conf_file, FILE_TEXT);
    preg_match("/language=([^\s]*)/i", $data, $matchData);
    $g_msg_type = strtolower(nvl($matchData[1], $g_msg_type));
}

include_once $INC_DIR . "common_page.inc.php";

include_once $INC_DIR . "filescan_protocol.inc.php";

include_once $INC_DIR . "eula_check.inc.php";

include_once $INC_DIR . "sqllite_db.inc.php";

// $NEED_FEATURE_CHECK = true 로 설정된 페이지에 한해
include_once $INC_DIR . "feature_check.inc.php";

?>
