<?php

inc_func(g_inc_type_var, "msg_com");
inc_func(g_inc_type_var, "msg_fram");
inc_func(g_inc_type_var, "msg_fram");
inc_func(g_inc_type_var, "msg_logi_dupl");
inc_func(g_inc_type_var, "msg_logi_off");

function getSymbolByQuantity($bytes,$sizename,$IsUnit=true,$Point_num='0') {
    if(!$bytes)return;

    $symbols = array($GLOBALS["g_msg_text"]["com"]["unit02"]
                   , $GLOBALS["g_msg_text"]["com"]["unit03"]
                   , $GLOBALS["g_msg_text"]["com"]["unit04"]
                   , $GLOBALS["g_msg_text"]["com"]["unit05"]);
    if($sizename == 'auto')
    {
         $exp = floor(log($bytes)/log(1024));
    }
    else
    {
        $exp = $sizename;
    }
    $symbols = ($IsUnit)?$symbols[$exp]:"";
    $ret_value =number_format($bytes/pow(1024, floor($exp)),$Point_num);
    //return sprintf("%.".$Point_num."f".$symbols, $ret_value);
    return $ret_value.$symbols;
}

function getTitle()
{
    if (getProduct() == "v3dl")
    {
        return $GLOBALS["g_msg_text"]["com"]["product_name"];
    }
    else if(getProduct() == "v3ll")
    {
        return $GLOBALS["g_msg_text"]["com"]["product_name_openos"];
    }
}

function getPageMenu($page_name)
{
    $rtn = "";
    $rtn .= "<li".(($page_name == "mnu01")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."summary.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu01"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu02")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."filecheck.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu02"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu03")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."update.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu03"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu05")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."log.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu05"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu06")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."quarantine.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu06"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu07")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."statistics.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu07"]."</a></li>";
    $rtn .= "<li".(($page_name == "mnu08")?" class=\"select\"":"")."><a href=\"".$GLOBALS["SRC_ROOT"]."setting.php\">".$GLOBALS["g_msg_text"]["fram"]["mnu08"]."</a></li>";
    return $rtn;
}
function page_start($title="", $js = array(), $css = array())
{
    if ($title == "") $title = getTitle();

    $modTime = filemtime(__DIR__."/../../css/style.css");
    $rtn =<<<__HTML_HEAD__
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" type="text/css" href="{$GLOBALS["CSS_ROOT"]}style.css?mod={$modTime}" media="all" />
    <script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}prototype.js"></script>
    <script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}filescan_common.js.php"></script>
    <script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}function.js"></script>
    <script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}common.js"></script>
    <script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}jquery.js"></script>
    <script language="javascript" type="text/javascript">
    <!--//Jquery, Prototype 충돌 방지를 위한
    jQuery.noConflict();
    var j$ = jQuery;
    </script>
	<script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}showModalDialog.js"></script>
	<script language="javascript" type="text/javascript" src="{$GLOBALS["JS_ROOT"]}showModalDialogCallee.js"></script>
__HTML_HEAD__;
    foreach($js as $value){
        $rtn .= "    <script language=\"javascript\" type=\"text/javascript\" src=\"".$GLOBALS["JS_ROOT"].$value.".js\"></script>\n";
    }
    foreach($css as $value){
        $rtn .= "    <link rel=\"stylesheet\" type=\"text/css\" href=\"".$GLOBALS["CSS_ROOT"].$value.".css\" media=\"all\" />\n";
    }
    $rtn .=<<<__HTML_HEAD__
    <title>{$title}</title>
</head>
__HTML_HEAD__;
    return $rtn;
}
function page_common_js()
{
    $rtn =<<<__HTML_HEAD__
    <script language="javascript" type="text/javascript">
        var checkSessiontimer = null;
        var retryCount = 0;
        var checkSession = function() {
            var ajaxOptions = {
                onSuccess: function(result) {
                    
                    if(result.status === 0) {
                        // 서버와의 접속이 안되는 상태 (ex. Server Restart)
                        // 5회(15초) 까지는 재 시도한다. 이후에는 에러
                        if(++retryCount === 5) {
                            if(checkSessiontimer) window.clearInterval(checkSessiontimer);
                            checkSessiontimer = null;
                            self.location.href="/";
                        }
                    } else {
                        retryCount = 0;
                        switch(result.responseText){
                        case "SESSION_TIMEOUT":
                            if(checkSessiontimer) window.clearInterval(checkSessiontimer);
                            checkSessiontimer = null;
    
                            alert("{$GLOBALS["g_msg_text"]["logi_off"]["des01"]}");
                            self.location.href="/";
                            break;
    
                        case "DUPLICATE_LOGIN":
                            if(checkSessiontimer) window.clearInterval(checkSessiontimer);
                            checkSessiontimer = null;
    
                            alert("{$GLOBALS["g_msg_text"]["logi_dupl"]["des01"]}");
                            self.location.href="/";
                            break;
                         
                        case "NOT_DUPLICATE_LOGIN":
                            break;
    
                        case "ERROR":
                        default:
                            if(checkSessiontimer) window.clearInterval(checkSessiontimer);
                            checkSessiontimer = null;
                            self.location.href="/";
                            break;
                        }
                    }
                }
            };

            new Ajax.Request("{$SRC_ROOT}session_check.php", ajaxOptions);
        };

        checkSessiontimer = window.setInterval(checkSession, 3 * 1000);

    </script>
__HTML_HEAD__;
    return $rtn;
}
function page_body($page_name="mnu01", $pageLoad="")
{
    if (getProduct() == "v3dl")
    {
        $pageci = "top_ci_linux_desktop.gif";
        $favicon = "";
    }
    else if(getProduct() == "v3ll")
    {
        $pageci = "top_ci_linux_v3lite.gif";
        $favicon = "ahnlab_v3_lite_favicon.ico";
    }
    $pageInit = ($pageLoad != "")?" onload=\"javascript:".$pageLoad."\"":"";
    $menu = getPageMenu($page_name);
    $rtn =<<<__HTML_HEAD__

<body{$pageInit}>
<link rel="shortcut icon" href="{$GLOBALS["IMG_ROOT"]}{$favicon}">
<div class="wrap">
<!-- header -->
    <div class="header">
    <h1 class="ci"><a href="{$GLOBALS["SRC_ROOT"]}summary.php"><img src="{$GLOBALS["IMG_ROOT"]}{$pageci}" alt="{$title}"></a></h1>
        <div class="menu">
            <ul>
            <li class="first"><a href="javascript:callProdInfo();">{$GLOBALS["g_msg_text"]["fram"]["mnu09"]}</a></li>
            <li><a href="javascript:openHelp('{$page_name}');">{$GLOBALS["g_msg_text"]["fram"]["mnu10"]}</a></li>
            </ul>
        </div>
    </div>
<!-- //header -->
    <div class="container"><div class="contents-box">   <div class="contents">
<!-- Left Menu -->
        <div class="leftMenu">
            <ul>
{$menu}
            </ul>
        </div>
<!-- //Left Menu -->
        <div class="cont">
            <div class="contBoxTop"></div><div class="contBoxTopRight"></div>
            <div class="contBox">
<!-- Contents Area -->
__HTML_HEAD__;
    return $rtn;
}
function page_body_end()
{
    $rtn =<<<__HTML_TAIL__
<!-- //Contents Area -->
            </div>
        </div>
    </div></div></div> <!-- //contetns   contents-box   container -->
<!-- Footer -->
    <div class="footer"><div class="footerCont"><div class="contBoxBt"></div><div class="contBoxBtRight"></div></div></div>
<!-- //Footer -->
</div>
</body>
__HTML_TAIL__;
    return $rtn;
}
function page_end($js="")
{
    $rtn = "</html>".(($js == "")?"":"<script language='javascript'> $js </scirpt>");
    return $rtn;
}
function page_header($page_name="mnu01")
{
    $rtn = page_start();
    $rtn .= pate_body($page_name);
    return $rtn;
}
function page_tail()
{
    $rtn = page_body_end();
    $rtn .= page_end();
    return $rtn;
}
?>
