<?php
/******************************************************************************
 *
 *  (C) 2010 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/

$g_login_id = nvl($_SESSION["LOGIN_ID"]);

/*
$g_db->open();
$query = " select language from server_info where no=1;";
$rsLanguage=$g_db->getrow($query);
$g_db->close();
$g_msg_type = strtolower(nvl($rsLanguage["language"], "ko_kr"));
*/

function relocate_page()
{
    echo page_start();
    echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
function initPage() {top.location.href='/';}
//-->
</script>
<body onLoad="javascript:initPage()">
</body>
__HTML_TEXT__;
    echo page_end();
}

if (isOsLinux()) $GLOBALS["g_help_url"] = "http://www.ahnlab.com/redir/006/webhelp.rdir?locale=".$g_msg_type;
else $GLOBALS["g_help_url"] = "http://www.ahnlab.com/redir/007/webhelp.rdir?locale=".$g_msg_type;

// What is PAGE_LOGIN?
//
// 1: 비로그인 상태 (php / db 세션 없음)
// 2: 모든 세션 유지하는 *_proc.php (html코드 없음)
// 3: php 세션만 유지
// 4: php 세션만 유지하는 *_proc.php (html코드 없음)
// 번호없음: 모든 세션 유지
if (nvl($GLOBALS["PAGE_LOGIN"]) != "1") {
    $relocate = false;

    if (nvl($GLOBALS["PAGE_LOGIN"]) == "3" || nvl($GLOBALS["PAGE_LOGIN"]) == "4") {
        if ($g_login_id == "" || nvl($_SESSION["LOGIN_TIME"]) == "") {
            loginSessionClear();
            if (nvl($GLOBALS["PAGE_LOGIN"]) != "4") $relocate = true;
        }
    } else {
        try {
            $g_db_session->open();

            $query = "select login_session, active_time from session_info where no=1;";
            $rs = $g_db_session->getrow($query);
            if ($g_db_session->error_code() != SQLITE_OK) {
                PHPLOG(g_LOG_DEBUG, 0, "login_check.inc : Failed to get session_info");
                throw new Exception();
            }

            PHPLOG(g_LOG_DEBUG, 0, "PHP Session(".$_SESSION["LOGIN_SESSION"].")");
            PHPLOG(g_LOG_DEBUG, 0, "DB Session(".$rs["login_session"].")");
            PHPLOG(g_LOG_DEBUG, 0, "Current Time(".dateNow().")");
            PHPLOG(g_LOG_DEBUG, 0, "Active Time(".$rs["active_time"].")");

            $bDupLogin = ($_SESSION["LOGIN_SESSION"] != $rs["login_session"]) ? true : false;
            $bSessionTimeout = (10*60 < (strtotime(dateNow()) - strtotime($rs["active_time"]))) ? true : false;

            if ($g_login_id && nvl($_SESSION["LOGIN_TIME"]) && $bDupLogin == false && $bSessionTimeout == false) {
                if (nvl($GLOBALS["SESSION_NOT_UPDATE"]) == false) {
                    $query = "update session_info set active_time = '".dateNow()."' where no=1;";
                    $g_db_session->exec($query);
                    if ($g_db_session->error_code() != SQLITE_OK) {
                        PHPLOG(g_LOG_ERROR, 0, "login_check.inc : Failed to update session_info");
                        throw new Exception();
                    }

                    PHPLOG(g_LOG_DEBUG, 0, "login_check.inc : update session_info");
                }
            } else {
                loginSessionClear();

                if ($bSessionTimeout) {
                    $query = "delete from session_info";
                    $g_db_session->exec($query);
                    if ($g_db_session->error_code() != SQLITE_OK) {
                        PHPLOG(g_LOG_ERROR, 0, "login_check.inc : Failed to delete session_info");
                        throw new Exception();
                    }
                 
                    PHPLOG(g_LOG_DEBUG, 0, "login_check.inc : delete session_info");
                }
                
                if (nvl($GLOBALS["PAGE_LOGIN"]) != "2") {
                    $relocate = true;
                }
            }
        } catch (Exception $e) {
            loginSessionClear();
            $relocate = true;
        }
        
        $g_db_session->close();
    }

    if ($relocate) {
        relocate_page();
        exit;
    }
}
?>
