<?
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 1;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan_medc");
inc_func(g_inc_type_var, "msg_logm_evnt");
inc_func(g_inc_type_var, "msg_logm_virs");

$export = $_REQUEST["export"];

$statusKey  = "";
$query      = "";
$csvHead    = "";
$exportLang = "utf-8";
$csvOut     = "";
$csvHead    = mb_convert_encoding($csvHead, $exportLang, "auto");

$g_db->open();
try {
    if (strtoupper($export) == "EVENT") {
        /* 언어별 이벤트로그 문자열 include */
        inc_func(g_inc_type_var, "msg_event_log_1000");
        inc_func(g_inc_type_var, "msg_event_log_2000");
        inc_func(g_inc_type_var, "msg_event_log_3000");
        inc_func(g_inc_type_var, "msg_event_log_4000");
        inc_func(g_inc_type_var, "msg_event_log_5000");
        inc_func(g_inc_type_var, "msg_event_log_6000");
        inc_func(g_inc_type_var, "msg_event_log_7000");

        $csvHead = "\"" . $g_msg_text["logm_evnt"]["clt01"] . "\",\"" . $g_msg_text["logm_evnt"]["clt02"] . "\",\"" . $g_msg_text["logm_evnt"]["clt03"] . "\"\n";
        $arrStatus = array(1=>$g_msg_text["logm_evnt"]["des02"], $g_msg_text["logm_evnt"]["des03"]);

        /* event_log2_code */
        $query = " SELECT    no, DATETIME(time) AS time, level, code, args "
                ." FROM      event_log2_code "
                ." ORDER BY  no DESC "
                ." LIMIT     65535;";

        $rs = $g_db->queryAll($query);
        foreach ($rs as $key=>$value) {

            /* code와 args를 로그 메시지로 변환한다 */
            $convertedCodeToMsg = replaceArgsToString($g_msg_text["event_log_".$value["code"][0]."000"][$value["code"]][1], 
                                                      explode('||', 
                                                      $value["args"]));

            /* 문자열 인코딩 */
            $tm  = mb_convert_encoding($value["time"],              $exportLang, "auto");
            $lv  = mb_convert_encoding($arrStatus[$value["level"]], $exportLang, "auto");
            $msg = mb_convert_encoding($convertedCodeToMsg,         $exportLang, "auto");

            /* csv 출력 */
            $csvOut = $csvOut . "\"" . $tm . "\",\"" . $lv . "\",\"" . $msg . "\"\n";
        }

        /* event_log */
        $query = " SELECT no, DATETIME(time) AS time, level, message "
                ." FROM      event_log "
                ." ORDER BY  no DESC "
                ." LIMIT     65535;";

        $rs = $g_db->queryAll($query);
        foreach($rs as $key=>$value) {
            /* 문자열 인코딩 */
            $tm  = mb_convert_encoding($value["time"],              $exportLang, "auto");
            $lv  = mb_convert_encoding($arrStatus[$value["level"]], $exportLang, "auto");
            $msg = mb_convert_encoding($value["message"],           $exportLang, "auto");

            /* csv 출력 */
            $csvOut = $csvOut . "\"" . $tm . "\",\"" . $lv . "\",\"" . $msg . "\"\n";
        }

    } else if (strtoupper($export) == "VIRUS") {
        $csvHead = "\"" . $g_msg_text["logm_virs"]["clt01"] . "\",\""
                        . $g_msg_text["logm_virs"]["clt02"] . "\",\""
                        . $g_msg_text["logm_virs"]["clt03"] . "\",\""
                        . $g_msg_text["logm_virs"]["clt06"] . "\",\""
                        . $g_msg_text["logm_virs"]["clt04"] . "\"\n";

        $arrStatus = array($g_msg_text["scan_medc"]["txt11"],
                           $g_msg_text["scan_medc"]["txt07"],
                           $g_msg_text["scan_medc"]["txt09"],
                           $g_msg_text["scan_medc"]["txt08"],
                           $g_msg_text["scan_medc"]["txt10"],
                           $g_msg_text["scan_medc"]["txt13"],
                           $g_msg_text["scan_medc"]["txt12"],
                           $g_msg_text["scan_medc"]["txt14"],
                           $g_msg_text["scan_medc"]["txt15"],
                           $g_msg_text["scan_medc"]["txt16"]);

        $arrScanType = array( 1 => $g_msg_text["logm_virs"]["txt01"],
                              2 => $g_msg_text["logm_virs"]["txt02"],
                              3 => $g_msg_text["logm_virs"]["txt03"],
                              4 => $g_msg_text["logm_virs"]["txt04"]);

        $query = "SELECT time, virus_name, status, scan_type, file_name FROM virus_log" 
                ." ORDER BY no DESC LIMIT 65535;";

        $rs = $g_db->queryAll($query);
        foreach($rs as $rowdata){
            $tmp = "";
            foreach($rowdata as $key=>$value){

                if ($key == "status") {
                    $tmp .= ",\"" . mb_convert_encoding($arrStatus[$value],                $exportLang, "auto") . "\"";
                } else if($key == 'scan_type') {
                    $tmp .= ",\"" . mb_convert_encoding($arrScanType[$value ? $value : 1], $exportLang, "auto") . "\"";
                } else {
                    $tmp .= ",\"" . mb_convert_encoding($value,                            $exportLang, "auto") . "\"";
                }
            }
            $csvOut .= substr($tmp, 1)."\n";
        }
    } else {
        throw new Exception();
    }

    $csvOut = "\xEF\xBB\xBF".$csvHead.$csvOut;

    $g_db->close();

    if (strtoupper($export) == "EVENT") {
        makeEventLog("event_log_5000", "5004");
    } else if (strtoupper($export) == "VIRUS") {
        makeEventLog("event_log_5000", "5002");
    }
} catch(Exception $e){
    $g_db->close();
    $csvOut = "";
    //header("Content-Type: application/force-download;charset=utf-8");
}
header("Pragma: dummy=bogus");
header("Expires: 0");
header("Cache-Control: private");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0", false);
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Content-Type: text/csv; charset=UTF-8");
if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') === false) {
    header("Content-Disposition: attachment; filename=\"".$export.".csv\"");
}
else {
    header("Content-Disposition: attachment; filename=\"".rawurlencode($export.".csv")."\"");
}
header("Content-Transfer-Encoding: binary");
header("Content-Encoding: UTF-8");
header("Content-Length: ".strlen($csvOut));

echo $csvOut;
ob_flush();

?>
