<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan");
inc_func(g_inc_type_var, "msg_scan_medc_alrt01");
inc_func(g_inc_type_var, "msg_scan_ulst");
inc_func(g_inc_type_var, "msg_scan_ulst_alrt01");
inc_func(g_inc_type_var, "msg_scan_schd_alrt03");
inc_func(g_inc_type_var, "msg_scan_schd_alrt04");
inc_func(g_inc_type_var, "msg_scan_schd_list");
inc_func(g_inc_type_var, "msg_summ_stts02");
inc_func(g_inc_type_var, "msg_updt_alrt03");
inc_func(g_inc_type_var, "msg_scan_alrt");
inc_func(g_inc_type_var, "msg_scan_cont");

try {
    $g_db->open();

    $query=" select count(*), ifnull(reserve_use, 1) as reserve_use from info where no = 1; ";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }
    
    $reservCheck = ($rs["reserve_use"] == 1)?"checked":"";

    $g_db->setTrans();
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = "delete from temp_dir where session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = "delete from temp_scan_option where session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = "delete from temp_reserve where session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = "delete from temp_user_list where session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " insert into temp_scan_option (target, extension_on, extension, cure_option, compress_option, auto_cure, move_quarantine, compress_use, session, sess_status, scan_option_no, cpu_usage "
            ." , period_use, period, resume_use, filesize_use, filesize) "
            ." select a.target, a.extension_on, a.extension, a.cure_option, a.compress_option, a.auto_cure, a.move_quarantine, a.compress_use , '".strDb($_SESSION["LOGIN_SESSION"])."', 0, a.no, a.cpu_usage "
            .", a.period_use, a.period, a.resume_use, a.filesize_use, a.filesize"
            ." from   scan_option a join reserve b on (a.no = b.scan_option_no) ";
            //." where  ifnull(b.type, 1) = 1; ";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " insert into temp_reserve (scan_option_no , name , cycle , view_time , cure_time, status , type , session , sess_status , reserve_no ) "
            ." select b.no, a.name , a.cycle , a.view_time , a.cure_time, a.status , ifnull(a.type, 1) , '".strDb($_SESSION["LOGIN_SESSION"])."', 0, a.no "
            ." from   reserve a join temp_scan_option b on (a.scan_option_no = b.scan_option_no) "
            ." where  b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' ;";
            //." and    ifnull(a.type, 1) = 1 ";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " insert into temp_user_list ( name , session , sess_status , user_list_no ) "
            ." select name , '".strDb($_SESSION["LOGIN_SESSION"])."', 0, no "
            ." from   user_list; ";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " insert into temp_dir ( reserve_no, user_list_no, path, session, sess_status, dir_no ) "
            ." select b.no, null, a.path , '".strDb($_SESSION["LOGIN_SESSION"])."', 0, a.no "
            ." from   dir a left join temp_reserve b on (a.reserve_no = b.reserve_no) "
            ." where  b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
            ." union  all"
            ." select null, c.no, a.path , '".strDb($_SESSION["LOGIN_SESSION"])."', 0, a.no "
            ." from   dir a left join temp_user_list c on (a.user_list_no = c.user_list_no) "
            ." where  c.session = '".strDb($_SESSION["LOGIN_SESSION"])."' ;";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $g_db->commit();
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }
} catch(Exception $e) {
    $g_db->rollback();
}

$g_db->close();

$viewTabMenu = nvl($_REQUEST["tabmenu"], 1);
if ($viewTabMenu != "2") $viewTabMenu = "1";

$root_text = getTitle();

echo page_start("", array("ahnlabtree"), array("ahnlabtree"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
var aTree = null;
var scanSchd_flag;
var bResumeUse = 0;
var scanDir;

function returnValue(obj){
    //console.log(scanSchd_flag);
    //console.log(obj);

	if( (scanSchd_flag == 'resv_add') && (obj == "OK"))
	{
		alert("{$g_msg_text["com"]["save"]}");
	}
	else if ((scanSchd_flag == 'resv_mod') && (obj == "OK"))
	{
		alert("{$g_msg_text["com"]["mod"]}");
	}
	else if ((scanSchd_flag == 'ulst_add') && (obj == "OK"))
	{
		alert("{$g_msg_text["com"]["save"]}");
	}
	else if ((scanSchd_flag == 'ulst_mod') && (obj == "OK"))
	{
		alert("{$g_msg_text["com"]["mod"]}");
    }
    else if ((scanSchd_flag == 'check_resume') && (obj == "RESUME"))
	{
        bResumeUse = 1;
        openScanPopup(scanDir);
    }
    else if ((scanSchd_flag == 'check_resume') && (obj == "NOT_RESUME"))
	{
        bResumeUse = 0;
        openScanPopup(scanDir);
	}
	else
	{
		;
    }
	getScanSchdList();
	getUserList();
	scanSchd_flag = '';
}

openScanPopup = function(dirs)
{
    child_window = openPop( '{$SRC_ROOT}pop_check.php?dirs='+dirs+'&resumeUse='+bResumeUse,'',590,463,'1');
    // a tag를 모두 disable 시킨다.
    a_tag_block();
    // 파일검사 창 이벤트 검사 타이머 start
    chlid_window_check_timer_start();

    bResumeUse = 0;
}


function checkResumeScan(dirs)
{
    scanDir = dirs;
    // 이어서 검사하기 설정이 체크되어있을 경우
    this.checkResumeScanRH = function(result) 
    {
        if (result.responseText == "RESUME")
        {
            scanSchd_flag = 'check_resume';

            openPop('{$SRC_ROOT}pop_resume_use.php','',350,170,'1');
            a_tag_block();
            chlid_window_check_timer_start();
        }
        else
        {
            openScanPopup(dirs);
        }
    }
    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                        ,{parameters : {cmd:"check_resume_use"}
                        ,onSuccess : this.checkResumeScanRH })
}


function scanStart()
{
    this.UlstDirsRH = function(result)
    {
        var rtn = result.responseText;
        if (rtn.length > 0) 
            this.checkResumeScan(rtn);
            //openScanPopup(rtn);
        else {
            alert("{$g_msg_text["com"]["err_req"]}");
            getUserList();
        }
    };
    this.ServerStatusRH = function(result)
    {
        var rtn = eval(result.responseText);

        if (rtn[0] == ___SCAN_STANDBY___){
			if ($("tabCont_02").style.display.toUpperCase() == "NONE"){
                var checkedDirs = aTree.checkDirs(true, true);
                if (checkedDirs.length < 1){
                    alert("{$g_msg_text["scan_medc_alrt01"]["des02"]}");
                    return;
                }
                //openScanPopup(checkedDirs);
                this.checkResumeScan(checkedDirs);
            }else{
                var chkCount = checkBoxCount("scanUlstChk");
                if (chkCount < 0) {
                    alert("{$g_msg_text["scan_medc_alrt01"]["des03"]}");
                    return;
                }
                if (chkCount != 1) {
                    alert("{$g_msg_text["scan_medc_alrt01"]["des04"]}");
                    return;
                }
                var no = checkBoxValue("scanUlstChk", "");
                var realNo = $("scanUlstNo_" + no).value;
                new Ajax.Request("{$SRC_ROOT}pop_userlist_proc.php"
                            , {parameters : {cmd:"ulst_dirs", list_no:realNo}
                            , onSuccess : this.UlstDirsRH });
            }
        }
        else{
            alert("{$g_msg_text["scan_medc_alrt01"]["des05"]}");
        }
    };
    this.checkScanStatusRH = function(result){
        var rtn = eval(result.responseText);
        if (rtn[0] == ___SUPDATE_STANDBY___){
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                            ,{parameters : {cmd:"scan_status"}
                            ,onSuccess : this.ServerStatusRH });
        }
        else{
            alert("{$g_msg_text["scan_alrt"]["des02"]}");
        }
    }

    this.checkUpdateStatus = function(result){
        if (result.responseText == "OK"){
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                            ,{parameters : {cmd:"supdate_status"}
                            ,onSuccess : this.checkScanStatusRH });
        }
        else{
            alert("{$g_msg_text["summ_stts02"]["des02"]}");
        }
    }

    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"check_engine"}
                    ,onSuccess : this.checkUpdateStatus });
}

function addScanSchd()
{
    this.checkScanStatusRH = function(result){
        if (result.responseText == "OK"){
	    scanSchd_flag = 'resv_add';
	    child_window = openPop( '{$SRC_ROOT}pop_resv.php?cmd=resv_add','',526,530,'1');
	    a_tag_block();
	    chlid_window_check_timer_start();
        }
        else{
            alert("{$g_msg_text["summ_stts02"]["des02"]}");
        }
    }

    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"check_engine"}
                    ,onSuccess : this.checkScanStatusRH });
}
function modScanSchd()
{

    this.checkScanStatusRH = function(result){
        if (result.responseText == "OK"){
            var chkCount = checkBoxCount("scanSchdChk");
            if (document.getElementsByName("scanSchdChk").length < 1) return;
            if (chkCount < 1) {
                alert("{$g_msg_text["scan_schd_alrt03"]["des02"]}");
                return;
            }
            if (chkCount != 1) {
                alert("{$g_msg_text["scan_schd_alrt03"]["des01"]}");
                return;
            }
			
	    scanSchd_flag = 'resv_mod';
	    var no = checkBoxValue("scanSchdChk", "");
	    child_window = openPop( '{$SRC_ROOT}pop_resv.php?cmd=resv_mod&optno='+no,'',526,530,'1');
	    a_tag_block();
	    chlid_window_check_timer_start();

        }
        else{
            alert("{$g_msg_text["summ_stts02"]["des02"]}");
        }
    }

    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"check_engine"}
                    ,onSuccess : this.checkScanStatusRH });
}
function delScanSchd()
{
    this.delScanSchdRH  = function(result){
        switch (result.responseText.toUpperCase())
        {
        case "OK":
            alert("{$g_msg_text["com"]["del"]}");
            break;
        case "RESERVE_NOT_FOUND":
            alert("{$g_msg_text["com"]["err_req"]}");
            break;
        case "RUN_SCANNING":
            alert("{$g_msg_text["scan_schd_alrt04"]["des03"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_del"]}");
            break;
        }
        getScanSchdList();
    };
    if (document.getElementsByName("scanSchdChk").length < 1) return;
    var chkCount = checkBoxCount("scanSchdChk");
    if (chkCount < 1) {
        alert("{$g_msg_text["scan_schd_alrt04"]["des02"]}");
        return;
    }
    var data = checkBoxValue("scanSchdChk", "|");
    if (data != "" && confirm("{$g_msg_text["scan_schd_alrt04"]["des01"]}")){
        new Ajax.Request("{$SRC_ROOT}pop_resv_proc.php"
                    , {parameters : {cmd:"resv_del", data:data}
                    , onSuccess : this.delScanSchdRH });
    }
}
function addScanUlst()
{
	child_window = openPop( '{$SRC_ROOT}pop_userlist.php?cmd=ulst_add','',448,290,'1');
	a_tag_block();
	chlid_window_check_timer_start();
	scanSchd_flag = 'ulst_add';
}

function modScanUlst()
{
    var chkCount = checkBoxCount("scanUlstChk");
    if (document.getElementsByName("scanUlstChk").length < 1) return;
    if (chkCount < 1) {
        alert("{$g_msg_text["scan_ulst_alrt01"]["des02"]}");
        return;
    }
    if (chkCount != 1) {
        alert("{$g_msg_text["scan_ulst_alrt01"]["des03"]}");
        return;
    }
    scanSchd_flag = 'ulst_mod';

    var no = checkBoxValue("scanUlstChk", "");
    child_window = openPop( '{$SRC_ROOT}pop_userlist.php?cmd=ulst_mod&optno='+no,'',448,290,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}
function delScanUlst()
{
    this.delScanUlstRH  = function(result){
        switch (result.responseText.toUpperCase())
        {
        case "OK":
            alert("{$g_msg_text["com"]["del"]}");
            break;
        case "ULST_NOT_FOUND":
            alert("{$g_msg_text["com"]["err_req"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_del"]}");
            break;
        }
        getUserList();
    };
    if (document.getElementsByName("scanUlstChk").length < 1) return;
    var chkCount = checkBoxCount("scanUlstChk");
    if (chkCount < 1) {
        alert("{$g_msg_text["scan_ulst_alrt01"]["des02"]}");
        return;
    }
    var data = checkBoxValue("scanUlstChk", "|");
    if (data != "" && confirm("{$g_msg_text["scan_ulst_alrt01"]["des08"]}")){
        new Ajax.Request("{$SRC_ROOT}pop_userlist_proc.php"
                    , {parameters : {cmd:"ulst_del", data:data}
                    , onSuccess : this.delScanUlstRH });
    }
}

function LoadLowDir(nodeId)
{
    var p_id = aTree.getNodeId(nodeId);
    var p_dir = aTree.getPath(nodeId);
    this.resultAddnode = function(p, f, a, n, c){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: p, fid:f, open:aTree.openValue.close,
                    path:a, name:n, type:aTree.typeValue.group, css:1, isChild:c} );
    };
    this.LowDirRH = function(result)
    {
        var rtn = eval(result.responseText) ;
        aTree.treeProcess(aTree.eventName.Add);
        aTree.treeProcess(aTree.eventName.Open, p_id);
        aTree.progress(false);
        return true;
    };
    if (aTree.getNode(p_id).open == aTree.openValue.close){
        aTree.progress(true);
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    , {parameters : {cmd:"low_dir", pid:p_id, data:p_dir}
                    , onSuccess : this.LowDirRH });
    }
    else{
        aTree.treeProcess(aTree.eventName.Close, p_id);
    }
}
function TreeSelect(nodeId)
{
    aTree.treeAction(aTree.eventName.ClickLabel, nodeId);
}
function treeInit()
{
    aTree = new AhnLabTree("aTree");
    aTree.rootText = "{$root_text}";
    aTree.progText = "{$g_msg_text["com"]["prog_wait"]}";
    aTree.eventFunc.clickfolder = [LoadLowDir,null];
    aTree.eventFunc.clickicon = [LoadLowDir,null];
    aTree.eventFunc.check = [null,TreeSelect];
    aTree.init("tree");
    LoadLowDir(aTree.getRootId());
}
function getScanSchdList(){
    this.ScanSchdListRH = function(result)
    {
        $("scan_schd_list").innerHTML = result.responseText;
        var hasApcSchdList = !!$("apc_schedule_scan");
        if(hasApcSchdList) {
            $("apcDesc").style.display = 'block';
        } else {
            $("apcDesc").style.display = 'none';
        }
    };

    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"scanschdlist"}
                    ,onSuccess : this.ScanSchdListRH });
}
function getUserList()
{
    this.ScanSchdListRH = function(result)
    {
        $("scan_ulst").innerHTML = result.responseText;
    };

    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"scanulst"}
                    ,onSuccess : this.ScanSchdListRH });
}
function clickApply(){
    var reserv = ($("reservCheck").checked)?"1":"0";
    this.ClickApplyRH = function(result){
        switch(result.responseText.toUpperCase()){
        case "OK":
            alert("{$g_msg_text["com"]["apply"]}");
            if ($("tabCont_02").style.display.toUpperCase() == "NONE"){
                self.location.href="{$SRC_ROOT}filecheck.php?tabmenu=1";
            }
            else{
                self.location.href="{$SRC_ROOT}filecheck.php?tabmenu=2";
            }
            break;
        case "RESERVE_SAME_NAME":
            alert("{$g_msg_text["scan_schd_alrt01"]["des02"]}");
            break;
        case "RESERVE_SAME_RULE":
            alert("{$g_msg_text["scan_schd_alrt01"]["des03"]}");
            break;
        case "RESERVE_MAX_OVER":
            alert("{$g_msg_text["scan_schd_alrt02"]["des03"]}");
            break;
        case "ULST_SAME_NAME":
            alert("{$g_msg_text["scan_ulst_alrt01"]["des07"]}");
            break;
        case "ULST_MAX_OVER":
            alert("{$g_msg_text["scan_ulst_alrt01"]["des01"]}");
            break;
        case "RUN_SCANNING":
            alert("{$g_msg_text["scan_schd_alrt04"]["des03"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_data"]}");
            break;
        }
    }
    new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
                    ,{parameters : {cmd:"set_reserv", data:reserv}
                    ,onSuccess : this.ClickApplyRH });
}
function clickCancel(){
	alert("{$g_msg_text["updt_alrt03"]["des02"]}");
    self.location.reload();
}
function initPage()
{

    TabClick("tabmenu","{$viewTabMenu}");
    getScanSchdList();
    getUserList();
    treeInit();
}
//-->
</script>
__HTML_TEXT__;
echo page_body("mnu02", "initPage();");
echo <<<__HTML_TEXT__
                <h2>{$g_msg_text["scan"]["ttl01"]}</h2>
                <ul class="tabMenu" id="tabmenu">
                <li id="menu_01" onclick="TabClick('tabmenu','1')">{$g_msg_text["scan"]["tab01"]}</li>
                <li id="menu_02" onclick="TabClick('tabmenu','2')">{$g_msg_text["scan"]["tab02"]}</li>
                </ul>
                <div class="tabCont2">
                    <div id="tabCont_01">
                        <div class="block1 fileCheckSelect" >
                            <div id="tree"></div>
                        </div>
                    </div>
                    <div id="tabCont_02" style="display:none;">
                        <div class="titnIcon pdt10">
                            <div class="fr">
                                <ul class="iconTxt">
                                <li><a href="javascript:addScanUlst()"><img src="{$IMG_ROOT}icon_add.gif">{$g_msg_text["com"]["btn_add"]}</a></li>
                                <li><a href="javascript:modScanUlst()"><img src="{$IMG_ROOT}icon_edit.gif">{$g_msg_text["com"]["btn_modify"]}</a></li>
                                <li><a href="javascript:delScanUlst()"><img src="{$IMG_ROOT}icon_del.gif">{$g_msg_text["com"]["btn_delete"]}</a></li>
                                </ul>
                            </div>
                        </div>

                        <div class="fieldsetContTable">
                            <table width="753" cellpadding="0" cellspacing="0" class="list">
                            <colgroup><col width="35%"></col><col width="65%"></col></colgroup>
                            <tr>
                                <th><input type="checkbox" id="scanUlstChk" name="scanUlstChk" onclick="javascript:checkBoxAll(this)"> {$g_msg_text["scan_ulst"]["clt01"]}</th>
                                <th>{$g_msg_text["scan_ulst"]["clt02"]}</th>
                            </tr>
                            </table>
                            <div id="scan_ulst" style="width:753px; height:108px; scrollTop:bottom;" class="tableWrap"></div>
                        </div>
                    </div>
                </div>
                <div class="btnSet ar"><a href="javascript:scanStart();" class="button basicBlue"><span class="w81">{$g_msg_text["scan"]["btn01"]}</span></a></div>

                <h3>{$g_msg_text["scan"]["ttl02"]}</h3>
                <p class="mgb3"><input type="checkbox" id="reservCheck" {$reservCheck} class="noMargin" value="1"> <label for="reservCheck">{$g_msg_text["scan"]["chk01"]}</label>
                <input type="hidden" id="reservDefault" name="reservDefault" value="{$rs["reserve_use"]}"></p>
                <fieldset class="fieldset">
                    <legend>{$g_msg_text["scan"]["txt01"]}</legend>
                    <div class="titnIcon">
                        <div class="fr">
                            <ul class="iconTxt">
                            <li><a href="javascript:addScanSchd();"><img src="{$IMG_ROOT}icon_add.gif">{$g_msg_text["com"]["btn_add"]}</a></li>
                            <li><a href="javascript:modScanSchd();"><img src="{$IMG_ROOT}icon_edit.gif">{$g_msg_text["com"]["btn_modify"]}</a></li>
                            <li><a href="javascript:delScanSchd();"><img src="{$IMG_ROOT}icon_del.gif">{$g_msg_text["com"]["btn_delete"]}</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="fieldsetCont">
                        <table width="753" cellpadding="0" cellspacing="0" class="list" >
                        <colgroup><col width="27%"></col><col width="25%"></col><col width="58%"></col></colgroup>
                        <tr>
                            <th><input type="checkbox" id="scanSchdChk" name="scanSchdChk" onclick="javascript:checkBoxAll(this)"> {$g_msg_text["scan"]["clt01"]}</th>
                            <th>{$g_msg_text["scan"]["clt02"]}</th>
                            <th>{$g_msg_text["scan"]["clt03"]}</th>
                        </tr>
                        </table>

                        <div id="scan_schd_list" style="width:753px; height:115px;" class="tableWrap"></div>
                        
                    </div>
                </fieldset>
                <div id="apcDesc" class="apcDesc" style="display:none;">
                    <img src="{$IMG_ROOT}/management_sett.gif" alt="" border=0 align="absmiddle" title="{$g_msg_text["scan"]["tip01"]}" class="fl">
                    <p class="fl mgl5"> {$g_msg_text["scan_schd_list"]["des02"]}</p>
                </div>
                <div class="titnIcon mgt10">
                        <div class="fr">
                            <div class="btnSet">
                                <a href="javascript:clickApply()" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                                <a href="javascript:clickCancel()" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                            </div>
                        </div>
                </div>
__HTML_TEXT__;
echo page_tail();
?>
