<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan");
inc_func(g_inc_type_var, "msg_scan_ulst");
inc_func(g_inc_type_var, "msg_scan_schd");
inc_func(g_inc_type_var, "msg_scan_schd_list");

$cmd = nvl($_POST["cmd"]);

try {
    $g_db->open();
} catch (Exception $e) {
    /* TODO: */    
}

$i = 0;
switch(strtoupper($cmd))
{
case "SCANSCHDLIST":
    // cycle --1:Daily      2:Week      3:Monthly   4:Once
    $opt_text = array("1"=>"cmb01", "2"=>"cmb02", "3"=>"cmb03", "4"=>"cmb04");
    $opt_week = array("0"=>"cmb02_7","1"=>"cmb02_1","2"=>"cmb02_2","3"=>"cmb02_3","4"=>"cmb02_4","5"=>"cmb02_5","6"=>"cmb02_6");
    $opt_day =  array("01"=>"txt04","02"=>"txt05","03"=>"txt06","04"=>"txt07",
                      "05"=>"txt08","06"=>"txt09","07"=>"txt10","08"=>"txt11","09"=>"txt12",
                      "10"=>"txt13","11"=>"txt14","12"=>"txt15","13"=>"txt16","14"=>"txt17",
                      "15"=>"txt18","16"=>"txt19","17"=>"txt20","18"=>"txt21","19"=>"txt22",
                      "20"=>"txt23","21"=>"txt24","22"=>"txt25","23"=>"txt26","24"=>"txt27",
                      "25"=>"txt28","26"=>"txt29","27"=>"txt30","28"=>"txt31","29"=>"txt32",
                      "30"=>"txt33","31"=>"txt34");

    $query= " select  a.no as no, a.name as name "
           ."        ,a.status as status "
           ."        ,a.cycle as cycle "
           ."        ,ifnull(a.type, 1) as type "
           ."        ,case a.cycle when 1 then '' "
           ."                      when 2 then strftime('%w', view_time) "
           ."                      when 3 then strftime('%d', view_time) "
           ."                      else date(view_time) end as opt "
           ."        ,cast(strftime('%H', view_time) as integer) as hour "
           ."        ,strftime('%M', view_time) as min "
           ."        ,(select group_concat(b.path) "
           ."          from   temp_dir b "
           ."          where  b.reserve_no = a.no "
           ."          and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
           ."          and    b.sess_status >= 0) as dirs "
           ." from    temp_reserve a "
           ." where   a.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
           ." and     a.sess_status >= 0 "
           ." order   by a.no ; ";

           //." and     ifnull(a.type, 1) = 1 "

    try {
        $rs = $g_db->queryAll($query);
    } catch (Exception $e) {
        /* TODO: */
    }

    $rtn = '<table width="100%" cellpadding="0" cellspacing="0"  class="list"><colgroup><col width="27%"></col><col width="25%"></col><col width="58%"></col></colgroup>';
    if (sizeof($rs) > 0){
        $i = 0;
        foreach($rs as $value){
            if (($i % 2) == 0) $rtn .= '<tr class="gray2" onmouseout="javascript:setClassCursor(this, \'gray2\', \'default\')" ';
            else $rtn .= '<tr onmouseout="javascript:setClassCursor(this, \'\', \'default\')" ';
            if ($value["cycle"] == 4) $tmp = "";
            else $tmp = $g_msg_text["scan_schd"][$opt_text[$value["cycle"]]]." ";

            $hour = intval($value["hour"]);
            if ($hour >= 12){
                $hour = $hour - (($hour == 12)?0:12);
                $ampm = $g_msg_text["scan_schd"]["des03"];
            }
            else{
                $ampm = $g_msg_text["scan_schd"]["des02"];
            }
            switch($value["cycle"]){
                case 1:
                    $tmp .= $ampm." ".$hour.":".$value["min"];
                    break;
                case 2:
                    $tmp .= $g_msg_text["scan_schd"][$opt_week[$value["opt"]]]." ".$ampm." ".$hour.":".$value["min"];
                    break;
                case 3:
                    $tmp .= $g_msg_text["scan_schd"][$opt_day[$value["opt"]]]." ".$ampm." ".$hour.":".$value["min"];
                    break;
                case 4:
                    $tmp .= $value["opt"]." ".$ampm." ".$hour.":".$value["min"];
                    break;
            }

            if ($value["type"] == 1){
                $rtn .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'pointer\')" onclick="javascript:clickCheckbox(\'scanSchdChk_'.$value["no"].'\')"><td class="strcut" title="'.strHtml($value["name"]).'"><div style="float:left">'
                      . '<input type="checkbox" id="scanSchdChk_'.$value["no"].'" name="scanSchdChk" value="'.$value["no"].'" onclick="javascript:checkBoxFirst(this);" class="mgr5"> '
                      . strHtml(cutstr($value["name"], 16)).'</div>';
            }
            else{
                $rtn .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'default\')" id="apc_schedule_scan"><td class="strcut" title="'.strHtml($value["name"]).'"><div style="float:left">'
                      //. '<input type="checkbox" disabled="disabled" readOnly="readOnly" id="apcScanSchdChk_'.$value["no"].'" name="apcScanSchdChk" value="'.$value["no"].'" onclick="javascript:checkBoxFirst(this);"> '
                      . '<img src="'.$IMG_ROOT.'management_sett.gif" alt="" border=0 align="absmiddle" title="'.$g_msg_text["scan"]["tip01"].'"> '
                      . strHtml(cutstr($value["name"], 16)).'</div>';
            }
            if ($value["status"] == 1){
                $rtn .= '<div style="float:right">'.$g_msg_text["scan_schd"]["des01"].'<img src="'.$IMG_ROOT.'icon_loading.gif" alt="" border=0 align="absmiddle"></div>';
            }
            $rtn .= '</td><td class="strcut">'.strHtml($tmp).'</td><td class="strcut" title="'.strHtml($value["dirs"]).'">'.strHtml(cutstr($value["dirs"], 54)).'</td></tr>';
            $i++;
        }
    }
    else{
        $rtn .= '<tr><td colspan="3"  class="nodata2"><br/><br/><br/>'.$g_msg_text["scan_schd_list"]["des01"].'</td></tr>';
    }
    $rtn .= "</table>";
    echo $rtn;
    break;
case "SCANULST":
    $query = " select a.no, a.name, a.user_list_no "
            ."       ,(select group_concat(b.path) "
            ."         from   temp_dir b "
            ."         where  b.user_list_no = a.no "
            ."         and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
            ."         and    b.sess_status >= 0) as dirs "
            ." from   temp_user_list a "
            ." where  a.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
            ." and    a.sess_status >= 0 ";

    try {
        $rs = $g_db->queryAll($query);
    } catch (Exception $e) {
        /* TODO: */        
    }

    $rtn = '<table width="100%" cellpadding="0" cellspacing="0" class="list"><colgroup><col width="35%"></col><col width="65%"></col></colgroup>';
    if (sizeof($rs) > 0){
        $i = 0;
        foreach($rs as $value){
            if (($i % 2) == 0) $rtn .= '<tr class="gray2" onmouseout="javascript:setClassCursor(this, \'gray2\', \'pointer\')" ';
            else $rtn .= '<tr onmouseout="javascript:setClassCursor(this, \'\', \'pointer\')" ';
            $rtn .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'hand\')" onclick="javascript:clickCheckbox(\'scanUlstChk_'.$value["no"].'\')"><td class="strcut" title="'.strHtml($value["name"]).'"><input type="checkbox" id="scanUlstChk_'.$value["no"].'" name="scanUlstChk" value="'.$value["no"].'" onclick="javascript:checkBoxFirst(this);"> '
                 . '<input type="hidden" id="scanUlstNo_'.$value["no"].'" name="scanUlstNo_'.$value["no"].'" value="'.$value["user_list_no"].'">'
                 . strHtml(cutstr($value["name"], 28, "…", true)).'</td><td class="strcut" title="'.strHtml($value["dirs"]).'">'.strHtml(cutstr($value["dirs"], 74)).'</td></tr>';
            $i++;
        }
    }
    else{
        $rtn .= '<tr><td colspan="3"  class="nodata2"><br /><br />'.$g_msg_text["scan_ulst"]["des01"].'</td></tr>';
    }
    $rtn .= "</table>";
    echo $rtn;
    break;
case "SET_RESERV":
    $data = intval(nvl($_POST["data"], "1"));
    try {
        $query = " select count(*) as cnt "
                ." from   reserve "
                ." where  ifnull(type, 1) = 1 "
                ." and    no not in (select reserve_no "
                ."                   from   temp_reserve "
                ."                   where  ifnull(type, 1) = 1 "
                ."                   and    session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                   and    sess_status < 0 ) ;";
        $rsReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = " select count(*) as cnt "
                ." from   temp_reserve "
                ." where  ifnull(type, 1) = 1 "
                ." and    session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    sess_status > 1 ;";
        $rsTempReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if (($rsReserve["cnt"] + $rsTempReserve["cnt"] ) > 10) throw new Exception("RESERVE_MAX_OVER");

        $query = " select count(*) as cnt "
                ." from   user_list "
                ." where  no not in (select user_list_no "
                ."                   from   temp_user_list "
                ."                   where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                   and    sess_status < 0 ) ;";
        $rsReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = " select count(*) as cnt "
                ." from   temp_user_list "
                ." where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    sess_status > 1 ;";
        $rsTempReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if (($rsReserve["cnt"] + $rsTempReserve["cnt"] ) > 10) throw new Exception("USER_MAX_OVER");

        $query = " select count(*) as cnt "
                ." from   reserve "
                ." where  no not in (select reserve_no "
                ."                   from   temp_reserve "
                ."                   where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                   and    sess_status in (-1, 1)) "
                ." and    upper(name) in (select upper(name) "
                ."                        from   temp_reserve "
                ."                        where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                        and    sess_status = 2) ;";
        $rsReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if ($rsReserve["cnt"] > 0) throw new Exception("RESERVE_SAME_NAME");

        $query = " select count(*) as cnt "
                ." from   user_list "
                ." where  no not in (select user_list_no "
                ."                   from   temp_user_list "
                ."                   where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                   and    sess_status in (-1, 1) ) "
                ." and    upper(name) in (select upper(name) "
                ."                        from   temp_user_list "
                ."                        where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."                        and    sess_status = 2) ;";
        $rsReserve = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if ($rsReserve["cnt"] > 0) throw new Exception("USER_SAME_NAME");

        $query = " select ( case cycle "
                ."               when 1 then strftime('%H:%M', view_time) "
                ."               when 2 then strftime('%w %H:%M', view_time) "
                ."               when 3 then strftime('%d %H:%M', view_time) "
                ."               when 4 then strftime('%Y-%m-%d %H:%M', view_time) "
                ."                      else ' ' end ) as check_time "
                ." from   temp_reserve "
                ." where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    sess_status = 2 ;";
        $rsReserve = $g_db->queryAll($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        foreach($rsReserve as $value){
            $query = " select count(*) as cnt "
                    ." from   reserve "
                    ." where  no not in (select reserve_no "
                    ."                   from   temp_reserve "
                    ."                   where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                    ."                   and    sess_status in (-1, 1) ) "
                    ." and    1 = ( case when cycle = 1 and strftime('%H:%M', view_time) = '".strDb($value["check_time"])."' then 1  "
                    ."                   when cycle = 2 and strftime('%w %H:%M', view_time) = '".strDb($value["check_time"])."' then 1 "
                    ."                   when cycle = 3 and strftime('%d %H:%M', view_time) = '".strDb($value["check_time"])."' then 1 "
                    ."                   when cycle = 4 and strftime('%Y-%m-%d %H:%M', view_time) = '".strDb($value["check_time"])."' then 1 "
                    ."                   else 0 end ) ;";
            $rsTempReserve = $g_db->getrow($query);
            if ($g_db->error_code() != SQLITE_OK) {
                throw new Exception("ERROR");
            }

            if ($rsTempReserve["cnt"] > 0) throw new Exception("RESERVE_SAME_RULE");
        }

        $query = " select count(*) as cnt from reserve "
                ." where  no in (select reserve_no from temp_reserve "
                ."               where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ."               and    sess_status = -1 ) "
                ." and    status = 1 ;";
        $rs = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if ($rs["cnt"] > 0) throw new Exception("RUN_SCANNING");

        $g_db->setTrans();
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $eventLogIdx = 0;

        $query = " select a.no, a.name, a.cycle, a.view_time, a.cure_time, a.status, a.type, a.reserve_no, a.sess_status, a.scan_option_no as temp_scan_option_no "
                ."       ,b.target, b.extension_on, b.extension, b.cure_option, b.compress_option, b.auto_cure, b.move_quarantine, b.compress_use, b.scan_option_no, b.cpu_usage "
                ."       ,b.period_use, b.period, b.resume_use, b.filesize_use, b.filesize "
                ." from   temp_reserve a left join temp_scan_option b on (a.scan_option_no = b.no) "
                ." where  ifnull(a.type, 1) = 1 "
                ." and    a.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    a.sess_status in (-1, 1 , 2) "
                ." order  by a.sess_status ;";
        $rsReserve = $g_db->queryAll($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $filecheckEventLog = array();
        foreach($rsReserve as $value){
            if ($value["sess_status"] == -1) {
                $query = " delete from dir "
                        ." where  reserve_no = '".strDb($value["reserve_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " delete from scan_option "
                        ." where  no = '".strDb($value["scan_option_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " delete from reserve "
                        ." where  no = '".strDb($value["reserve_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $filecheckEventLog[$eventLogIdx++] = array("event_log_3000", "3005", array($value["name"]));
            } else if ($value["sess_status"] == 1) {
                $query = " update reserve set "
                        ."        name = '".strDb($value["name"])."' "
                        ."      , cycle = '".strDb($value["cycle"])."' "
                        ."      , view_time = '".strDb($value["view_time"])."' "
                        ."      , cure_time = '".strDb($value["cure_time"])."' "
                        ."      , type = '".strDb($value["type"])."' "
                        ." where  no = '".strDb($value["reserve_no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " update scan_option set "
                        ."        target = '".strDb($value["target"])."' "
                        ."      , extension_on = '".strDb($value["extension_on"])."' "
                        ."      , extension = '".strDb($value["extension"])."' "
                        ."      , cure_option = '".strDb($value["cure_option"])."' "
                        ."      , compress_option = '".strDb($value["compress_option"])."' "
                        ."      , auto_cure = '".strDb($value["auto_cure"])."' "
                        ."      , move_quarantine = '".strDb($value["move_quarantine"])."' "
                        ."      , compress_use = '".strDb($value["compress_use"])."' "
                        ."      , cpu_usage = '".strDb($value["cpu_usage"])."' "
                        ."      , period_use = '".strDb($value["period_use"])."' "
                        ."      , period = '".strDb($value["period"])."' "
                        ."      , resume_use = '".strDb($value["resume_use"])."' "
                        ."      , filesize_use = '".strDb($value["filesize_use"])."' "
                        ."      , filesize = '".strDb($value["filesize"])."' "
                        ." where  no = '".strDb($value["scan_option_no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " delete from dir "
                        ." where  reserve_no = '".strDb($value["reserve_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " insert into dir(reserve_no, path) "
                        ." select '".strDb($value["reserve_no"])."', path "
                        ." from   temp_dir "
                        ." where  reserve_no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $filecheckEventLog[$eventLogIdx++] = array("event_log_3000", "3004", array($value["name"]));
            }
            else{
                $query = " insert into scan_option (target, extension_on, extension, cure_option, compress_option, auto_cure, move_quarantine, compress_use, cpu_usage, period_use, period, resume_use, filesize_use, filesize ) "
                        ." select target, extension_on, extension, cure_option, compress_option, auto_cure, move_quarantine, compress_use, cpu_usage, period_use, period, resume_use, filesize_use, filesize "
                        ." from   temp_scan_option "
                        ." where  no = '".strDb($value["temp_scan_option_no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " insert into reserve (name, scan_option_no, cycle, view_time, cure_time, status, type) "
                        ." select name, (select max(a.no) from scan_option a), cycle, view_time, cure_time, status, type "
                        ." from   temp_reserve "
                        ." where  no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " delete from dir "
                        ." where  reserve_no = '".strDb($value["reserve_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " insert into dir(reserve_no, path) "
                        ." select (select max(no) from reserve), path "
                        ." from   temp_dir "
                        ." where  reserve_no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $filecheckEventLog[$eventLogIdx++] = array("event_log_3000", "3003", array($value["name"]));
            }
        }

        $query = " select no, name, sess_status, user_list_no "
                ." from   temp_user_list "
                ." where  session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
                ." and    sess_status in (-1, 1 , 2) "
                ." order  by sess_status ;";
        $rsReserve = $g_db->queryAll($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        foreach($rsReserve as $value){
            if ($value["sess_status"] == -1){
                $query = " delete from dir "
                        ." where  user_list_no = '".strDb($value["user_list_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " delete from user_list "
                        ." where  no = '".strDb($value["user_list_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $filecheckEventLog[$eventLogIdx++] = array("event_log_2000", "2010", array($value["name"]));
            }else if ($value["sess_status"] == 1){
                $query = " update user_list set "
                        ."        name = '".strDb($value["name"])."' "
                        ." where  no = '".strDb($value["user_list_no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " delete from dir "
                        ." where  user_list_no = '".strDb($value["user_list_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " insert into dir(user_list_no, path) "
                        ." select '".strDb($value["user_list_no"])."', path "
                        ." from   temp_dir "
                        ." where  user_list_no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $filecheckEventLog[$eventLogIdx++] = array("event_log_2000", "2009", array($value["name"]));
            }
            else{
                $query = " insert into user_list (name) "
                        ." select name "
                        ." from   temp_user_list "
                        ." where  no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $query = " delete from dir "
                        ." where  user_list_no = '".strDb($value["user_list_no"])."' ;";
                $g_db->exec($query);
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $query = " insert into dir(user_list_no, path) "
                        ." select (select max(no) from user_list), path "
                        ." from   temp_dir "
                        ." where  user_list_no = '".strDb($value["no"])."' ;";
                $changes = $g_db->exec($query);        
                if ($g_db->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                if ($changes < 1) throw new Exception();

                $filecheckEventLog[$eventLogIdx++] = array("event_log_2000", "2008", array($value["name"]));
            }
        }

        $query = " update info set reserve_use = '".strDb($data)."' "
                ." where no = 1 and reserve_use != '".strDb($data)."' ";
        $changes = $g_db->exec($query);        
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if ($changes > 0) {
            if ($data != 1) {
                $data = 0;
                $filecheckEventLog[$eventLogIdx++] = array("event_log_3000", "3002", array());
            }
            else $filecheckEventLog[$eventLogIdx++] = array("event_log_3000", "3001", array());
        }

        $g_db->commit();
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        echo "OK";

        foreach($filecheckEventLog as $value){
            makeEventLog($value[0], $value[1], $value[2]);
        }
    }
    catch(Exception $e){
        echo $e->getMessage();
        $g_db->rollback();
    }
    break;
case "CHECK_ENGINE":
    $query = "select count(*), scan_vailable from info where no=1;";
    $rs = $g_db->getrow($query);
    if ($rs["scan_vailable"] == 1) echo "OK";
    break;

case "CHECK_RESUME_USE":
    try {
        $query = "select resume_use from scan_option where no=1;";
        $rs = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception("NOT_RESUME");
        }

        PHPLOG(g_LOG_DEBUG, 0, "resume scan: ".$rs["resume_use"]);

        if ($rs["resume_use"] == 1) {
            if(!file_exists(g_scan_resume_file)) {
                throw new Exception("NOT_RESUME");
            }
            //echo "RESUME";
            echo "NOT_RESUME";
        }
        else {
            throw new Exception("NOT_RESUME");
        }
    } catch (Exception $e) {
        echo $e->getMessage();
    }
    break;
default:
    break;
}

$g_db->close();
?>
