<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 3;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_serv");
inc_func(g_inc_type_var, "msg_serv_alrt");
inc_func(g_inc_type_var, "msg_logi_chng");
inc_func(g_inc_type_var, "msg_logi_chng_alrt");
inc_func(g_inc_type_var, "msg_serv_pswd_alrt01");

$pageci = (isOsLinux())?"top_ci_linux.gif":"top_ci_unix.gif";

try {
    $g_db->open();
    
    $query = "select count(*) as cnt, server_ip from server_info where 
                id='".strDb($GLOBALS['g_default_user_id'])."' or 
                pw='".strDb($GLOBALS['g_default_user_pw'])."' or 
                pw='".strDb($GLOBALS['g_default_user_pw2'])."';";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}

$g_db->close();

$needAdminInfo = "false";
$needServerIp = "false";

if(nvl($rs["cnt"]) == 1) $needAdminInfo = "true";
if(nvl($rs["server_ip"]) == "") $needServerIp = "true";

PHPLOG(g_LOG_DEBUG, 0, "login_change : needAdminInfo(%s)", $needAdminInfo);
PHPLOG(g_LOG_DEBUG, 0, "login_change : needServerIp(%s)", $needServerIp);

echo page_start("", array("sha1", "sha256"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
// chrome 의 callback 값을 받기 위해 필요.
function redirectWithSession(url) {
    var redirectRH = function() {
        self.location.href=url;
    }

    new Ajax.Request("{$SRC_ROOT}session_create.php", {onSuccess : redirectRH});
}

function showModalDialogCallback(rtn) {
    if (rtn) {
        if(typeof(rtn) != "undefined" && rtn == "SUCCESS") {
            redirectWithSession("{$SRC_ROOT}summary.php");
        } else if(typeof(rtn) != "undefined" && rtn == "ERROR") {
            alert("{$g_msg_text["serv_alrt"]["des07"]}")
            self.location.href = "/";
        }
    }
}

function clickApply() {
    this.LoginChangeRH = function(result) {
        switch(result.responseText) {
        case "ADMIN_SUCCESS":
        {
            redirectWithSession("{$SRC_ROOT}summary.php");
            break;
        }

        case "IP_SUCCESS":
        case "ADMIN_IP_SUCCESS":
        {
            var argu = makeDialogArgument("{$SRC_ROOT}redirect_page.php", "");
            var rtn = openDialog(argu,350,120);
            if(typeof(rtn) != "undefined" && rtn == "SUCCESS") {
                redirectWithSession("{$SRC_ROOT}summary.php");
            } else if(typeof(rtn) != "undefined" && rtn == "ERROR") {
                alert("{$g_msg_text["serv_alrt"]["des07"]}")
                self.location.href = "/";
            }
            break;
        }

        default:
            alert("{$g_msg_text["serv_pswd_alrt01"]["des09"]}");
            break;
        }
    }

    var isAdminInfoChanged = {$needAdminInfo} ? true : false;
    var isServerIpChanged = {$needServerIp} ? true : false;

    var params = {
        adminchange: isAdminInfoChanged,
        ipchange: isServerIpChanged
    };

    if(isAdminInfoChanged) {
        var userId = $("admin_id").value.trim();
        var cPw = $("c_pw").value.trim();
        var nPw = $("n_pw").value;
        var rPw = $("r_pw").value.trim();
    
        if(userId == "") {
            alert("{$g_msg_text["serv_alrt"]["des01"]}");
            $("admin_id").focus();
            return;
        }
        var check4Id = ["root", "admin", "administrator", "test"];
        var check4IdLen = check4Id.length;
        for(var idx = 0; idx < check4IdLen; idx++) {
            if(check4Id[idx] == userId.toLowerCase()) {
                alert("{$g_msg_text["logi_chng_alrt"]["des07"]}");
                $("admin_id").focus();
                return;
            }
        }
        if(userId.length < 5) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des03"]}");
            $("admin_id").focus();
            return;
        }

        if("{$g_default_user_id}" == userId.toLowerCase()) {
            alert("{$g_msg_text["logi_chng_alrt"]["des02"]}");
            $("admin_id").focus();
            return;
        }

        if(cPw.length < 1) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des05"]}");
            $("c_pw").focus();
            return;
        }
        if(nPw.length < 1) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des06"]}");
            $("n_pw").focus();
            return;
        }
        if(nPw.length < 10) {
            alert("{$g_msg_text["logi_chng_alrt"]["des03"]}");
            $("n_pw").focus();
            return;
        }
        if(nPw.search(/\s/g) >= 0) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des02"]}");
            $("n_pw").focus();
            return;
        }
        if(!checkValidate(nPw, __pw__)) {
            alert("{$g_msg_text["logi_chng_alrt"]["des03"]}");
            $("n_pw").focus();
            return;
        }
        if(rPw.length < 1) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des07"]}");
            $("r_pw").focus();
            return;
        }
        if(nPw != rPw) {
            alert("{$g_msg_text["serv_pswd_alrt01"]["des08"]}");
            $("r_pw").focus();
            return;
        }
        
        params.uid = userId;
        params.cpw = hex_sha1(cPw);
        params.cpw2 = Sha256.hash(cPw);
        params.npw = Sha256.hash(nPw);
    }

    if(isServerIpChanged) {
        var serverIp1 = $("server_ip1").value;
        var serverIp2 = $("server_ip2").value;
    
        if(serverIp1 == "") {
            alert("{$g_msg_text["logi_chng_alrt"]["des04"]}");
            $("server_ip1").focus();
            return;
        } else {
            if(!checkValidate(serverIp1, __ip__)) {
                alert("{$g_msg_text["logi_chng_alrt"]["des05"]}");
                $("server_ip1").focus();
                return;
            }
            if(serverIp2 != "" && !checkValidate(serverIp2, __ip__)) {
                alert("{$g_msg_text["logi_chng_alrt"]["des05"]}");
                $("server_ip2").focus();
                return;
            }
            if(serverIp1 == serverIp2) {
                alert("{$g_msg_text["serv_alrt"]["des11"]}");
                $("server_ip2").focus();
                return;
            }
        }

        params.serverip1 = serverIp1; 
        params.serverip2 = serverIp2; 
    }

    new Ajax.Request("{$SRC_ROOT}login_change_proc.php"
    ,{parameters : params
    ,onSuccess : this.LoginChangeRH });
}

function clickCancel() {
    $("admin_id").value = "";
    $("c_pw").value = "";
    $("n_pw").value = "";
    $("r_pw").value = "";
    $("server_ip1").value = "";
    $("server_ip2").value = ""
}

function pwKeyDown(evt) {
    if(evt.keyCode == 13) clickApply();
}

function initPage() {
    if({$needAdminInfo}) $("admin_id").focus();
    else if({$needServerIp}) $("server_ip1").focus();
}

//-->
</script>

<body onload="javascript:initPage();">
<div class="wrap loginChange">
<!-- header -->
    <div class="header">
    <h1 class="ci"><a href="{$GLOBALS["SRC_ROOT"]}summary.php"><img src="{$GLOBALS["IMG_ROOT"]}{$pageci}" alt="{$title}"></a></h1>
    </div>
<!-- //header -->
    <div class="container"><div class="contents-box"><div class="contents">
        <div class="cont">
            <div class="contBoxTop"></div><div class="contBoxTopRight"></div>
            <div class="contBox">

                <h2>{$g_msg_text["logi_chng"]["ttl02"]}</h2>
                <div class="loginChangeBar"></div>
__HTML_TEXT__;

if($needAdminInfo == "true") {
    echo <<<__HTML_TEXT__

                <h3>{$g_msg_text["logi_chng"]["ttl01"]}</h3>
                <div class="changeForm">
                    <p>{$g_msg_text["logi_chng"]["des01"]}</p>
                    <p>{$g_msg_text["logi_chng"]["des07"]}</p> 
                    <p>{$g_msg_text["logi_chng"]["des02"]}</p> 
                    <p>{$g_msg_text["logi_chng"]["des03"]}</p>
                    <div class="changeInput mgt10">
                        <label for="admin_id">{$g_msg_text["logi_chng"]["ctr01"]}: </label><input type="text" id="admin_id" name="admin_id" class="inputText" style="width:200px;" tabindex="1" 
                            onfocus="javascript:funcFocus(this);"
                            onblur="javascript:inputReplace(this,__pat1__);"
                            onkeydown="javascript:pwKeyDown(event);"
                            maxlength="20">
                    </div>
                    <div class="changeInput mgt15">
                        <label for="c_pw">{$g_msg_text["logi_chng"]["ctr02"]}: </label><input type="password" id="c_pw" name="c_pw" class="inputText" style="width:200px;" tabindex="1" 
                            onfocus="javascript:funcFocus(this);"
                            onkeydown="javascript:pwKeyDown(event);"
                            maxlength="40">
                    </div>
                    <div class="changeInput">
                        <label for="n_pw">{$g_msg_text["logi_chng"]["ctr03"]}: </label><input type="password" id="n_pw" name="n_pw" class="inputText" style="width:200px;" tabindex="1" 
                            onfocus="javascript:funcFocus(this);"
                            onkeydown="javascript:pwKeyDown(event);"
                            maxlength="40">
                    </div>
                    <div class="changeInput">
                        <label for="r_pw">{$g_msg_text["logi_chng"]["ctr04"]}: </label><input type="password" id="r_pw" name="r_pw" class="inputText" style="width:200px;" tabindex="1" 
                            onfocus="javascript:funcFocus(this);"
                            onkeydown="javascript:pwKeyDown(event);"
                            maxlength="40">
                    </div>
                </div>
__HTML_TEXT__;

}

if($needServerIp == "true") {
    echo <<<__HTML_TEXT__

                <h3>{$g_msg_text["logi_chng"]["ttl03"]}</h3>
                <div class="changeForm">
                    <p>{$g_msg_text["logi_chng"]["des04"]}</p>
                    <p>{$g_msg_text["logi_chng"]["des05"]}</p> 
                    <p>{$g_msg_text["logi_chng"]["des06"]}</p> 

                    <div class="changeInput mgt10"><label for="server_ip1">{$g_msg_text["logi_chng"]["ctr05"]}: </label><input type="text" id="server_ip1" name="server_ip1" class="inputText" style="width:200px;" tabindex="1"
                        onfocus="javascript:funcFocus(this);"
                        onblur="javascript:inputReplace(this,__pat5__);"
                        onkeydown="javascript:pwKeyDown(event);"
                        maxlength="15"></div>

                    <div class="changeInput"><label for="server_ip2">{$g_msg_text["logi_chng"]["ctr06"]}: </label><input type="text" id="server_ip2" name="server_ip2" class="inputText" style="width:200px;" tabindex="1"
                        onfocus="javascript:funcFocus(this);"
                        onblur="javascript:inputReplace(this,__pat5__);"
                        onkeydown="javascript:pwKeyDown(event);"
                        maxlength="15"></div>
                </div>
__HTML_TEXT__;
}

echo <<<__HTML_TEXT__
                <div class="loginChangeBar"></div>
                <div class="btnSet ar">
                    <a href="javascript:clickApply()" class="button basicWhite"><span class="w81">{$g_msg_text["logi_chng"]["btn01"]}</span></a>
                    <a href="javascript:clickCancel()" class="button basicWhite"><span class="w81">{$g_msg_text["logi_chng"]["btn02"]}</span></a>
                </div>
            </div>
        </div>
    </div></div></div>
    <div class="footer"><div class="footerCont"><div class="contBoxBt"></div><div class="contBoxBtRight"></div></div></div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
