<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan_medc");
inc_func(g_inc_type_var, "msg_scan_medc_alrt01");
inc_func(g_inc_type_var, "msg_scan_medc_alrt02");

$g_db->open();
$query = " select id, email, product_name, product_version, date(install_date) as ins_date "
        ."       , install_path, ifnull(language, 'ko_kr') as lang, server_ip, engine_version "
        ."       , homepage_url as home, suppoort_email as support "
        ."  from server_info where no = 1; ";
$rs = $g_db->getrow($query);
$g_db->close();

$pagetitle = getTitle();
if (getProduct() == "v3dl")
{
	$pageci = "pop_tit_linux_desktop.gif";
}
else if(getProduct() == "v3ll")
{
    $pageci = "pop_tit_linux_v3lite.gif";
}
$pagecmd = nvl($_REQUEST["cmd"]);
if ($pagecmd == "resv_medc") {
    $page_title = $g_msg_text["scan_medc"]["ttl03"];
    $need_scan_start_msg = "false";
    $disable_after_action = "enable";
}
else if ($pagecmd == "manual_medc") {
    $page_title = $g_msg_text["scan_medc"]["ttl01"];
    $need_scan_start_msg = "false";
    $disable_after_action = "enable";
}
else {
	$page_title = $g_msg_text["scan_medc"]["ttl01"];
	$need_scan_start_msg = "true";
	$disable_after_action = "";
}
$scnDirs = str_replace("\"", "\\\"", nvl($_REQUEST["dirs"]));

$resume_use = intval(nvl($_REQUEST["resumeUse"], "0"));
PHPLOG(g_LOG_DEBUG, 0, "resumeUse : ".$resume_use);

echo page_start($page_title);
echo <<<__HTML_TEXT__
<style type="text/css">
<!--
.infectItem {
	height: 20px;
	vertical-align:middle;
	padding:0px;
	margin:0px;
	overflow: hidden;
	overflow-y:hidden;
	overflow-x:hidden;
    line-height:150%;
    font-size:1em;
}
.infectgray2 {background:#f8f8f8}
.infectbad {color:#999}
.infectselect {background:#cde6ff !important}
.infectItem .infectCheck {
	float: left;
	width: 4%;
	height: 20px;
	padding-left:6px;
}
.infectItem .infectVirus {
	float: left;
	width: 31%;
	height: 20px;
	padding-left:10px;
}
.infectItem .infectStatus {
	float: left;
	width: 14%;
	height: 20px;
	padding-left:10px;
}
.infectItem .infectPath {
	width: 44%;
	float: left;
	height: 20px;
	padding-left:10px;
	word-break: break-all;
}
-->
</style>
<script language="javascript" type="text/javascript">
<!--//
var ___SCAN_DIRS___ = "{$scnDirs}";

function scanInfomation(thisName){
    this.resultView = new Array("view_0", "view_1", "view_2");

    this.folderId = "scanFolderText";
    this.fileId = "scanFileText";
    this.infoId = "scanInfoText";

    this.progDivId = "progDivId";
    this.progImgId = "progImgId";
    this.progTextId = "progTextId";
    this.cureProgImgId = "cureProgImgId";
    this.cureProgTextId = "cureProgTextId";
    this.cureingTimeTextId = "cureingTimeTextId";

    this.btnCureId = "btn_cure";
    this.btnScanAfterId = "scan_after_action";

    this.inFectCntTextId = "infect_file_cnt";
    this.cureCntTextId = "cure_file_cnt";
    this.virusListId = "infect_list";
    this.virusListBodyId = "infect_list_body";
    this.virusListBodyClassName = "list";

    this.cureCheckId = "infectCheck";
    this.cureStatusId = "infectStatus";
    this.cureStatusTextId = "infectStatusText_";
    this.cureHead = "cure_";
    this.cureTail = "_item";

    this.isScanResultStop = false;

    this.ScanListIdx = 0;
    this.ScanCount = 0;
    this.ScanProgress = 0;
    this.ScanStatus = 1;
    this.ScanDir = [];
    this.DisplayStop = true;
    this.ScanResult = null;
    this.isNotFirst = false;
    this.isCurring = false;
    this.DisplayTimeId = {file:null, prog:null, scan:null, infect:null, cure:null, time:null};
    this.KeepSession = null;
    this.runTime = 1;
    this.inFectCnt = 0;
    this.cureCnt = 0;
    this.viewCureCnt = 0;
    this.MaxScanListCnt = 60;
    this.CureFileStatus = new Array("{$g_msg_text["scan_medc"]["txt11"]}"	/* 0, 치료 중	*/
                                   ,"{$g_msg_text["scan_medc"]["txt07"]}"	/* 1, 치료 가능	*/
                                   ,"{$g_msg_text["scan_medc"]["txt09"]}"	/* 2, 치료 불가	*/
                                   ,"{$g_msg_text["scan_medc"]["txt08"]}"	/* 3, 치료 완료	*/
                                   ,"{$g_msg_text["scan_medc"]["txt10"]}"	/* 4, 치료 안 함*/
                                   ,"{$g_msg_text["scan_medc"]["txt13"]}"	/* 5, 치료 실패	*/
                                   ,"{$g_msg_text["scan_medc"]["txt12"]}"	/* 6, 삭제 완료	*/
                                   ,"{$g_msg_text["scan_medc"]["txt14"]}"	/* 7, 압축 파일	*/
                                   ,"{$g_msg_text["scan_medc"]["txt15"]}"	/* 8, 치료 예정	*/
                                   ,"{$g_msg_text["scan_medc"]["txt16"]}");	/* 9, 수동 제거	*/

    this.CureFileLastIndex = 0;
    this.CureFileIndex = 0;
    this.CureFileList = [];

    this.timerStartTime = null;

    this.varName = thisName;

    this.scanStatusPause = false;

    // display 제어
    this.objectShow = function(obj){obj.style.display = "inline-block";};
    this.objectHide = function(obj){obj.style.display = "none";};

    // Timer Stop
    this.timerStop = function(initTime)
    {
        if (initTime) this.runTime = 0;
        else if (this.timerStartTime) this.runTime += (new Date() - this.timerStartTime);
        this.timerStartTime = null;
    };

    // Timer Count
    this.timerRunning = function(){this.runTime++;};

    // Timer Start
    this.timerRun = function(initTime)
    {
        this.timerStop(initTime);
        this.timerStartTime = new Date();
        if (initTime) this.runTime = 0;
    }

    // Timer Text
    this.makeTimeText = function()
    {
        var hour, tmp, minu, sec, timerEndTime;
        tmp = this.runTime;
        if (this.timerStartTime) tmp += (new Date() - this.timerStartTime);
        timerEndTime = Math.floor(tmp / 1000);
        hour = (Math.floor(timerEndTime / 3600)).toString(10);
        tmp  = timerEndTime % 3600;
        minu = "00" + (Math.floor(tmp / 60)).toString(10);
        sec  = "00" + (timerEndTime % 60).toString(10);
        return hour + ":" + minu.substr(minu.length -2, 2) + ":" + sec.substr(sec.length -2, 2);
    }

    // 감염 수 연산
    this.CountInfect = function(nCnt){
        if (arguments.length > 1) this.inFectCnt = nCnt;
        else this.inFectCnt += nCnt;
        $(this.inFectCntTextId).innerHTML = this.inFectCnt;
    };
    // 치료 수 연산
    this.CountCure = function(nCnt){
        if (arguments.length > 1) this.cureCnt = nCnt;
        else this.cureCnt += nCnt;
    };
    // 보이는 치료수
    this.CountViewCure = function(nCnt){
        if (arguments.length > 1) this.viewCureCnt = nCnt;
        else this.viewCureCnt += nCnt;
        $(this.cureCntTextId).innerHTML = this.viewCureCnt;
    }

    // 상태 지우기
    this.ClearInfo = function(){
        $(this.folderId).innerHTML = "&nbsp;";
        $(this.fileId).innerHTML = "&nbsp;";
        $(this.progImgId).style.width = "0%";
        $(this.progTextId).innerText = "0%";
    };
    // 파일 정보 타이머 중지
    this.WriteFileStop = function(){
        if (this.DisplayTimeId.file) clearTimeout(this.DisplayTimeId.file);
        this.DisplayTimeId.file = null;
        $(this.folderId).innerHTML = "&nbsp;";
        $(this.fileId).innerHTML = "&nbsp;";
    };
    // 스켄 결과 타이머 중지
    this.ScanDirStop = function()
    {
        if (this.DisplayTimeId.scan) clearInterval(this.DisplayTimeId.scan);
        this.DisplayTimeId.scan = null;
    };
    // 세션 갱신 타이머 중지
    this.UpdateSessionStop = function()
    {
        if (this.KeepSession) clearInterval(this.KeepSession);
        this.KeepSession = null;
    }
    // 상태 프로그래스 타이머 중지
    this.WriteProgStop = function(){
        if (this.DisplayTimeId.prog) clearTimeout(this.DisplayTimeId.prog);
        this.DisplayTimeId.prog = null;
    };
    // 스켄 결과 프로그래스 타이머 중지
    this.InfectResultStop = function(){
        if (this.DisplayTimeId.infect) clearTimeout(this.DisplayTimeId.infect);
        this.DisplayTimeId.infect = null;
    };
    // 치료 결과 타이머 중지
    this.CureResultStop = function()
    {
        if (this.DisplayTimeId.cure) clearTimeout(this.DisplayTimeId.cure);
        this.DisplayTimeId.cure = null;
    };
    // 검사 상태 (경로와파일) 표시
    this.WriteFile = function(){
        try{
            if (!this.DisplayStop){
                var scanDirLen = 0;
                if (this.ScanDir != null) scanDirLen = this.ScanDir.length;
                if (scanDirLen > this.MaxScanListCnt) this.ScanDir.splice(0, scanDirLen - this.MaxScanListCnt);
                if (scanDirLen > 0) {
                    if (this.ScanListIdx >= scanDirLen) this.ScanListIdx = 0;
                    if (this.ScanDir[this.ScanListIdx].length == 2 && this.ScanDir[this.ScanListIdx][0] != "" && this.ScanDir[this.ScanListIdx][1] != "") {
                        $(this.folderId).innerText = this.ScanDir[this.ScanListIdx][0];
                        $(this.fileId).innerText = this.ScanDir[this.ScanListIdx][1];
                        this.WriteInfo("");
                    }
                    this.ScanListIdx++;
                }
            }
       }catch(e){ }
    };
    // 검사 상태 (시간과 정보) 표시
    this.WriteInfo = function(status){
        var tmp = "";
        switch(status.toUpperCase()){
        case "INIT":
            $(this.folderId).innerHTML = "{$g_msg_text["scan_medc"]["des01"]}";
            $(this.fileId).innerHTML = "&nbsp;";
            tmp = "{$g_msg_text["scan_medc"]["des02"]}";
            break;
        case "PAUSE":
            tmp = "{$g_msg_text["scan_medc"]["des03"]}";
            break;
        case "STOP":
            tmp = "{$g_msg_text["scan_medc"]["des04"]}";
            break;
        default:
            tmp = "{$g_msg_text["scan_medc"]["des09"]}";
            break;
        }
        $(this.infoId).innerHTML = this.makeTimeText() + " | " + tmp;
    }
    // 검사 완료 창 정보 표시
    this.WriteComplete = function(status, isInfected){
        var tmp = "";
        switch(status.toUpperCase()){
        case "CURE":
			if (isInfected) 
                tmp = "{$g_msg_text["scan_medc"]["des08"]}";
            else
                tmp = "{$g_msg_text["scan_medc"]["des07"]} <br/>({$g_msg_text["scan_medc"]["txt06"]}: " + this.makeTimeText() + ")";
            break;
        default:
			if(stopByUser) {
				if (isInfected)
					tmp = "{$g_msg_text["scan_medc"]["des11"]}<br />({$g_msg_text["scan_medc"]["txt06"]}: " + this.makeTimeText() + ")";
				else
					tmp = "{$g_msg_text["scan_medc"]["des04"]}<br />({$g_msg_text["scan_medc"]["txt06"]}: " + this.makeTimeText() + ")";
			}
			else {
				if (isInfected)
					tmp = "{$g_msg_text["scan_medc"]["des05"]}<br />({$g_msg_text["scan_medc"]["txt06"]}: " + this.makeTimeText() + ")";
				else
					tmp = "{$g_msg_text["scan_medc"]["des10"]}<br />({$g_msg_text["scan_medc"]["txt06"]}: " + this.makeTimeText() + ")";
			}
            break;
        }
        $(this.resultView[1]).innerHTML = tmp;
    };
    // 상태 프로그래스 표시
    this.WriteProgress = function(){
        if (this.DisplayStop){
            var tmp = (this.ScanProgress == 100)?"100":"0";
            $(this.progImgId).style.width = tmp + "%";
            $(this.progTextId).innerText = tmp + "%";
        }
        else{
            if (this.ScanProgress >= 100) this.ScanProgress = 100;
            if (!this.isNotFirst) this.ScanProgress = 1;
            if (this.ScanProgress){
                $(this.progTextId).innerText = $(this.progImgId).style.width = this.ScanProgress.toString(10) + "%";
            }
        }
    };
    // 치료 프로그래스 표시
    this.WriteCureProgress = function(nPercent){
        $(this.cureingTimeTextId).innerText = this.makeTimeText();
        $(this.cureProgTextId).innerHTML = $(this.cureProgImgId).style.width = nPercent.toString(10) + "%";
    };
    // 속성값 추가
    this.createAtt = function(att, value){
        var tmp = document.createAttribute(att);
        tmp.value = value;
        return tmp;
    }
    // 스켄 결과
    this.ScanResultRH = function(result)
    {
        var scanResultInfo = result.responseText.substr(0, 40);
        var scanResultData = "";
        if (result.responseText.length > 40) {
            scanResultData = result.responseText.substring(40);

            this.CountInfect(parseInt(scanResultInfo.substr(0, 10), 10), true);
            this.CountViewCure(parseInt(scanResultInfo.substr(10, 10), 10), true);
            this.CountCure(parseInt(scanResultInfo.substr(20, 10), 10));
            this.ScanCount = parseInt(scanResultInfo.substr(30, 10), 10);

            $(this.virusListId).insert(scanResultData);
            this.ScanCount++;
        }
        if (this.isScanResultStop && scanResultData.length < 1) {
            if (!this.scanStatusPause) this.allScanStop(true);
        }
        else if (isScanStart == false) {
			if(stopByUser)
				this.InfectResultStop();
			else
            	this.ScanResultScanStatus();
        }
        else{
			this.ScanResultScanStatus();
            //this.GetInfectResult();
        }
    };

    this.ScanResultScanStatus = function(){
        this.ScanResultScanStatusRH = function(result)
        {
            var rtn = eval(result.responseText);
            var scanType = rtn[1];
            var status = getFileScanStatus(rtn[0]);
            if (status == "") {
                this.scanStatusPause = false;
                this.isScanResultStop = true;
				this.InfectResultStop();
                this.GetScanResult();
            }
            else{
                this.GetInfectResult();
            }
        };
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        ,{parameters : {cmd:"scan_status"}
                        ,onSuccess : this.ScanResultScanStatusRH.bind(this) });
    }
    //
    this.GetInfectResult = function(){
		if(!allScanStopRet)
        	this.DisplayTimeId.infect = window.setTimeout(this.varName + ".GetScanResult()", 300);
    }
    // 스켄 결과 가져오기
    this.GetScanResult = function()
    {
		if(!allScanStopRet)
        	new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"scan_result", data:this.ScanCount}
                    ,onSuccess : this.ScanResultRH.bind(this) });
    };
    // 스켄 디렉토리 결과
    this.ScanDirRH = function(result)
    {
		if(stopByUser || this.scanStatusPause){
			// No operation and Timer off
			this.ScanDirStop();
		}
		else{
			var i, j, sPos, tmpDir;
			var scanDirInfo = eval(result.responseText);
			this.ScanStatus = scanDirInfo[1];
			this.ScanProgress = (scanDirInfo[2] >= 100)?99:scanDirInfo[2];
			this.WriteProgress();
			var tmpArray = scanDirInfo[3].split(___MAIN_SEPARATE___, scanDirInfo[0]);
			if (tmpArray.length > 0) {
				j = this.ScanDir.length;
				for(i in tmpArray){
					if (tmpArray.hasOwnProperty(i)) {
						sPos = tmpArray[i].lastIndexOf(___FILE_PATH___);
						if (sPos > 0){
							this.ScanDir[j] = [];
							this.ScanDir[j][0] = MidH(tmpArray[i].slice(0, sPos), 0, 70);
							this.ScanDir[j++][1] = tmpArray[i].substring(sPos + 1);
						}
					}
				}
			}
			this.WriteInfo("");
			if (this.isNotFirst) {
				if ((scanDirInfo[2] < 1 || scanDirInfo[2] >= 100)
					&& (true == isScanStart)) {
					isScanStart = false; // 스켄의 정상 종료
					this.ScanProgress = 100;
					this.ScanDirStop();
					this.WriteFileStop();
					this.UpdateSessionStop();
				}
			}
			this.isNotFirst = true;
		}
    };
    // 스켄 디렉토리 가져오기
    this.GetScanDir = function()
    {
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"scan_dir"}
                    ,onSuccess : this.ScanDirRH.bind(this) });
    };
    // 세션 새로고침
    this.UpdateSession = function()
    {
        new Ajax.Request("{$SRC_ROOT}session_update.php");
    }
    // 버튼 제어
    this.btnControl = function(){
        if ((this.inFectCnt > 0) && (this.inFectCnt > this.cureCnt)) {
            if (!this.scanStatusPause) this.objectShow($(this.btnCureId));
        }
        else {
            this.objectHide($(this.btnCureId));
        }
        if (this.isCurring) $(this.btnCureId).className = "button basicWhiteDisable";
        else $(this.btnCureId).className = "button basicWhite";
    }
    // 바이러스 목록 테이블
    this.MakeInfectListUI = function(){
        /*
        $(this.virusListId).innerHTML = "<table id=\"" + this.virusListBodyId + "\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" class=\"" + this.virusListBodyClassName + "\">" +
                                        "<colgroup><col width=\"5%\"></col><col width=\"32%\"></col><col width=\"15%\"></col><col width=\"48%\"></col></colgroup></table>";
        */
    };
    // 스켄 상태 초기화
    this.DisplayScanInit = function(){
        this.ScanDirStop();
        this.InfectResultStop();
        this.isNotFirst = false;
        this.DisplayStop = false;
        this.ScanCount = 0;
        this.ScanStatus = 1;
        this.ScanProgress = 0;
        this.ScanDir = [];
        this.WriteInfo("init");
        $(this.progDivId).className = "progressDisable";
        $(this.progImgId).style.width = "0%";
        $(this.progTextId).innerHTML = "0%";
        this.CountInfect(0, true);
        this.CountViewCure(0, true);
        this.CountCure(0, true);
        this.CureResultStop();
        this.MakeInfectListUI();
        this.changeView(0);
    };
    // 스켄 상태 표시 시작
    this.DisplayScanStart = function(){
        this.DisplayScanInit();
        this.timerRun(true);
        this.DisplayScanRun(true);
    };
    // 스켄 치료 화면 표시 시작/중지
    this.DisplayScanRun = function(isRun){
        if (isRun){
            isScanStart = true;
            this.DisplayStop = false;
            $(this.progDivId).className = "progress";
            this.objectHide($(this.btnCureId));
            this.timerRun(false);
            this.DisplayTimeId.file = window.setInterval(this.varName + ".WriteFile()", 50);
            //this.DisplayTimeId.prog = window.setInterval(this.varName + ".WriteProgress()", 100);
            this.DisplayTimeId.scan = window.setInterval(this.varName + ".GetScanDir()", 500);
            this.KeepSession = window.setInterval(this.varName + ".UpdateSession()", 60 * 1000);
            this.DisplayTimeId.infect = window.setTimeout(this.varName + ".GetScanResult()", 1000);
        }
        else{
			if(!sInfo.scanStatusPause)
				isScanStart = false;
            this.DisplayStop = true;
            $(this.progDivId).className = "progressDisable";
            this.timerStop(false);
            this.WriteFileStop();
            this.WriteProgStop();
            this.WriteInfo("pause");
            this.ScanDirStop();
            this.InfectResultStop();
            this.UpdateSessionStop();
        }
    }
    // 모두 정지
    this.allScanStop = function(s){
		allScanStopRet = true;
        isScanStart = false;
        this.DisplayStop = true;
        $(this.progDivId).className = "progressDisable";
        this.timerStop(false);
        this.WriteFileStop();
        this.WriteProgStop();
        this.ScanDirStop();
        this.InfectResultStop();
        this.UpdateSessionStop();

        if (this.inFectCnt <= 0 && this.inFectCnt <= this.cureCnt) {
            if ($(this.btnScanAfterId).selectedIndex == 1) popSelfClose();
        }

		if (this.inFectCnt > 0 && this.inFectCnt > this.cureCnt)
			this.WriteComplete("", true);
		else
			this.WriteComplete("", false);

		this.changeView(1);
        this.btnControl();
        this.ClearInfo();
    }
    // 결과창 전환
    this.changeView = function(view){
        if (view == 0) $(this.resultView[0]).style.display = "block";
        else $(this.resultView[0]).style.display = "none";
        if (view == 1) $(this.resultView[1]).style.display = "block";
        else $(this.resultView[1]).style.display = "none";
        if (view == 2) $(this.resultView[2]).style.display = "block";
        else $(this.resultView[2]).style.display = "none";
    }
    // 스켄 목록 스타일 재정의
    this.virusListSetStyle = function(arrItem){
        var objTR = $(this.cureHead + arrItem[0] + this.cureTail);
        var chkBox = $(this.cureCheckId +"_"+arrItem[0]);

        $(this.cureStatusId +"_"+ arrItem[0]).value = arrItem[1];
        if (arrItem[1] != 1){
            chkBox.checked = false;
            chkBox.disabled = true;
            objTR.style.color="#999";
        }
        else{
            chkBox.checked = true;
            chkBox.disabled = false;
            objTR.style.color="#999";
        }
    }
    // 치료 결과
    this.ScanFileCureResultErrroCount = 0;
    this.ScanFileCureResultRH = function(result)
    {
        try{
            var isErrorResult = false;
            var arrItem, tmp;
            var rtn = eval(result.responseText);
            if (rtn[0] > 0){
                var arrCureList = rtn[1].split(___MAIN_SEPARATE___, rtn[0]);
                for(var i=0; i < rtn[0]; i++){
                    if (arrCureList[i].indexOf(___SUB_SEPARATE___) < 1){
                        isErrorResult = true;
                        break;
                    }
                    else{
                        arrItem = arrCureList[i].split(___SUB_SEPARATE___);
                        $(this.cureStatusTextId + arrItem[0]).innerText = this.CureFileStatus[arrItem[1]];
                        this.virusListSetStyle(arrItem);
                        this.CureFileIndex++;

                        /// 치료 중, 치료 가능, 치료 불가, 치료 완료, 치료 안 함, 치료 실패, 삭제 완료, 압축 파일
                        tmp = parseInt(arrItem[1], 10);
                        if (!isNaN(tmp) && tmp != 0 && tmp != 1 && tmp != 7){
                            this.CountCure(1);
                            if (tmp == 3 || tmp == 6) this.CountViewCure(1);
                        }
                    }
                }
            }
            /* else{ this.CureFileIndex++; } */

            var tmpP = Math.floor(this.CureFileIndex / this.CureFileList.length * 100);
            if (tmpP >= 100) tmpP = 99;
            this.WriteCureProgress(tmpP);

            if (this.CureFileIndex >= this.CureFileList.length) {
                this.isCurring = false;
                this.timerStop();
                this.WriteCureProgress(100);
                this.CureResultStop();
                this.changeView(1);

				if (this.inFectCnt > 0 && this.inFectCnt > this.cureCnt)
					this.WriteComplete("cure", true);
				else
					this.WriteComplete("cure", false);

                this.btnControl();
            }
            else{
                if (isErrorResult) {
                    if (this.ScanFileCureResultErrroCount < 20){
                        this.DisplayTimeId.cure = setTimeout(this.varName + ".ScanFileCureResult()", 1000);
                        this.ScanFileCureResultErrroCount++;
                        return;
                    }
                    else{
                        this.CureFileIndex++;
                    }
                }
                this.ScanFileCureResultErrroCount = 0;
                this.ScanFileCureResult();
            }
        }
        catch(e){
            if (this.ScanFileCureResultErrroCount < 20){
                this.DisplayTimeId.cure = setTimeout(this.varName + ".ScanFileCureResult()", 1000);
                this.ScanFileCureResultErrroCount++;
                return;
            }
            else{
                this.ScanFileCureResultErrroCount = 0;
                this.CureFileIndex++;
                this.ScanFileCureResult();
            }
        }
    };
    // 치료 결과 가져오기
    this.ScanFileCureResult = function()
    {
        var dataList = "";
        var i = this.CureFileIndex;
        var totalCureCount = this.CureFileList.length;
        do{
            dataList += this.CureFileList[i].toString(10) + ___MAIN_SEPARATE___;
            i++;
        }while( i < (this.CureFileIndex + 10) && i < totalCureCount);

        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        ,{parameters : {cmd:"cure_result", data: dataList}
                        ,onSuccess : this.ScanFileCureResultRH.bind(this) });
    }
    this.getScanFileCheck  = function()
    {
        var objList = document.getElementsByName(this.cureCheckId);
        var objLen = objList.length;
        var i = (arguments.length > 2)?((arguments[2] && true)?0:1):1;
        var checkValue = "";
        this.CureFileList = new Array();
        for(; i < objLen; i++){
            if (objList[i].checked) {
                checkValue += objList[i].value + ___MAIN_SEPARATE___;
                this.CureFileLastIndex = parseInt(objList[i].value, 10);
                this.CureFileList[this.CureFileList.length] = objList[i].value;
            }
        }
        return checkValue;
    };
    // 치료 시작 결과
    this.ScanFileCureStartRH = function(result)
    {
        var rtn = parseInt(result.responseText, 10);
        if (rtn < 0){
            alert("{$g_msg_text["scan_medc_alrt01"]["des07"]}");
            return;
        }
        this.isCurring = true;
        this.timerRun(true);
        this.WriteCureProgress(0);
        this.CureFileIndex = 0;
        this.changeView(2);
        this.btnControl();
        this.DisplayTimeId.cure = setTimeout(this.varName + ".ScanFileCureResult()", 1000);
    };
    // 치료 시작
    this.ScanFileCureStart = function(){
        this.CureResultStop();
        var cureData = this.getScanFileCheck();
        if (cureData.length > 0){
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                            ,{parameters : {cmd:"cure_start", data:cureData}
                            ,onSuccess : this.ScanFileCureStartRH.bind(this) });
        }
        else{
            alert("{$g_msg_text["scan_medc_alrt01"]["des09"]}");
        }
    };
}
// 치료
function ScanFileCureStart()
{
    this.ScanStatusRH = function(result)
    {
        var rtn = eval(result.responseText);
        var scanType = rtn[1];
        var status = getFileScanStatus(rtn[0]);
        if (status != ""){
            if (status == "SCAN") {
                if (confirm("{$g_msg_text["scan_medc_alrt01"]["des06"]}\\n{$g_msg_text["scan_medc_alrt02"]["des01"]}")){
                    stopFileScan(ScanFileCureStart, null);
                }
            }
            if (status == "SCAN_PAUSE") stopFileScan(ScanFileCureStart, []);
            if (status == "CURE") {
                if (confirm("{$g_msg_text["scan_medc_alrt01"]["des08"]}\\n{$g_msg_text["scan_medc_alrt02"]["des02"]}")){
                    stopFileCure(ScanFileCureStart, null);
                }
            }
            return;
        }
        sInfo.ScanFileCureStart();
    };
    if (!sInfo.isCurring){
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        ,{parameters : {cmd:"scan_status"}
                        ,onSuccess : this.ScanStatusRH });
    }

}
// 치료 중지
function stopFileCure(nextFunc, arguFunc)
{
    this.CureStopRH = function(result)
    {
        sInfo.DisplayScanRun(false);
        sInfo.btnControl();
    };
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"cure_stop"}
                    ,onSuccess : this.CureStopRH });
}
function actionFileScan(nextFunc, arguFunc){
    this.ScanPauseRH = function(result)
    {
        if (parseInt(result.responseText, 10) >= 0) {
            if (nextFunc != null) {
                nextFunc.apply(this, arguFunc);
            }
        }
    };
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"scan_pause"}
                    ,onSuccess : this.ScanPauseRH });
}
// 검사 중지
function stopFileScan(){
    this.nextFunc = null;
    this.arguFunc = null;
    this.afterCallFunc = function(){
        this.nextFunc.call(this, this.arguFunc);
    }
    this.ScanStopRH = function(result)
    {
        // new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        // ,{parameters : {cmd:"scan_event_log", data:"2005"}} );
        sInfo.scanStatusPause = false;
        sInfo.allScanStop(false);
        isScanStart = false;
        $("btnFileScanRestart").className = "button smallWhiteDisable";
        $("btnFileScanStop").className = "button smallWhiteDisable";
		$("btnFileScanPause").className = "button smallWhiteDisable";
		btnPauseEnable = false;
        btnStopEnable = false;
		btnRestartpEnable = false;
        if (this.nextFunc != null) {
            this.setTimeout(this.afterCallFunc, 1000);
        }
    };
    this.ScanStop = function(){
        if (scanAlert(false, "{$g_msg_text["scan_medc_alrt02"]["des01"]}")){
			stopByUser = true;
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                            ,{parameters : {cmd:"scan_stop"}
                            ,onSuccess : this.ScanStopRH });
        }
    };
    if (arguments.length > 0) {
        this.nextFunc = arguments[0];
        this.arguFunc = arguments[1];
    };
    if (btnStopEnable) this.ScanStop();
}
// 검사 일시 정지
function pauseFileScan(){
	var scanType = "{$pagecmd}";
    this.ScanPause = function(){
		switch(scanType){
		case "resv_medc":
			new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
							,{parameters : {cmd:"scan_event_log", data:"3010"}} );
			break;
		case "manual_medc":
			new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
							,{parameters : {cmd:"scan_event_log", data:"2003"}} );
			break;
		}
        sInfo.scanStatusPause = true;
        sInfo.DisplayScanRun(false);
        $("btnFileScanPause").style.display = "none";
        $("btnFileScanRestart").style.display = "inline-block";
        sInfo.ScanResultScanStatus();
		sInfo.WriteInfo("pause");
        sInfo.btnControl();
    };
	if(btnPauseEnable)
    	actionFileScan(this.ScanPause, []);
}
// 검사 다시 시작
function restartFileScan(){
	var scanType = "{$pagecmd}";	
    this.ScanReStartRH = function(result)
    {
		switch(scanType){
		case "resv_medc":
			new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        ,{parameters : {cmd:"scan_event_log", data:"3009"}} );
			break;
		case "manual_medc":
			new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
						,{parameters : {cmd:"scan_event_log", data:"2004"}} );
			break;
		}
        if (parseInt(result.responseText, 10) >= 0){
            $("btnFileScanRestart").style.display = "none";
            $("btnFileScanPause").style.display = "inline-block";
            sInfo.scanStatusPause = false;
            sInfo.DisplayScanRun(true);
        }
    };
    if (btnRestartpEnable){
		new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
						,{parameters : {cmd:"scan_restart"}
						,onSuccess : this.ScanReStartRH });
    }
}
// 스켄 시작
function startFileScan(scanDir){
    this.ScanStartRH = function(result)
    {
        var rtn = parseInt(result.responseText, 10);
        if (rtn < 0){
            if (confirm("{$g_msg_text["scan_medc_alrt01"]["des06"]}\\n{$g_msg_text["scan_medc_alrt02"]["des01"]}")){
                stopFileScan(startFileScan, [scanDir]);
            }
            return;
        }
        sInfo.ClearInfo();
        sInfo.DisplayScanStart();
        setTimeout(this.ScanStartAfter, 1000);
    };
    this.ScanStartAfter = function(){
        $("btn_close").className = "button smallWhite";
        initClose = true;
    };

    var resume = "{$resume_use}"

    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"scan_start", resumeuse:resume, data:scanDir}
                    ,onSuccess : this.ScanStartRH });
}
// 종료
function clickClose()
{
    if (!initClose) return;
    var closeConfirm = true;
    var scanEndLog = false;
    if (isScanStart){
        closeConfirm = confirm("{$g_msg_text["scan_medc_alrt01"]["des06"]}\\n{$g_msg_text["scan_medc_alrt02"]["des01"]}");
        if (closeConfirm) scanEndLog = true;
    }
    else{
        if (sInfo.inFectCnt > 0 && (sInfo.inFectCnt > sInfo.cureCnt)){
            closeConfirm = confirm("{$g_msg_text["scan_medc_alrt01"]["des01"]}");
        }
    }
    if (closeConfirm){
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php" 
                        ,{parameters : {cmd:"scan_stop"}});
		//if (scanEndLog) new Ajax.Request("{$SRC_ROOT}filescan_cmd.php", {parameters : {cmd:"scan_event_log", data:"2005"}});
		windowClose = true;
		//setReturnValue( '');
		this.returnValue = "";
		popSelfClose();
    }
}

function popSelfClose() {
    window.parent.self.close();	
}

// alert
function scanAlert(){
    if (arguments.length >= 2){
        if (arguments.length > 2) if (!(arguments[2] && true)) return false;
    }
    else return;
    if (arguments[0] && true) {
        alert(arguments[1]);
        return true;
    }
    else return confirm(arguments[1]);
}
function viewScan(){
	this.getScanStatusRH = function(result)
    {
        var rtn = eval(result.responseText);
        var scanType = rtn[1];
        var status = getFileScanStatus(rtn[0]);
        if (status == "SCAN_PAUSE") {
            btnStopEnable = true;
            sInfo.scanStatusPause = true;
            sInfo.DisplayScanRun(false);
            $("btnFileScanPause").style.display = "none";
            $("btnFileScanRestart").style.display = "inline-block";
            $("btnFileScanStop").className = "button smallWhite";
            sInfo.ScanResultScanStatus();
            sInfo.btnControl();
        }
    };

    $("infect_list_disable").style.display = "inline-block";
    $("infect_list_disable").style.left = $("infect_list").offsetLeft;//getPosLeft($("infect_list"));
    $("infect_list_disable").style.top = $("infect_list").offsetTop - $("infect_list_head").clientHeight;//getPosTop($("infect_list"));
    $("infect_list_disable").style.width = $("infect_list").clientWidth;
    $("infect_list_disable").style.height = $("infect_list").clientHeight + $("infect_list_head").clientHeight;
    //$("infect_list_disable").style.backgroundColor = "#EEEEEE";
    //$("infect_list_disable").style.filter="alpha(opacity=50)";
    sInfo.ClearInfo();
    sInfo.DisplayScanStart();
    isScanStart = true;
    $("btn_close").className = "button smallWhite";
    initClose = true;

	new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"scan_status"}
                    ,onSuccess : this.getScanStatusRH.bind(this) });
}
function checkBoxAllCure(obj){
    //checkBoxAll(obj);
    var objStatus;
    var objList = document.getElementsByName(obj.name);
    var objLen = objList.length;
    for(var i=0; i < objLen; i++){
        if (objList[i] != obj){
            objStatus = "infectStatus_"+ objList[i].value;
            if ($(objStatus).value == "1") objList[i].checked = obj.checked;
            else objList[i].checked = false;
        }
    }
}
function clickInfectCheckbox(sChk){
    var eventId = window.event.srcElement.id;
    if (eventId != "infectCheck_" + sChk) {
        if ($("infectStatus_" + sChk).value == "1")
            $("infectCheck_" + sChk).checked = !$("infectCheck_" + sChk).checked;
    }
    var objList = document.getElementsByName("infectCheck");
    var mainCheck = objList[0];
    var i = 1;
    var objLen = objList.length;
    var isAllCheck = true;
    for(; i < objLen; i++){
        if ($("infectStatus_" + objList[i].value).value == "1" && !objList[i].checked){
            isAllCheck = false;
            break;
        }
    }
    mainCheck.checked = isAllCheck;
}
var allScanStopRet = false;
var stopByUser = false;
var isScanStart = false;
var initClose = false;
var windowClose = false;
var btnPauseEnable = true;
var btnStopEnable = true;
var btnRestartpEnable = true;
var btnCureEnable = true;
var sInfo = new scanInfomation("sInfo");
function initPage()
{
    $("btnFileScanStop").className = "button smallWhite";
    $("btn_close").className = "button smallWhiteDisable";
    if ({$need_scan_start_msg}) startFileScan(___SCAN_DIRS___);
    else viewScan();
}
function closeWindow(){
    if (!windowClose) {
        sInfo.allScanStop(false);
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php" ,{parameters : {cmd:"scan_stop"}});
    }
}

var checkDupSession = function() {
    var ajaxOptions = {
        onSuccess: function(result) {
            switch(result.responseText){
            case "DUPLICATE_LOGIN":
                windowClose = true; 
                setReturnValue('');              //for Chrome
                window.parent.returnValue = '';  //for IE,Firefox
                popSelfClose();
                break;

            case "NOT_DUPLICATE_LOGIN":
            default:
                break;
            }
        }
    };
    new Ajax.Request("{$SRC_ROOT}session_check.php", ajaxOptions);
}
window.setInterval(checkDupSession, 3 * 1000);

//-->
</script>
<body onload="javascript:initPage()" onkeydown="return (event.keyCode == 154)">
<div class="wrapPop">
<!-- header -->
    <div class="popHeader">
        <h1>{$g_msg_text["scan_medc"]["ttl02"]}</h1>
    </div>
<!-- //header -->
    <div class="popCont">
        <span class="rtop"><span class="r1"></span></span>
        <div class="popContBox">
<!-- Contents Area -->
            <div class="checkArea">
                <div id="view_0" style="display:none;">
                    <ul class="checking">
                        <li>{$g_msg_text["scan_medc"]["txt01"]}: <p class="path" id="scanFolderText">&nbsp;</p></li>
                        <li>{$g_msg_text["scan_medc"]["txt02"]}: <p class="path" id="scanFileText">&nbsp;</p></li>
                        <li class="msg">{$g_msg_text["scan_medc"]["txt03"]}: <p id="scanInfoText" class="path">&nbsp</p></li>
                    </ul>
                    <div class="progressBtn">
                        <div class="fl">
                            <div id="progDivId" class="progress">
                                <div id="progImgId" class="ing" style="width:1%;">&nbsp;</div>
                                <div id="progTextId" class="percent">0%</div>
                            </div>
                        </div>
                        <div class="fr btnSet">
                            <a href="javascript:pauseFileScan()" id="btnFileScanPause" class="button smallWhite"><span class="w81">{$g_msg_text["scan_medc"]["btn01"]}</span></a><!--
                            [IE 6,7,8 호환성문제] 
                                IE8이하에서 inline-block 속성을 지원하지 않아서 스페이스바만큼의 공백이 생긴다. 
                                이 공백 제거를 위하여 두 <a> 태그가 서로 붙어있도록 변경한다.
                            --><a href="javascript:restartFileScan()" id="btnFileScanRestart" class="button smallWhite" style="display:none;"><span class="w81">{$g_msg_text["scan_medc"]["btn02"]}</span></a>
                            <a href="javascript:stopFileScan();" id="btnFileScanStop" class="button smallWhiteDisable"><span class="w81">{$g_msg_text["scan_medc"]["btn03"]}</span></a>
                        </div>
                    </div>
                </div>
                <div id="view_1" class="checkComplete" style="display:none;">&nbsp;</div>
                <div id="view_2" class="cure" style="display:none;">
                    <p class="txt"><span id="cureingTimeTextId"></span> | {$g_msg_text["scan_medc"]["des06"]}</p>
                    <div class="progress">
                        <div id="cureProgImgId" class="ing" style="width:1%;">&nbsp;</div>
                        <div id="cureProgTextId" class="percent">0%</div>
                    </div>
                </div>
            </div>

            <div class="checkListArea">
                {$g_msg_text["scan_medc"]["txt04"]}: <span id="infect_file_cnt" style="font-weight:bold;">0</span> | {$g_msg_text["scan_medc"]["txt05"]}: <span id="cure_file_cnt">0</span>
                <div class="checkListBox">
                    <table id="infect_list_head" width="100%" cellpadding="0" cellspacing="0"  class="list">
                    <colgroup><col width="5%"></col><col width="32%"></col><col width="15%"></col><col width="48%"></col></colgroup>
                    <tr>
                        <th style="border-left:none;"><input type="checkbox" id="infectCheck" name="infectCheck" onclick="javascript:checkBoxAllCure(this)"></th>
                        <th>{$g_msg_text["scan_medc"]["clt01"]}</th>
                        <th>{$g_msg_text["scan_medc"]["clt02"]}</th>
                        <th  style="border-right:none;">{$g_msg_text["scan_medc"]["clt03"]}</th>
                    </tr>
                    </table>
                    <div id="infect_list" style="width:100%; height:224px;" class="tableWrap"></div>
                    <div id="infect_list_disable" style="position:absolute;left:0px;top:0px;display:none;background:url({$IMG_ROOT}alpha_bg.gif);"></div>
                </div>
            </div>
            <div class="progressBt">
                <div class="fl">
                    {$g_msg_text["scan_medc"]["cmb01"]}
                    <select id="scan_after_action" {$disable_after_action}>
                        <option>{$g_msg_text["scan_medc"]["cmb01_1"]}</option>
                        <option>{$g_msg_text["scan_medc"]["cmb01_2"]}</option>
                    </select>
                </div>
                <div class="fr btnSet">
                    <a href="javascript:ScanFileCureStart();" id="btn_cure" style="display:none;" class="button basicWhite"><span class="w81">{$g_msg_text["scan_medc"]["btn04"]}</span></a>
                    <a href="javascript:clickClose();" id="btn_close" class="button basicWhiteDisable"><span class="w81">{$g_msg_text["com"]["btn_close"]}</span></a>
                </div>
            </div>
<!-- //Contents Area -->
        </div>
    </div>
<!-- Footer -->
    <div class="popFooter"><span class="rbottom"><span class="r1"></span></span></div>
<!-- //Footer -->
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
