<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan_schd");
inc_func(g_inc_type_var, "msg_scan_schd_edit");
inc_func(g_inc_type_var, "msg_conf_scan");
inc_func(g_inc_type_var, "msg_conf_scan_alrt");
inc_func(g_inc_type_var, "msg_scan_schd_alrt01");
inc_func(g_inc_type_var, "msg_scan_schd_alrt02");
inc_func(g_inc_type_var, "msg_conf_scan_alrt01");

$scan_opt_cmd = nvl($_REQUEST["cmd"]);
$scan_opt_no = nvl($_REQUEST["optno"], "-1");

$rs["name"] = "";
$rs["status"] = 0;
$rs["cycle"] = 1; //1:Daily 2:Week 3:Monthly 4:Once
$rs["view_week"] = intval(date("w"));
$rs["view_day"] = intval(date("j"));
$rs["view_date"] = date("Y-m-d");
$rs["hour"] = intval(date("G"));
$rs["min"] = intval(date("i"));
$rs["dirs"] = "";
$rs["target"] = 1;
$rs["ext_on"] = 0;
$rs["ext"] = "";
$rs["cure"] = 2;
$rs["comp"] = 1;
$rs["auto"] = 1;
$rs["quar"] = 1;
$rs["compress"] = 0;
$rs["cpu_usage"] = 80;
$rs["period_use"] = 0;
$rs["period"] = 60;
$rs["resume_use"]=0;
$rs["filesize_use"] = 0;
$rs["filesize"] = 1000;

$resv_cmd = "resv_add";
$resv_no = "";
if ($scan_opt_cmd == "resv_mod"){
    try {
        $g_db->open();

        $query= " select a.name as name "
               ."       ,a.status as status "
               ."       ,a.cycle as cycle "
               ."       ,cast(strftime('%w', view_time) as integer) as view_week "
               ."       ,cast(strftime('%d', view_time) as integer) as view_day "
               ."       ,date(view_time) as view_date "
               ."       ,cast(strftime('%H', view_time) as integer) as hour "
               ."       ,cast(strftime('%M', view_time) as integer) as min "
               ."       ,(select group_concat(b.path, '|') || '|' "
               ."         from   temp_dir b "
               ."         where  b.reserve_no = a.no "
               ."         and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
               ."         and    b.sess_status >= 0 ) as dirs "
               ."       ,b.target, b.extension_on as ext_on, b.extension as ext "
               ."       ,b.cure_option as cure, b.compress_option as comp, b.auto_cure as auto "
               ."       ,b.move_quarantine as quar "
               ."       ,b.compress_use as compress "
               ."       ,b.cpu_usage as cpu_usage "
               ."       ,b.period_use as period_use "
               ."       ,b.period as period "
               ."       ,b.resume_use as resume_use "
               ."       ,b.filesize_use as filesize_use "
               ."       ,b.filesize as filesize "
               ." from   temp_reserve a left join temp_scan_option b on ( a.scan_option_no = b.no ) "
               ." where  a.no = '".strDb(intval($scan_opt_no))."' "
               ." and    a.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
               ." and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
        $tmpRs = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            /* TODO: */
        }
    } catch (Exception $e) {
        /* TODO: */
    }
 
    $g_db->close();
    
    if (sizeof($tmpRs) > 0) {
        $rs = $tmpRs;
        $resv_cmd = "resv_mod";
        $resv_no = intval($scan_opt_no);
        $rs["name_html"] = strHtml($tmpRs["name"]);
        $rs["view_day"] = intval($tmpRs["name"]);
        $rs["hour"] = intval($tmpRs["hour"]);
        $rs["min"] = intval($tmpRs["min"]);
        $rs["view_week"] = intval(date("w"));
        $rs["view_day"] = intval(date("j"));
        $rs["view_date"] = date("Y-m-d");
        if ($rs["cycle"] == 2) $rs["view_week"] = intval($tmpRs["view_week"]);
        if ($rs["cycle"] == 3) $rs["view_day"] = intval($tmpRs["view_day"]);
        if ($rs["cycle"] == 4) $rs["view_date"] = $tmpRs["view_date"] ;
    }
}
$rs["target01"] = ($rs["target"]=="1")?"checked":"";
$rs["target02"] = ($rs["target"]=="2")?"checked":"";
$rs["ext_on_d"] = ($rs["target"]=="1")?"disabled":"";
$rs["ext_on_c"] = ($rs["ext_on"]=="1")?"checked":"";
$rs["ext_d"] = ($rs["target"]=="1")?"disabled":"";
$cure = array(1=>"", "", "");
$cure[$rs["cure"]] = "selected";
$comp = array(1=>"", "");
$comp[$rs["comp"]] = "selected";
$cpu_usage = array(0=>"", 1=>"", 2=>"");
if( $rs["cpu_usage"] >= 80) $cpu_usage[0] = "selected";
else if( $rs["cpu_usage"] < 80 &&  $rs["cpu_usage"] >= 50) $cpu_usage[1] = "selected";
else $cpu_usage[2] = "selected";
$rs["auto_c"] = ($rs["auto"]=="1")?"checked":"";
$rs["quar_c"] = ($rs["quar"]=="1")?"checked":"";
$cycle_s = array(1=>"", "", "", "");
$cycle_s[$rs["cycle"]] = "selected";
$opt_week = array("0"=>"","1"=>"","2"=>"","3"=>"","4"=>"","5"=>"","6"=>"");
$opt_week[$rs["view_week"]] = "selected";
$opt_day = array("1"=>"","2"=>"","3"=>"","4"=>"",
                 "5"=>"","6"=>"","7"=>"","8"=>"","9"=>"",
                 "10"=>"","11"=>"","12"=>"","13"=>"","14"=>"",
                 "15"=>"","16"=>"","17"=>"","18"=>"","19"=>"",
                 "20"=>"","21"=>"","22"=>"","23"=>"","24"=>"",
                 "25"=>"","26"=>"","27"=>"","28"=>"","29"=>"",
                 "30"=>"","31"=>"");
$opt_day[$rs["view_day"]] = "selected";
$compress = ($rs["compress"]=="1")?"checked":"";

/* VNIX-2624 검사 수행 시간 설정 */
$period_use = ($rs["period_use"]=="1")?"checked":"";
$hour = intval($rs["period"] / 60);
$min = intval($rs["period"] % 60);

$resume_use = ($rs["resume_use"]=="1")?"checked":"";

$strHourPeriod = strOptionValue(0, 24, $hour, "0");
$strMinPeriod = strOptionValue(0, 60, $min, "0");

/* VNIX-2623 검사 파일 사이즈 설정 추가 */
$useLimitFileSize = ($rs["filesize_use"]=="1")?"checked":"";
$useLimitFileSize_disable = ($rs["filesize_use"]=="1")?"":"disabled";
$filesize = $rs["filesize"];

$strHourOpt = strOptionValue(0, 24, $rs["hour"], "0");
$strMinOpt = strOptionValue(0, 60, $rs["min"], "0");
//$strDayOpt = strOptionValue(1, 32, $rs["view_day"]);
$root_text = getTitle();

echo page_start($g_msg_text["scan_schd_edit"]["ttl01"], array("ahnlabtree", "calendar"), array("ahnlabtree", "calendar"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
var aTree = null;

function clickTarget()
{
    if ($("target01").checked)
    {
        $("ext_on_c").disabled = true;
        $("ext_t").disabled = true;
    }
    else
    {
        $("ext_on_c").disabled = false;
        $("ext_t").disabled = !$("ext_on_c").checked;
    }
}
function checkExtOn(obj)
{
    if (obj.checked) $("ext_t").disabled = false;
    else
    {
        $("ext_t").value = $("ext").value;
        $("ext_t").disabled = true;
    }
}
function changeViewDate(s)
{
    if (s == "1") $("layer_time").style.display = "block";
    else $("layer_time").style.display = "none";
    if (s == "2") $("layer_week").style.display = "block";
    else $("layer_week").style.display = "none";
    if (s == "3") $("layer_day").style.display = "block";
    else $("layer_day").style.display = "none";
    if (s == "4") $("layer_date").style.display = "block";
    else $("layer_date").style.display = "none";
}
function changeHour(s){
    $("time_hour").selectedIndex = s;
    $("week_hour").selectedIndex = s;
    $("day_hour").selectedIndex = s;
    $("date_hour").selectedIndex = s;
}
function changeMin(s){
    $("time_min").selectedIndex = s;
    $("week_min").selectedIndex = s;
    $("day_min").selectedIndex = s;
    $("date_min").selectedIndex = s;
}

function changePeriodHour(s) {
    if($("period_min").selectedIndex == 0 && s == 0) {
        alert("{$g_msg_text["conf_scan_alrt"]["des02"]}");
        $("period_min").selectedIndex = 1;
        return;
    }
    $("period_hour").selectedIndex = s;
}

function changePeriodMin(s) {
    if($("period_hour").selectedIndex == 0 && s == 0) {
        alert("{$g_msg_text["conf_scan_alrt"]["des02"]}");
        $("period_min").selectedIndex = 1;
        return;
    }
    $("period_min").selectedIndex = s;
}

function checkScanPeriod() {
    var isDisable = !($("period_use").checked);
    $("period_hour").disabled = isDisable;
    $("period_min").disabled = isDisable;
}

function clickOk()
{
    this.SaveResvRH = function(result)
    {
        switch (result.responseText.toUpperCase())
        {
        case "OK":
            this.returnValue = "OK";
            clickCancel();
            break;
        case "ERROR":
            if ("{$resv_cmd}" == "resv_mod") alert("{$g_msg_text["com"]["err_mod"]}");
            else alert("{$g_msg_text["com"]["err_save"]}");
            break;
        case "SAME_NAME":
            alert("{$g_msg_text["scan_schd_alrt01"]["des02"]}");
            break;
        case "SAME_RULE":
            alert("{$g_msg_text["scan_schd_alrt01"]["des03"]}");
            break;
        case "VIEW_DATE_ERROR":
            changeViewDate(4);
            alert("{$g_msg_text["scan_schd_alrt01"]["des04"]}");
            break;
        case "RESERVE_MAX_OVER":
            alert("{$g_msg_text["scan_schd_alrt02"]["des03"]}");
            break;
        case "RESERVE_NOT_FOUND":
            alert("{$g_msg_text["com"]["err_req"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_req"]}");
            break;
        }
    };
    var arrdata = new Array();
    var datalen, tmp, i;
    var objRtn = new Object();
    objRtn.cmd = "{$resv_cmd}";
    objRtn.resv_no = "{$resv_no}";
    objRtn.resv_name = $("r_name").value;
    objRtn.resv_cycle = $("cycle").value;
    objRtn.resv_hour = $("time_hour").value;
    objRtn.resv_min = $("time_min").value;
    objRtn.resv_week = $("week_opt").value;
    objRtn.resv_day = $("day_opt").value;
    objRtn.resv_date = $("date_opt").value;
    objRtn.resv_dirs = aTree.checkDirs(true, true);
    objRtn.resv_target = ($("target01").checked)?"1":"2";
    objRtn.resv_ext_on = ($("ext_on_c").checked)?"1":"0";
    objRtn.resv_ext = $("ext_t").value.trim();
    objRtn.resv_cure = $("cure").value;
    objRtn.resv_comp = $("comp").value;
    objRtn.resv_auto = "1";
    objRtn.resv_quar = ($("quar_c").checked)?"1":"0";
    objRtn.resv_compress = ($("usecompress").checked)?"1":"0";
    objRtn.resv_cpu_usage = $("cpu_usage").value;

    objRtn.resv_period_use = ($("period_use").checked)? "1" : "0";
    objRtn.resv_period_hour = $("period_hour").value;
    objRtn.resv_period_min = $("period_min").value;

    objRtn.resv_resume_use = ($("resume_use").checked)? "1" : "0";

    objRtn.resv_filesize_use = ($("useLimitFileSize").checked)?"1":"0";
 	objRtn.resv_filesize = $("filesize").value;

    if (objRtn.resv_name == ""){
        alert("{$g_msg_text["scan_schd_alrt01"]["des01"]}");
        $("r_name").focus();
        return;
    }
    if (objRtn.resv_name.ByteLength() > 40){
        alert("{$g_msg_text["scan_schd_alrt02"]["des01"]}");
        $("r_name").focus();
        return;
    }
    if (objRtn.resv_dirs.length < 1){
        alert("{$g_msg_text["scan_schd_alrt02"]["des02"]}");
        return;
    }
    if (objRtn.resv_dirs.indexOf("|") < 0) arrdata[0] = objRtn.resv_dirs;
    else arrdata = objRtn.resv_dirs.split("|");
    datalen = arrdata.length;
    tmp = "";
    for(i=0; i < datalen; i++)
    {
        if (arrdata[i].trim().length > 1024)
        {
            alert("'"+arrdata[i]+"' {$g_msg_text["scan_schd_alrt02"]["des04"]}");
            return;
        }
    }
    if (objRtn.resv_target == "2"){
        if (objRtn.resv_ext_on == "1"){
            objRtn.resv_ext = objRtn.resv_ext.replace(/\/\/+/g,"/");
            if (objRtn.resv_ext == "/" || objRtn.resv_ext == "")
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des07"]}");
                $("ext_t").focus();
                return;
            }
            if (checkValidate(objRtn.resv_ext, __pat1__))
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des04"]}");
                $("ext_t").focus();
                return;
            }
            if (objRtn.resv_ext.length > 1024)
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des08"]}");
                $("ext_t").focus();
                return;
            }
        }
    }

	if ($("useLimitFileSize").checked){
		data = $("filesize").value.trim(); 
		if (checkValidate(data, __pat8__)){
			alert("{$g_msg_text["conf_scan_alrt"]["des01"]}");
			return;
		}
	}

	if ($("filesize").value.trim() < 1 || $("filesize").value.trim() > 2000){
		alert("{$g_msg_text["conf_scan_alrt"]["des01"]}");
		return;
	}

    new Ajax.Request("{$SRC_ROOT}pop_resv_proc.php"
                ,{parameters : objRtn
                ,onSuccess : this.SaveResvRH });
}
function clickCancel()
{    
    if(this.returnValue == "OK")
	    opener.location.href="javascript:returnValue(\"OK\");";
    window.parent.self.close();
}
function checkLimitFileSizeOn(obj)
{
    if(obj.checked)
    {
        $("filesize").disabled = false;
    }
    else
    {
        $("filesize").disabled = true;
    }
}
function LoadFolder(dirList)
{
    this.resultAddnode = function(aItem){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: aItem[0], fid:aItem[1], open:aItem[2],
                    path:aItem[3], name:aItem[4], type:aTree.typeValue.group, css:1,
                    isChild:aItem[5], check:aItem[6]} );
    };
    this.LoadFolderRH = function(result){
        aTree.treeProcess(aTree.eventName.Clear);
        var rtn = eval( result.responseText );
        var rtnLen = rtn.length;
        if (rtnLen > 0){
            for(var i = 0; i < rtnLen; i++){
                this.resultAddnode(rtn[i]);
            }
        }
        aTree.treeProcess(aTree.eventName.Add);
        aTree.progress(false);
    }

    aTree.progress(true);
    if (dirList == "/" || dirList == "/|"){
        LoadLowDir(aTree.getRootId());
        aTree.treeProcess(aTree.eventName.Close, aTree.getRootId() );
        aTree.treeProcess(aTree.eventName.Check, aTree.getRootId(), true );
        aTree.progress(false);
    }
    else{
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"load_dir", data: dirList }
                    ,onSuccess : this.LoadFolderRH });
    }
}
function LoadLowDir(nodeId)
{
    var p_id = aTree.getNodeId(nodeId);
    var p_dir = aTree.getPath(nodeId);
    this.resultAddnode = function(p, f, a, n, c){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: p, fid:f, open:aTree.openValue.close,
                    path:a, name:n, type:aTree.typeValue.group, css:1, isChild:c} );
    };
    this.LowDirRH = function(result)
    {
        var rtn = eval(result.responseText) ;
        aTree.treeProcess(aTree.eventName.Add);
        aTree.treeProcess(aTree.eventName.Open, p_id);
        aTree.progress(false);
        return true;
    };
    if (aTree.getNode(p_id).open == aTree.openValue.close){
        aTree.progress(true);
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    , {parameters : {cmd:"low_dir", pid:p_id, data:p_dir}
                    , onSuccess : this.LowDirRH });
    }
    else{
        aTree.treeProcess(aTree.eventName.Close, p_id);
    }
}
function TreeSelect(nodeId)
{
    aTree.treeAction(aTree.eventName.ClickLabel, nodeId);
}
function treeInit()
{
    aTree = new AhnLabTree("aTree");
    aTree.rootText = "{$root_text}";
    aTree.progText = "{$g_msg_text["com"]["prog_wait"]}";
    aTree.eventFunc.clickfolder = [LoadLowDir,null];
    aTree.eventFunc.clickicon = [LoadLowDir,null];
    aTree.eventFunc.check = [null,TreeSelect];
    aTree.init("tree");
    if ($("dirs").value != "") LoadFolder($("dirs").value);
    else LoadLowDir(aTree.getRootId());
}
function checkResvName(obj){
    if (obj.value.ByteLength() > 40) {
        obj.blur();
        obj.value = MidH(obj.value, 0, 40);
    }
}
function initPage()
{
    changeViewDate("{$rs["cycle"]}");
    treeInit();
    checkScanPeriod()
    checkExt();
}
//-->
</script>
<body onload="javascript:initPage();">
<div class="wrapPopGray">
    <div class="popCont">
        <form name="resvForm" onsubmit="javascript:return false;">
        <input type="hidden" id="ext" name="ext" value="{$rs["ext"]}">
        <input type="hidden" id="dirs" name="dirs" value="{$rs["dirs"]}">
        <p class="mgb10 txtArea">{$g_msg_text["scan_schd_edit"]["txt01"]}:
        <input type="text" class="inputText" style="width:333px" id="r_name" name="r_name" value="{$rs["name_html"]}"
            onfocus="javascript:funcFocus(this);"
            onblur="javascript:checkResvName(this)"
            onchange="javascript:checkResvName(this)"
            onkeydown="javascript:checkResvName(this)"
            maxlength="40"></p>
        <fieldset class="fieldset">
            <legend>{$g_msg_text["scan_schd_edit"]["txt02"]}</legend>
            <div class="fieldsetCont">
                <div class="reservDate mgt5">
                    <div class="fl" style="padding-right:10px;">
                        <select id='cycle' name='cycle' size='1' onchange='javascript:changeViewDate(this.value)'>
                        <option value="1" {$cycle_s[1]}>{$g_msg_text["scan_schd"]["cmb01"]}</option>
                        <option value="2" {$cycle_s[2]}>{$g_msg_text["scan_schd"]["cmb02"]}</option>
                        <option value="3" {$cycle_s[3]}>{$g_msg_text["scan_schd"]["cmb03"]}</option>
                        <option value="4" {$cycle_s[4]}>{$g_msg_text["scan_schd"]["cmb04"]}</option>
                        </select>
                    </div>

                    <div class="fl" style="position:relative;" >
                        <div id="layer_time" class="layer">
                            <select id="time_hour" name="time_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                            <select id="time_min" name="time_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                        </div>
                        <div id="layer_week" class="layer">
                            <select id="week_opt" name="week_opt">
                                <option value="1" {$opt_week[1]}>{$g_msg_text["scan_schd"]["cmb02_1"]}</option>
                                <option value="2" {$opt_week[2]}>{$g_msg_text["scan_schd"]["cmb02_2"]}</option>
                                <option value="3" {$opt_week[3]}>{$g_msg_text["scan_schd"]["cmb02_3"]}</option>
                                <option value="4" {$opt_week[4]}>{$g_msg_text["scan_schd"]["cmb02_4"]}</option>
                                <option value="5" {$opt_week[5]}>{$g_msg_text["scan_schd"]["cmb02_5"]}</option>
                                <option value="6" {$opt_week[6]}>{$g_msg_text["scan_schd"]["cmb02_6"]}</option>
                                <option value="0" {$opt_week[0]}>{$g_msg_text["scan_schd"]["cmb02_7"]}</option>
                            </select>&nbsp;&nbsp;
                            <select id="week_hour" name="week_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                            <select id="week_min" name="week_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                        </div>
                        <div id="layer_day" class="layer">
                            <select id="day_opt" name="day_opt" size="1">
                                <option value="1" {$opt_day[1]}>{$g_msg_text["scan_schd"]["txt04"]}</option>
                                <option value="2" {$opt_day[2]}>{$g_msg_text["scan_schd"]["txt05"]}</option>
                                <option value="3" {$opt_day[3]}>{$g_msg_text["scan_schd"]["txt06"]}</option>
                                <option value="4" {$opt_day[4]}>{$g_msg_text["scan_schd"]["txt07"]}</option>
                                <option value="5" {$opt_day[5]}>{$g_msg_text["scan_schd"]["txt08"]}</option>
                                <option value="6" {$opt_day[6]}>{$g_msg_text["scan_schd"]["txt09"]}</option>
                                <option value="7" {$opt_day[7]}>{$g_msg_text["scan_schd"]["txt10"]}</option>
                                <option value="8" {$opt_day[8]}>{$g_msg_text["scan_schd"]["txt11"]}</option>
                                <option value="9" {$opt_day[9]}>{$g_msg_text["scan_schd"]["txt12"]}</option>
                                <option value="10" {$opt_day[10]}>{$g_msg_text["scan_schd"]["txt13"]}</option>
                                <option value="11" {$opt_day[11]}>{$g_msg_text["scan_schd"]["txt14"]}</option>
                                <option value="12" {$opt_day[12]}>{$g_msg_text["scan_schd"]["txt15"]}</option>
                                <option value="13" {$opt_day[13]}>{$g_msg_text["scan_schd"]["txt16"]}</option>
                                <option value="14" {$opt_day[14]}>{$g_msg_text["scan_schd"]["txt17"]}</option>
                                <option value="15" {$opt_day[15]}>{$g_msg_text["scan_schd"]["txt18"]}</option>
                                <option value="16" {$opt_day[16]}>{$g_msg_text["scan_schd"]["txt19"]}</option>
                                <option value="17" {$opt_day[17]}>{$g_msg_text["scan_schd"]["txt20"]}</option>
                                <option value="18" {$opt_day[18]}>{$g_msg_text["scan_schd"]["txt21"]}</option>
                                <option value="19" {$opt_day[19]}>{$g_msg_text["scan_schd"]["txt22"]}</option>
                                <option value="20" {$opt_day[20]}>{$g_msg_text["scan_schd"]["txt23"]}</option>
                                <option value="21" {$opt_day[21]}>{$g_msg_text["scan_schd"]["txt24"]}</option>
                                <option value="22" {$opt_day[22]}>{$g_msg_text["scan_schd"]["txt25"]}</option>
                                <option value="23" {$opt_day[23]}>{$g_msg_text["scan_schd"]["txt26"]}</option>
                                <option value="24" {$opt_day[24]}>{$g_msg_text["scan_schd"]["txt27"]}</option>
                                <option value="25" {$opt_day[25]}>{$g_msg_text["scan_schd"]["txt28"]}</option>
                                <option value="26" {$opt_day[26]}>{$g_msg_text["scan_schd"]["txt29"]}</option>
                                <option value="27" {$opt_day[27]}>{$g_msg_text["scan_schd"]["txt30"]}</option>
                                <option value="28" {$opt_day[28]}>{$g_msg_text["scan_schd"]["txt31"]}</option>
                                <option value="29" {$opt_day[29]}>{$g_msg_text["scan_schd"]["txt32"]}</option>
                                <option value="30" {$opt_day[30]}>{$g_msg_text["scan_schd"]["txt33"]}</option>
                                <option value="31" {$opt_day[31]}>{$g_msg_text["scan_schd"]["txt34"]}</option>
                            </select>&nbsp;&nbsp;
                            <select id="day_hour" name="day_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                            <select id="day_min" name="day_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                        </div>
                        <div id="layer_date" class="layer">
                            <input id="date_opt" name="date_opt" type="text" class="inputTextSmall noMargin" value="{$rs["view_date"]}" readonly="readonly" style="width:70px; margin:-1px 4px 0 0" /><img src="{$IMG_ROOT}icon_cal.gif" class="vt" id="cal1" onclick="javascript:showLayCal(this, resvForm.date_opt);" />&nbsp;
                            <select id="date_hour" name="date_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                            <select id="date_min" name="date_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                        </div>
                    </div>
                    <div class="cboth"></div>
                 </div>
                <p class="mgt7 emGray">{$g_msg_text["scan_schd_edit"]["des01"]}</p>
            </div>
        </fieldset>

        <fieldset class="fieldset mgt5">
            <legend>{$g_msg_text["scan_schd_edit"]["txt03"]}</legend>
            <div class="fieldsetCont">
                 <div style="height:137px;" class="borderBlueBox">
                    <div id="tree"></div>
                 </div>
            </div>
        </fieldset>

        <fieldset class="fieldset  mgt5">
            <legend>{$g_msg_text["scan_schd_edit"]["txt04"]}</legend>
            <div class="fieldsetCont">
                 <div style="height:110px;" class="borderBlueBox">
                    <strong>{$g_msg_text["conf_scan"]["txt01"]}</strong><br />

                    <ul class="indentation mgb10">
                    <li><input type="radio" id="target01" name="target" {$rs["target01"]} value="1" onclick="javascript:clickTarget();"> <label for="target01">{$g_msg_text["conf_scan"]["rdo01"]}</label></li>
                    <li><input type="radio" id="target02" name="target" {$rs["target02"]} value="2" onclick="javascript:clickTarget();"> <label for="target02">{$g_msg_text["conf_scan"]["rdo02"]}</label>
                        <ul>
                        <li><input type="checkbox" {$rs["ext_on_d"]} {$rs["ext_on_c"]} id="ext_on_c" name="ext_on_c" value="1" onclick="javascript:checkExtOn(this)"> <label for="ext_on_c">{$g_msg_text["conf_scan"]["chk01"]}</label>:<br />
                            <input type="text" id="ext_t" name="ext_t" {$rs["ext_d"]} value="{$rs["ext"]}" class="inputText" style="margin:3px 0 0 18px; width:80%" maxlength="1024"></li>
                        </ul>
                    </li>
                    <li class="addFunction">{$g_msg_text["conf_scan"]["txt03"]}</li>
					<li class="addFunction"><input type="checkbox" id="useLimitFileSize" name="useLimitFileSize" value="1" {$useLimitFileSize} onclick="javascript:checkLimitFileSizeOn(this)"> <label for="useLimitFileSize">{$g_msg_text["conf_scan"]["chk05"]}</label><input type="text" {$useLimitFileSize_disable} id="filesize" name="filesize" class="inputTextSmall" value="{$filesize}"> MB&nbsp;&nbsp;{$g_msg_text["conf_scan"]["txt07"]}</li>
					<li class="addFunction"><input type="checkbox" id="usecompress" name="usecompress" value="1" {$compress}> <label for="usecompress">{$g_msg_text["conf_scan"]["chk04"]}</label></li>
                    </ul>

                    <strong>{$g_msg_text["conf_scan"]["txt02"]}</strong><br />
                    <ul class="indentation">
                    <li>
                        <label for="cure">{$g_msg_text["conf_scan"]["cmb01"]}: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</label>
                        <select id="cure" name="cure" class="selectWidth">
                        <option {$cure[1]} value="1">{$g_msg_text["conf_scan"]["cmb01_1"]}</option>
                        <option {$cure[2]} value="2">{$g_msg_text["conf_scan"]["cmb01_2"]}</option>
                        <option {$cure[3]} value="3">{$g_msg_text["conf_scan"]["cmb01_3"]}</option>
                        </select>
                    </li>
                    <li>
                        <label for="comp">{$g_msg_text["conf_scan"]["cmb02"]}: </label>
                        <select id="comp" name="comp" class="selectWidth">
                        <option {$comp[1]} value="1">{$g_msg_text["conf_scan"]["cmb02_1"]}</option>
                        <option {$comp[2]} value="2">{$g_msg_text["conf_scan"]["cmb02_2"]}</option>
                        </select>
                    </li>
                    <li><input type="checkbox" checked disabled="disabled" id="auto_c" name="auto_c" value="1"> <label for="auto_c">{$g_msg_text["conf_scan"]["chk02"]}</label></li>
                    <li><input type="checkbox" {$rs["quar_c"]} id="quar_c" name="quar_c" value="1"> <label for="quar_c">{$g_msg_text["conf_scan"]["chk03"]}</label></li>
                    </ul><br />
                    <strong>{$g_msg_text["scan_schd_edit"]["txt05"]}</strong><br />
                    <ul class="indentation">
                    <li>
                        <label for="cpu_usage">{$g_msg_text["scan_schd_edit"]["cmb01"]}</label>
                        <select id="cpu_usage" name="cpu_usage" class="selectWidth">
                        <option {$cpu_usage[0]} value="80">{$g_msg_text["scan_schd_edit"]["cmb01_01"]}</option>
                        <option {$cpu_usage[1]} value="50">{$g_msg_text["scan_schd_edit"]["cmb01_02"]}</option>
                        <option {$cpu_usage[2]} value="20">{$g_msg_text["scan_schd_edit"]["cmb01_03"]}</option>
                        </select>
                    </li>
                    <li>
 	                    <input type="checkbox" id="period_use" name="period_use" value="1" {$period_use} onclick="javascript:checkScanPeriod()"> 
 	                    <label for="period_use">{$g_msg_text["conf_scan"]["chk06"]}</label>
 	                    <select id="period_hour" name="period_hour" class="selectWidth3" onchange="javascript:changePeriodHour(this.selectedIndex);">{$strHourPeriod}</select>{$g_msg_text["com"]["txt04"]}
 	                    <select id="period_min" name="period_min" class="selectWidth3" onchange="javascript:changePeriodMin(this.selectedIndex);">{$strMinPeriod}</select>{$g_msg_text["com"]["txt02"]}
                        <ul>
                            <li>
                                <input type="checkbox" id="resume_use" name="resume_use" value="1" {$resume_use}> <label for="resume_use">{$g_msg_text["conf_scan"]["chk07"]}</label>
                                <p class="textIndent emGray mgt5">{$g_msg_text["conf_scan"]["des01"]}</p>
                            </li>
                        </ul>
                    </li>
		            </ul>
                 </div>
            </div>
        </fieldset>

        <div class="btnSet">
            <a href="#" onclick="javascript:clickOk();" class="button smallWhite"><span class="w72">{$g_msg_text["com"]["btn_ok"]}</span></a>
            <a href="#" onclick="javascript:clickCancel();" class="button smallWhite"><span class="w72">{$g_msg_text["com"]["btn_cancel"]}</span></a>
        </div>
    </div>
</div>
<div id="popCal" ></div>
</body>
__HTML_TEXT__;
echo page_end();
?>
