<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_updt");
inc_func(g_inc_type_var, "msg_updt_alrt04");
inc_func(g_inc_type_var, "msg_updt_alrt05");
inc_func(g_inc_type_var, "msg_serv_alrt");


try {
    $g_db->open();

    $query = " select count(*), ifnull(adv_info, 1) as adv_info from supdate where no = 1;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}

$g_db->close();


echo page_start($g_msg_text["updt"]["ttl01"]);
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
//-->
var upateFilesId=null;
var upateStatusId=null;
var updateFail = false;
var updateEnd = false;
var updateStatusCode = "";
var fileDownStatus = "";
var displayList = [];
var totalCnt = 0;
var totalCopyCnt = 0;
var currentCnt = 0;
var fileListIndex = 0;
var progTimeCnt = 0;
var progTimeMaxCnt = 1000;

var __Display_Time_Id__;
var displayTime = 10;
function timeDisplay(){
    var timeStr = "{$g_msg_text["serv_alrt"]["txt01"]}".replace("%1p", displayTime.toString(10));
    $("timeText").innerHTML = timeStr;
    displayTime--;
    if (displayTime < 0){
        if (__Display_Time_Id__) clearInterval(__Display_Time_Id__);
        __Display_Time_Id__ = null;
        clickClose();
    }
}

function finalStopUpdate(isAutoCopy){
    if (isAutoCopy){
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"supdate_autocopy"}});
    }
    $("btnClose").innerHTML = "{$g_msg_text["com"]["btn_close"]}";
    $("timeText").style.display = "inline-block";

	timeDisplay();
	if ( !__Display_Time_Id__) __Display_Time_Id__ = setInterval(timeDisplay, 1000);
}

function afterStopUpdate(afterStep){

    this.getUpdateInfoRH = function(result){	
        console.log(this.dialogArguments);
	
        if(this.dialogArguments) {
            this.dialogArguments.opener.document.getElementById("updateInfo").innerHTML = result.responseText;
        } else {
	    window.parent.opener.document.getElementById("updateInfo").innerHTML = result.responseText;
        }
    };
	
    if (afterStep > 0) {
		if(afterStep == 1)			// 이미 최신 엔진이어서 업데이트할 것 없는 경우
			updateAlrdyFin();
		else if(afterStep == 2){	// 업데이트가 정상적으로 완료된 경우
			updateOk();
			if ({$rs["adv_info"]}) {
				setUpdateReturnValue( "OKPOP");
				new Ajax.Request("{$SRC_ROOT}pop_update_info.php"
							,{onSuccess : this.getUpdateInfoRH });
			}else {
				setUpdateReturnValue( "OK");
			}
			return;
    	}
	}
    finalStopUpdate(false);
}

function stopUpdate(isError, errCode){
    this.StopUpdateRH = function(result){
        var afterStep = 0;
        progresShow(false);
		if (errCode == 1) {
			setUpdateReturnValue( "");
			$("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des04"]}";
            afterStep = 1;
        } else if (isError && errCode == {$g_scan_ing}) {
            setUpdateReturnValue( "ERROR");
            $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des07"]}";
		} else if (isError || totalCnt < 0) {
			setUpdateReturnValue( "ERROR");
            $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des05"]}".replace("%1p",errCode);
            updateFailure();
        } else {
	
		setUpdateReturnValue( "");
            if (totalCopyCnt == 0){
                $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des04"]}";
                afterStep = 1;
            }
            else{
                $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des06"]}";
                afterStep = 2;
            }
        }
        afterStopUpdate(afterStep);
    };
    updateEnd = true;
    updateFail = isError;
    clearUpdateStatus();
    clearUpdateFiles();
    $("fileNames").innerHTML = "&nbsp;";
    var execStop = (arguments.length > 2)?(arguments[2] && true):true;
    if (execStop) {
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"supdate_stop"}
                    ,onSuccess : this.StopUpdateRH.bind(this) });
    } else {
        this.StopUpdateRH(this);
    }
}
function displayProgress(p){
    $("pgbar_img").style.width = p + "%";
    $("pgbar_txt").innerHTML = p + "%";
}
function setProgressBar(idx){
    var tmp;
    if (displayList.length > idx){
        if (totalCnt > 0 && currentCnt >= 0){
            if (displayList[idx] != "") {
                currentCnt++;
                $("fileNames").innerHTML = displayList[idx];
                if (currentCnt > totalCnt) displayProgress(99);
                else displayProgress(Math.floor((currentCnt / totalCnt) * 100));
            }
        }
        setTimeout("setProgressBar("+(idx+1)+")", 100);
        return;
    }
    callUpdateFiles(500);
}
function displayFiles(){
    $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des03"]}";
    if (displayList.length > 0) {
        setProgressBar(0);
        return;
    }
    callUpdateFiles(500);
}
function callUpdateFiles(delayTime){
    upateFilesId = setTimeout("updateFiles()", delayTime);
}
function updateFiles(){
    if (updateFail) return;
    if (updateEnd) return;
    this.UpdateFilesRH = function(result){
        displayList = [];
        try{
            if (result.status == 200){
                var rtn = eval(result.responseText);
                totalCnt = rtn[0];
				totalCopyCnt = rtn[1];
                fileListIndex = rtn[2];
                if (totalCnt > 0 && rtn[3] >= 0){
                    if ( fileDownStatus == ___FILE_DOWN_SUCCESS___ && ((totalCnt <= currentCnt) || (totalCnt == fileListIndex)) ) {
                        displayProgress(100);
                        stopUpdate(false, 0, false);
                    }
                    else{
                        if (fileListIndex == totalCnt && rtn[3] == 0){
                            displayList[0] = "";
                            currentCnt = totalCnt;
                            setProgressBar(0);
                        }
                        else{
                            progTimeCnt++;
                            if (rtn[3] > 0){
                                progTimeCnt = 0;
                                displayList = rtn[4].split(___MAIN_SEPARATE___);
                            }
                            displayFiles();
                        }
                    }
                } else if (totalCnt == 0) {
                    stopUpdate(false, 0);
                } else if (totalCnt < 0) {
                    progTimeCnt++;
                    callUpdateFiles(500);
                } else {
                    progTimeCnt++;
                    if (progTimeCnt <= progTimeMaxCnt) callUpdateFiles(500);
                    else {
                        stopUpdate(true, -100);
                    }
                }
            }
            else{
                callUpdateFiles(1000);
            }
        }
        catch(e){
            progTimeCnt++;
            if (progTimeCnt <= progTimeMaxCnt) callUpdateFiles(500);
            else {
                stopUpdate(true, -100);
            }
        }
    };
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"supdate_file", data:fileListIndex}
                ,onComplete : this.UpdateFilesRH });
}
function progresShow(visible){
    if (visible){
        $("fileNames").style.display = "inline-block";
        $("pgbar").style.display = "inline-block";
    }
    else{
        $("fileNames").style.display = "none";
        $("pgbar").style.display = "none";
    }
}
function updateCancel(){
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"update_event_log", data:"4004"}} );
}
function updateOk(){
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"supdate_ok"}
                ,onComplete : function() {
                    finalStopUpdate(true);
                } });
}
function updateAlrdyFin(){
	new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"update_event_log", data:"4011"}} );
}
function updateFailure(){
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"update_event_log", data:"4003"}} );
}
function CheckUpdateComplete(result){
	if (result.status == 200){
		var rtn = eval(result.responseText);
		totalCnt = rtn[0];
		totalCopyCnt = rtn[1];
	}
	stopUpdate(false, 0);
}
function updateStatusRH(result){
    var rtn = eval(result.responseText);
    fileDownStatus = rtn[2];
    
    if (rtn[0] != updateStatusCode) {
        updateStatusCode = rtn[0];
        if (rtn[1] != 0){
            stopUpdate(true, rtn[1]);
        }
        else if (rtn[0] == 14){
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"supdate_file", data:fileListIndex}
                ,onComplete : CheckUpdateComplete });
        }
    }
}
function updateStatus(){
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"supdate_status"}
                ,onSuccess : updateStatusRH });
}
function clearUpdateStatus(){
    if (upateStatusId != null) clearInterval(upateStatusId);
    upateStatusId = null;
}
function clearUpdateFiles(){
    if (upateFilesId != null) clearTimeout(upateFilesId);
    upateFilesId = null;
}
function runUpdate(result){
    if (result.responseText == 0){
        progresShow(true);
        displayProgress(0);
        upateStatusId = setInterval("updateStatus()", 700);
        callUpdateFiles(1000);
    }
	else if (result.responseText == 1) {
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
            ,{parameters : {cmd:"update_event_log", data:"4015"}} );
		stopUpdate(true, $g_scan_ing);
	}	
    else{
        stopUpdate(true, -100);
    }
}
function startUpdate(){
    this.StartUpdateRH = function(result){
        var rtn = eval(result.responseText);
        if (rtn[0] == ___SUPDATE_STANDBY___){
            $("statusText").innerHTML = "{$g_msg_text["updt_alrt04"]["des02"]}";
            progTimeCnt = 0;
            currentCnt = 0;
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                        ,{parameters : {cmd:"supdate_start"}
                        ,onSuccess : runUpdate });
        }
        else if (rtn[0] == ___SUPDATE_ING___){
            new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"update_event_log", data:"4018"}} );
            //var rtnMsg = {responseText:0};
            //runUpdate(rtnMsg);
            updateEnd = true;
            $("statusText").innerHTML = "{$g_msg_text["updt_alrt05"]["des01"]}";
            $("btnClose").innerHTML = "{$g_msg_text["com"]["btn_close"]}";
            //clickCloseWin();
        }
        else{
            stopUpdate(true, rtn[1]);
        }
    };
    new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                ,{parameters : {cmd:"supdate_status"}
                ,onSuccess : this.StartUpdateRH });
}
function clickCloseWin(){
    if (!updateEnd) updateCancel();
    clickClose();
}
function clickClose(){
    callStopUpdate();
    window.parent.self.close();	
}
function callStopUpdate(){
    clearUpdateStatus();
    clearUpdateFiles();
    if (!updateEnd){
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"supdate_stop"}});
    }
}
function initPage(){
    setUpdateReturnValue( "");
    displayProgress(0);
    setTimeout("startUpdate()", 1000);
}

function setUpdateReturnValue( rValue) {
        this.returnValue = rValue;

	if(this.returnValue == "OKPOP")
		opener.location.href="javascript:returnValue(\"OKPOP\");";
	else if(this.returnValue == "OK")
		opener.location.href="javascript:returnValue(\"OK\");";
	else if(this.returnValue == "RUNNING")
		opener.location.href="javascript:returnValue(\"RUNNING\");";
	else
		;
}
//-->
</script>
<body onload="javascript:initPage()">
<div class="wrapPopGray">
    <div class="popCont">
        <div class="update">
            <div id="statusText">{$g_msg_text["updt_alrt04"]["des01"]}</div>
            <div id="timeText" style="display:none"></div>
            <p id="fileNames" class="fileName" style="display:none;">&nbsp;</p>
            <div id="pgbar" class="progress" style="display:none;">
                <div id="pgbar_img" class="ing" style="width:50%;">&nbsp;</div>
                <div id="pgbar_txt" class="percent">50%</div>
            </div>
        </div>
        <div class="btnSet">
            <a href="#" onclick="javascript:clickCloseWin()" class="button smallWhite"><span class="w81" id="btnClose">{$g_msg_text["com"]["btn_cancel"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
