<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_scan_ulst");
inc_func(g_inc_type_var, "msg_scan_ulst_edit");
inc_func(g_inc_type_var, "msg_scan_ulst_alrt01");

$scan_ulst_cmd = nvl($_REQUEST["cmd"]);
$scan_ulst_no = nvl($_REQUEST["optno"], "-1");

$rs["name"] = "";
$rs["dirs"] = "";

$ulst_cmd = "ulst_add";
$ulst_no = "";

if ($scan_ulst_cmd == "ulst_mod"){
    try {
        $g_db->open();

        $query=" select a.name, "
          ."        (select group_concat(b.path) "
          ."         from   temp_dir b "
          ."         where  b.user_list_no = a.no "
          ."         and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
          ."         and    b.sess_status >= 0 ) as dirs "
          ."       ,(select group_concat(b.path, '|') "
          ."         from   temp_dir b "
          ."         where  b.user_list_no = a.no "
          ."         and    b.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
          ."         and    b.sess_status >= 0 ) as loaddirs "
          ." from   temp_user_list a "
          ." where  a.no = ".intval($scan_ulst_no)." "
          ." and    a.session = '".strDb($_SESSION["LOGIN_SESSION"])."' "
          ." and    a.sess_status >= 0 ;";
        $rsTmp = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            throw new Exception();
        }

        if (sizeof($rsTmp) > 0){
            $rs = $rsTmp;
            $rs["name"] = strHtml($rsTmp["name"]);
            $ulst_cmd = "ulst_mod";
            $ulst_no = intval($scan_ulst_no);
        }
    } catch (Exception $e) {
        /* TODO: */
    }
 
    $g_db->close();
}

$root_text = getTitle();

echo page_start($g_msg_text["scan_ulst_edit"]["ttl01"], array("ahnlabtree"), array("ahnlabtree"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
var aTree = null;

function clickOk()
{
    this.SaveUlstRH = function(result)
    {
	var test = '{$ulst_cmd}';
        switch (result.responseText.toUpperCase())
        {
        case "OK":
	    this.returnValue = "OK";
	    clickCancel();
	    break;
        case "ERROR":
	    if ("{$ulst_cmd}" == "ulst_mod") alert("{$g_msg_text["com"]["err_mod"]}");
	    else alert("{$g_msg_text["com"]["err_save"]}");
            break;
        case "SAME_NAME":
	    alert("{$g_msg_text["scan_ulst_alrt01"]["des07"]}");
            break;
        case "ULST_MAX_OVER":
	    alert("{$g_msg_text["scan_ulst_alrt01"]["des01"]}");
            break;
        default:
	    alert("{$g_msg_text["com"]["err_req"]}");
            break;
        }
    };

    var objRtn = new Object();
    objRtn.cmd = "{$ulst_cmd}";
    objRtn.ulst_no = "{$ulst_no}";
    objRtn.ulst_name = $("ulst_name").value.trim();
    objRtn.ulst_dirs = aTree.checkDirs(true, true);

    if (objRtn.ulst_name == "" || objRtn.ulst_name.ByteLength() > 40){
        alert("{$g_msg_text["scan_ulst_alrt01"]["des04"]}");
        $("ulst_name").focus();
        return;
    }
    if (objRtn.ulst_dirs.length < 1){
        alert("{$g_msg_text["scan_ulst_alrt01"]["des05"]}");
        return;
    }
    var arrdata = new Array();
    var i, datalen, tmp;
    if (objRtn.ulst_dirs.indexOf("|") < 0) arrdata[0] = objRtn.ulst_dirs;
    else arrdata = objRtn.ulst_dirs.split("|");
    datalen = arrdata.length;
    tmp = "";
    for(i=0; i < datalen; i++)
    {
        if (arrdata[i].trim().length > 1024)
        {
            alert("'"+arrdata[i]+"' {$$g_msg_text["scan_ulst_alrt01"]["des06"]}");
            return;
        }
    }
    new Ajax.Request("{$SRC_ROOT}pop_userlist_proc.php"
                ,{parameters : objRtn
                ,onSuccess : this.SaveUlstRH });
}
function clickCancel()
{
    if(this.returnValue == "OK")
	    opener.location.href="javascript:returnValue(\"OK\");";
    window.parent.self.close();
}
function LoadFolder(dirList)
{
    this.resultAddnode = function(aItem){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: aItem[0], fid:aItem[1], open:aItem[2],
                    path:aItem[3], name:aItem[4], type:aTree.typeValue.group, css:1,
                    isChild:aItem[5], check:aItem[6]} );
    };
    this.LoadFolderRH = function(result){
        aTree.treeProcess(aTree.eventName.Clear);
        var rtn = eval( result.responseText );
        var rtnLen = rtn.length;
        if (rtnLen > 0){
            for(var i = 0; i < rtnLen; i++){
                this.resultAddnode(rtn[i]);
            }
        }
        aTree.treeProcess(aTree.eventName.Add);
        aTree.progress(false);
    }

    aTree.progress(true);
    if (dirList == "/" || dirList == "/|"){
        LoadLowDir(aTree.getRootId());
        aTree.treeProcess(aTree.eventName.Close, aTree.getRootId() );
        aTree.treeProcess(aTree.eventName.Check, aTree.getRootId(), true );
        aTree.progress(false);
    }
    else{
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"load_dir", data: dirList }
                    ,onSuccess : this.LoadFolderRH });
    }
}
function LoadLowDir(nodeId)
{
    var p_id = aTree.getNodeId(nodeId);
    var p_dir = aTree.getPath(nodeId);
    this.resultAddnode = function(p, f, a, n, c){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: p, fid:f, open:aTree.openValue.close,
                    path:a, name:n, type:aTree.typeValue.group, css:1, isChild:c} );
    };
    this.LowDirRH = function(result)
    {
        var rtn = eval(result.responseText) ;
        aTree.treeProcess(aTree.eventName.Add);
        aTree.treeProcess(aTree.eventName.Open, p_id);
        aTree.progress(false);
        return true;
    };
    if (aTree.getNode(p_id).open == aTree.openValue.close){
        aTree.progress(true);
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    , {parameters : {cmd:"low_dir", pid:p_id, data:p_dir}
                    , onSuccess : this.LowDirRH });
    }
    else{
        aTree.treeProcess(aTree.eventName.Close, p_id);
    }
}
function TreeSelect(nodeId)
{
    aTree.treeAction(aTree.eventName.ClickLabel, nodeId);
}
function treeInit()
{
    aTree = new AhnLabTree("aTree");
    aTree.rootText = "{$root_text}";
    aTree.progText = "{$g_msg_text["com"]["prog_wait"]}";
    aTree.eventFunc.clickfolder = [LoadLowDir,null];
    aTree.eventFunc.clickicon = [LoadLowDir,null];
    aTree.eventFunc.check = [null,TreeSelect];
    aTree.init("tree");
    if ($("dirs").value != "") LoadFolder($("dirs").value);
    else LoadLowDir(aTree.getRootId());
}
function checkUlstName(obj){
    if (obj.value.ByteLength() > 40) {
        obj.blur();
        obj.value = MidH(obj.value, 0, 40, "");
    }
}
function initPage()
{
    treeInit();
}
//-->
</script>
<body onload="javascript:initPage();">
<div class="wrapPopGray">
    <div class="popCont">
        <form name="ulstForm" onsubmit="javascript:return false;">
        <input type="hidden" id="dirs" name="dirs" value="{$rs["loaddirs"]}">
        <input type="hidden" id="textTemp" name="textTemp" value="">
        <p class="mgb10 txtArea">{$g_msg_text["scan_ulst_edit"]["txt01"]}: <input type="text" id="ulst_name" name="ulst_name" class="inputText" style="width:333px"
            onfocus="javascript:funcFocus(this);"
            onblur="javascript:checkUlstName(this)"
            onchange="javascript:checkUlstName(this)"
            onkeydown="javascript:checkUlstName(this)"
            maxlength="40" value="{$rs["name"]}"></p>
        <fieldset class="fieldset">
            <legend>{$g_msg_text["scan_ulst_edit"]["txt02"]}</legend>
            <div class="fieldsetCont">
                 <div style="height:155px;" class="borderBlueBox">
                    <div id="tree"></div>
                 </div>
            </div>
        </fieldset>
        </form>
        <div class="btnSet">
            <a href="#" onclick="javascript:clickOk();" class="button smallWhite"><span class="w72">{$g_msg_text["com"]["btn_ok"]}</span></a>
            <a href="#" onclick="javascript:clickCancel();" class="button smallWhite"><span class="w72">{$g_msg_text["com"]["btn_cancel"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
