<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 1;
$IS_SOCKET_ERROR_REDIRECT_PASS = true;

require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";

try {
	$g_db_session->open();
	$query = "select login_session, active_time from session_info where no=1;";
	$rs = $g_db_session->getrow($query);
	if ($g_db_session->error_code() != SQLITE_OK) {
		throw new Exception();
	}

	if(10 * 60 < strtotime(dateNow()) - strtotime($rs["active_time"])) {
		PHPLOG(g_LOG_DEBUG, 0, "session_create : Session timeout.");
		$result = "SESSION_TIMEOUT";
	} else {
		if($_SESSION["LOGIN_SESSION"] != $rs["login_session"]) {
			PHPLOG(g_LOG_DEBUG, 0, "session_create : Session duplicated.");
		    $result = "DUPLICATE_LOGIN";
		} else {
		    $result = "NOT_DUPLICATE_LOGIN";
		}
	}
} catch (Exception $e) {
	$result = "ERROR";
}

$g_db_session->close();

echo $result;

?>