<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_vttl_mont");
inc_func(g_inc_type_var, "msg_vttl_daly");
inc_func(g_inc_type_var, "msg_vttl_delt_alrt01");

$toDay = date("Y-m-d");
$checkToDay = date("Ymd");
$oneMonthDay = date("Y-m-d", mktime(0,0,0, date("m")-1, date("j"), date("Y")));

echo page_start("", array("calendar"), array("calendar"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
//-->
function pageMove(s){
    self.location.href="{$SRC_ROOT}"+s;
}

function goPage(page){
    this.GoPageRH = function(result)
    {
        $("log_list").innerHTML = result.responseText;
    };
    var sValue = $("start_date").value;
    var eValue = $("end_date").value;

    $("searchDate").innerText = sValue + " ~ " + eValue;
    new Ajax.Request("{$SRC_ROOT}statistics02_proc.php"
                ,{parameters : {page:page, sdate:sValue, edate:eValue}
                ,onSuccess : this.GoPageRH });
}
function clickSearch(){
    var startDate = $("sdate").value;
    var endDate = $("edate").value;
    try{
        if ( checkDate(startDate) ){
            alert("{$g_msg_text["vttl_delt_alrt01"]["des04"]}");
            return;
        }
        if ( checkDate(endDate) ){
            alert("{$g_msg_text["vttl_delt_alrt01"]["des04"]}");
            return;
        }
        var sStartDate = $("sdate").value.replace(/\-/g, "");
        var sEndDate = $("edate").value.replace(/\-/g, "");
        var sToday = "{$checkToDay}";
        if ( parseInt(sStartDate, 10) > parseInt(sToday, 10) ){
            alert("{$g_msg_text["vttl_delt_alrt01"]["des01"]}");
            return;
        }
        if ( parseInt(sStartDate, 10) > parseInt(sEndDate, 10) ){
            alert("{$g_msg_text["vttl_delt_alrt01"]["des02"]}");
            return;
        }
    }
    catch(e){
        alert("{$g_msg_text["vttl_delt_alrt01"]["des04"]}");
        return;
    }
    $("start_date").value = startDate;
    $("end_date").value = endDate;
    goPage(1);
}
function initPage(){
    document.body.innerHTML += "<div id=\"popCal\" ></div>";
    clickSearch();
}
//-->
</script>
__HTML_TEXT__;

echo page_body("mnu07", "initPage()");
echo <<<__HTML_TEXT__
                <h2>{$g_msg_text["vttl_mont"]["ttl01"]}</h2>

                <div class="mgb20">
                    <form id="dateSelect" name="dateSelect" class="dateSelect">
                        {$g_msg_text["vttl_mont"]["cmb01"]}
                        <select id="pagewhere" name="pagewhere" onChange="javascritp:pageMove(this.value)"  >
                            <option value="statistics.php">{$g_msg_text["vttl_mont"]["cmb01_1"]}</option>
                            <option selected value="statistics02.php">{$g_msg_text["vttl_mont"]["cmb01_2"]}</option>
                        </select> &nbsp;
                        <input type="text" class="inputTextSmall noMargin" id="sdate" name="sdate" value="{$oneMonthDay}" readonly="readonly" id="sdate" style="width:70px; margin:0 4px 0 4px" /><img src="{$IMG_ROOT}icon_cal.gif" class="vt" style="margin-top:2px;" id="cal1" onclick="javascript:showLayCal(this, dateSelect.sdate);" />  ~
                        <input type="text" class="inputTextSmall noMargin" id="edate" name="edate" value="{$toDay}" readonly="readonly" id="edate" style="width:70px; margin:0 4px 0 4px" /><img src="{$IMG_ROOT}icon_cal.gif" class="vt" style="margin-top:2px;" id="cal2" onclick="javascript:showLayCal(this, dateSelect.edate);" /> &nbsp;

                        <span class="btnSet"><a href="javascript:clickSearch()" class="button small"><span class="w72">{$g_msg_text["com"]["btn_search"]}</span></a><br /></span>
                    </form>
                </div>

                <div class="titnIcon">
                    <div class="fl" >
                        <strong id="searchDate" class="emBlue">{$oneMonthDay} ~ {$toDay}</strong>
                    </div>
                </div>
                <table width="100%" cellpadding="0" cellspacing="0" class="list">
                <colgroup>  <col width="40%"></col><col width="60%"></col></colgroup>
                <tr>
                    <th>{$g_msg_text["vttl_daly"]["clt01"]}</th>
                    <th>{$g_msg_text["vttl_daly"]["clt02"]}</th>
                </tr>
                </table>
                <div id="log_list"></div>
                <input type="hidden" id="start_date" name="start_date" value=""/>
                <input type="hidden" id="end_date" name="end_date" value=""/>
__HTML_TEXT__;
echo page_tail();
?>
