<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_vttl_daly");

$toDay = date("Y-m-d");
$oneMonthDay = date("Y-m-d", mktime(0,0,0, date("m")-1, date("j"), date("Y")));
$maxPage = 1;
$prevPage = 1;
$nextPage = 1;
$page = 1;

$outHtml = "";
$outHtmlHead = "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" class=\"list\">"
         . "<colgroup><col width=\"40%\"></col><col width=\"60%\"></col></colgroup>";
$statDataCount = 0;

try {
    $g_db->open();

    $query = " select 1 as delcnt from statistics limit 1;";
    $rs = $g_db->queryAll($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    $statDataCount = sizeof($rs);

    $sDate = nvl($_POST["sdate"]);
    $eDate = nvl($_POST["edate"]);
    if (!chkDate($sDate)) throw new Exception("NO_DATE");
    if (!chkDate($eDate)) throw new Exception("NO_DATE");
    if (intval(str_replace("-", "", $sDate)) > intval(str_replace("-", "", $eDate)))  throw new Exception("DATE_CHECK");

    $where = " where  date(time) between date('".strDb($sDate)."') and date('".strDb($eDate)."') ";

    $pplist = 20;
    $page = intval(nvl($_POST["page"], "1"));
    $page = ($page < 1)?1:$page;

    $query = "select count(distinct date(time)) as tot from statistics ".$where;
            //." group  by date(time) ;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    $totalCnt = $rs["tot"];
    list($maxPage, $prevPage, $nextPage) = page_param($page, $totalCnt, $pplist);
    $startOffset = ($page -1) * $pplist;

    $query = " select date(time) as time, count(*) as cnt "
            ." from   statistics ".$where
            ." group  by date(time) order by time desc "
            ." limit  ".$pplist." offset ".$startOffset."; ";

    $rs = $g_db->queryall($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
    
    $statDataCount = sizeof($rs);
    if ($statDataCount > 0){
        $i = 0;
        foreach($rs as $value){
            if (($i % 2) == 0) $outHtml .= '<tr class="gray2" onmouseout="javascript:setClassCursor(this, \'gray2\', \'default\')" ';
            else $outHtml .= '<tr onmouseout="javascript:setClassCursor(this, \'\', \'default\')" ';
            $outHtml .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'default\')">'
                   .'<td>'.$value["time"].'</td><td>'.$value["cnt"].'</td></tr>';
            $i++;
        }
    }
    else{
        $outHtml .= "<tr class=\"gray2\"><td colspan=\"2\" style=\"height:200px;text-align:center;vertical-align:middle;\">".$g_msg_text["vttl_daly"]["des01"]."</td></tr>";
    }
} catch(Exception $e) {
    $sDate = "";
    $eDate = "";
    $maxPage = 1;
    $prevPage = 1;
    $nextPage = 1;
    $page = 1;
    $outHtml .= "<tr class=\"gray2\"><td colspan=\"2\" style=\"height:200px;text-align:center;vertical-align:middle;\">".$g_msg_text["vttl_daly"]["des01"]."</td></tr>";
}

$g_db->close();

$outHtml .= '</table><input type="hidden" id="statDataCount" name="statDataCount" value="'.$statDataCount.'"><div class="paging"><input type="hidden" id="quar_page_index" name="quar_page_index" value="'.$page.'"/>'
      . '<img src="'.$IMG_ROOT.'icon_prev.gif" class="vm" alt="'.$g_msg_text["com"]["btn_prev"].'" onclick="javascript:goPage('.$prevPage.')">'
      . $g_msg_text["com"]["page_navi"].': <input type="text" id="page_navi_index" name="page_navi_index" class="inputTextSmall" style="width:30px;" value="'.$page.'" onkeydown="javascript:if (event.keyCode==13) goPage(this.value)"> / '.$maxPage
      . '<img src="'.$IMG_ROOT.'icon_next.gif" class="vm" alt="'.$g_msg_text["com"]["btn_next"].'" onclick="javascript:goPage('.$nextPage.')">'
      . '</div>';

echo $outHtmlHead.$outHtml;
?>