<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_updt");
inc_func(g_inc_type_var, "msg_scan_schd");
inc_func(g_inc_type_var, "msg_updt_alrt01");
inc_func(g_inc_type_var, "msg_updt_alrt03");
inc_func(g_inc_type_var, "msg_updt_alrt05");
inc_func(g_inc_type_var, "msg_updt_alrt07");

$checkToDate = date("Y-m-d");
$checkToYear = intval(date("Y"));
$checkToMonth = intval(date("m"));
$checkToDay = intval(date("d"));

try {
    $g_db->open();
    $query = " select  count(*) as cnt "
            ."       , ifnull(auto_check, 1) as auto_check "
            ."       , ifnull(auto_term, 3) as auto_term "
            ."       , ifnull(reserve_check, 0) as reserve_check "
            ."       , ifnull(reserve_cycle, 1) as reserve_cycle "
            ."       , cast(strftime('%w', ifnull(reserve_view_time, date('".dateNow()."'))) as integer) as view_week "
            ."       , cast(strftime('%d', ifnull(reserve_view_time, date('".dateNow()."'))) as integer) as view_day "
            ."       , ifnull(date(reserve_view_time), date('".dateNow()."')) as view_date "
            ."       , cast(strftime('%H', ifnull(reserve_view_time, time('".dateNow()."'))) as integer) as hour "
            ."       , cast(strftime('%M', ifnull(reserve_view_time, time('".dateNow()."'))) as integer) as min "
            ."       , ifnull(how2update, 1) as how2update "
            ."       , ifnull(user_url, '') as user_url "
            ."       , ifnull(user_id,  '') as user_id "
            ."       , ifnull(user_pw,  '') as user_pw "
            ."       , ifnull(dir_path, '') as dir_path "
            ."       , ifnull(adv_patch, 1) as adv_patch "
            ."       , ifnull(adv_info, 1) as adv_info "
            ."  from   supdate "
            ."  where no = 1; ";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
    
} catch (Exception $e) {
    /* TODO: */    
}

$g_db->close();

$rs["auto_check_c"] = ($rs["auto_check"])?"checked":"";
$rs["reserve_check_c"] = ($rs["reserve_check"])?"checked":"";
$opt_week = array("0"=>"","1"=>"","2"=>"","3"=>"","4"=>"","5"=>"","6"=>"");
$opt_week[$rs["view_week"]] = "selected";
$opt_day = array("1"=>"","2"=>"","3"=>"","4"=>"",
                 "5"=>"","6"=>"","7"=>"","8"=>"","9"=>"",
                 "10"=>"","11"=>"","12"=>"","13"=>"","14"=>"",
                 "15"=>"","16"=>"","17"=>"","18"=>"","19"=>"",
                 "20"=>"","21"=>"","22"=>"","23"=>"","24"=>"",
                 "25"=>"","26"=>"","27"=>"","28"=>"","29"=>"",
                 "30"=>"","31"=>"");
$opt_day[$rs["view_day"]] = "selected";
$reserve_cycle_s = array(1=>"", "", "", "");
$reserve_cycle_s[$rs["reserve_cycle"]] = "selected";
$how2update_c = array(1=>"", "", "");
$how2update_c[$rs["how2update"]] = "checked";
$rs["user_url"] = strHtml($rs["user_url"], false);
$rs["user_id"] = strHtml($rs["user_id"], false);
$rs["user_pw"] = strHtml($rs["user_pw"], false);
$rs["adv_patch_c"] = ($rs["adv_patch"])?"checked":"";
$rs["adv_info_c"] = ($rs["adv_info"])?"checked":"";

$rs["proxy_use"] = "";
$rs["proxy_server"] = "";
$rs["proxy_port"] = "";
if (file_exists(g_v3net_conf_file)){
	$conf = file_get_contents(g_v3net_conf_file);
	preg_match('/UpdateProxyON=(?P<proxy>\w+)\s/i', $conf, $matches);
	$rs["proxy_use"] = (strtoupper($matches["proxy"])=="YES")?"checked":"";
	preg_match('/UpdateProxyServer=(?P<proxy>[^\s]*)\s/i', $conf, $matches);
	$rs["proxy_server"] = $matches["proxy"];
	preg_match('/UpdateProxyPort=(?P<proxy>\d*)\s/i', $conf, $matches);
	$rs["proxy_port"] = $matches["proxy"];
}

$strHourOpt = strOptionValue(0, 24, $rs["hour"], "0");
$strMinOpt = strOptionValue(0, 60, $rs["min"], "0");
//$strDayOpt = strOptionValue(1, 32, $rs["view_day"]);

$now_hour = strOptionValue(0, 24, date("H"), "0");
$now_min = strOptionValue(0, 60, date("i"), "0");


try {
    $g_db->open();
    $query = " select  reserve_view_time "
            ."  from   supdate; ";
    $rs_tmp = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

} catch (Exception $e) {
    /* TODO: */
}

$g_db->close();


if ( $rs_tmp["reserve_view_time"]== "")
{
	$rs["view_date"] = $checkToDate;
	$strHourOpt = $now_hour;
	$strMinOpt = $now_min;
}

echo page_start("", array("calendar"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
var retval_flag = '';

function returnValue(obj){
	if(retval_flag == 'pop_update' && obj == "OKPOP")
	{
		$("updateInfo").show();
	}
	else if( retval_flag == 'pop_update' && obj == "OK")
	{
		;
	}
	else if( retval_flag == 'pop_update' && obj == "RUNNING")
	{
		alert("{$g_msg_text["updt_alrt05"]["des01"]}");
	}
	else if( retval_flag == 'pop_dir' && obj != "")
	{
		if (obj.length > 1024)
		{
			alert("{$g_msg_text["updt_alrt01"]["des09"]}");
		}
		else
		{
			$("dir_path").value = obj;
		}
	}
	else
		;

	retval_flag = '';
}

function changeViewDate(s)
{
    if (s == "1") $("layer_time").style.display = "block";
    else $("layer_time").style.display = "none";
    if (s == "2") $("layer_week").style.display = "block";
    else $("layer_week").style.display = "none";
    if (s == "3") $("layer_day").style.display = "block";
    else $("layer_day").style.display = "none";
    if (s == "4") $("layer_date").style.display = "block";
    else $("layer_date").style.display = "none";
}
function changeHour(s){
    $("time_hour").selectedIndex = s;
    $("week_hour").selectedIndex = s;
    $("day_hour").selectedIndex = s;
    $("date_hour").selectedIndex = s;
}
function changeMin(s){
    $("time_min").selectedIndex = s;
    $("week_min").selectedIndex = s;
    $("day_min").selectedIndex = s;
    $("date_min").selectedIndex = s;
}
function checkAutoCheck(){
    var isDisable = !($("auto_check").checked);
    $("auto_term").disabled = isDisable;
}
function checkReserveCheck(){
    var isDisable = !($("reserve_check").checked);
    $("reserve_cycle").disabled = isDisable;
    $("time_hour").disabled = isDisable;
    $("time_min").disabled = isDisable;
    $("week_opt").disabled = isDisable;
    $("week_hour").disabled = isDisable;
    $("week_min").disabled = isDisable;
    $("day_opt").disabled = isDisable;
    $("day_hour").disabled = isDisable;
    $("day_min").disabled = isDisable;
    $("date_opt").disabled = isDisable;
    $("date_hour").disabled = isDisable;
    $("date_min").disabled = isDisable;
}

function cleanIDPW()
{
    if($("user_url").value.trim() == "")
    {
        $("user_id").value = "";
        $("user_pw").value = "";
    }
}

function clickHowUpdt(){
    cleanIDPW();

    var isReadOnly = ($("how_updt02").checked)?"":"readOnly";
    var chk03 = $("how_updt03").checked;
    $("user_url").readOnly = isReadOnly;
    $("user_id").readOnly = isReadOnly;
    $("user_pw").readOnly = isReadOnly;
    if ($("how_updt03").checked){
        $("btn_dir_path").className = "button small";
    }
    else{
        $("btn_dir_path").className = "button smallDisable";
    }
}
function clickDirPath(){
    if ($("how_updt03").checked){
   	retval_flag = 'pop_dir';

	child_window = openPop( '{$SRC_ROOT}pop_dir.php?dirs='+$("dir_path").value,'',400,300,'1');
	a_tag_block();
	chlid_window_check_timer_start();

    }
}

function checkUserURL(obj){
    if ($("how_updt02").checked){
        if (obj.value.trim() != ""){
            if (!checkURL(obj.value)){
                alert("{$g_msg_text["updt_alrt01"]["des04"]}");
                obj.value = "";
            }
        }
    }
}

function closeUpdateInfo(){
    $("updateInfo").hide();
}

function clickUpdate(){
	child_window = openPop( '{$SRC_ROOT}pop_update.php','',342,130,'1');
	a_tag_block();
	chlid_window_check_timer_start();
	retval_flag = 'pop_update';
}
function clickOk(){
    var tmp;
    if ($("auto_check").checked) {
        tmp = $("auto_term").value.trim();
        if (tmp == ""){
            alert("{$g_msg_text["updt_alrt01"]["des01"]}");
            $("auto_term").focus();
            return;
        }
        tmp = parseInt($("auto_term").value, 10);
        if (tmp < 1 || tmp > 24){
            alert("{$g_msg_text["updt_alrt01"]["des02"]}");
            $("auto_term").focus();
            return;
        }
    }
    if ($("how_updt02").checked){
        tmp = $("user_url").value.trim();
        if (tmp == ""){
            alert("{$g_msg_text["updt_alrt01"]["des03"]}");
            $("user_url").focus();
            return;
        }
        if (tmp.trim() == ""){
            alert("{$g_msg_text["updt_alrt01"]["des03"]}");
            return;
        }
        if (!checkURL(tmp)){
            alert("{$g_msg_text["updt_alrt01"]["des04"]}");
            $("user_url").focus();
            return;
        }
        if (isUrlFtp(tmp)){
            tmp = $("user_id").value.trim();
            if (tmp == ""){
                alert("{$g_msg_text["updt_alrt01"]["des05"]}");
                $("user_id").focus();
                return;
            }
            tmp = $("user_pw").value.trim();
            if (tmp == ""){
                alert("{$g_msg_text["updt_alrt01"]["des06"]}");
                $("user_pw").focus();
                return;
            }
        }
    }
    if ($("how_updt03").checked){
        tmp = $("dir_path").value.trim();
        if(tmp.length == 0){
            alert("{$g_msg_text["updt_alrt01"]["des08"]}");
            $("btn_dir_path").focus();
            return;
        }
    }
	if ($("proxy_use").checked){
        tmp = $("proxy_server").value.trim();
        if (tmp == ""){
            alert("{$g_msg_text["updt_alrt07"]["des01"]}");
            $("proxy_server").focus();
            return;
        }

        if (!checkURL(tmp)){
            alert("{$g_msg_text["updt_alrt07"]["des02"]}");
            $("proxy_server").focus();
            return;
        }

        tmp = $("proxy_port").value.trim();
        if (tmp == "" || isNaN(tmp)){
            alert("{$g_msg_text["updt_alrt07"]["des03"]}");
            $("proxy_port").focus();
            return;
        }
		tmp = parseInt(tmp, 10);
        if (tmp < 1 || tmp > 65534){
            alert("{$g_msg_text["updt_alrt07"]["des04"]}");
            $("proxy_port").focus();
            return;
        }
    }
    if ( $("reserve_check").checked == true)
    {
    	$("set_hour").value = $("time_hour").value;
    	$("set_min").value = $("time_min").value;
    	$("set_cycle").value = $("reserve_cycle").value;
    	$("set_week_opt").value = $("week_opt").value;
    	$("set_day_opt").value = $("day_opt").value;
    	$("set_date_opt").value = $("date_opt").value;
    }
    updateForm.submit();
}
function basic(){
    $("auto_check").checked = true;
    checkAutoCheck();
    $("auto_term").value = "3";

    $("reserve_check").checked = false;
    checkReserveCheck();

    $("how_updt01").checked = true;
    $("how_updt02").checked = false;
    $("how_updt03").checked = false;
    clickHowUpdt();

	$("proxy_use").checked = false;
	checkProxy();

    $("adv_patch").checked = true;
    $("adv_info").checked = true;
}
function clickCancel(){
	alert("{$g_msg_text["updt_alrt03"]["des02"]}");
    updateForm.reset();
    changeViewDate($("reserve_cycle").value);
    checkReserveCheck();
    clickHowUpdt();
}
function checkProxyPort(obj){
    inputReplace(obj, __pat2__);
    var tmp = parseInt(obj.value, 10);
	if (tmp < 1) obj.value = 1;
	if (tmp > 65534) obj.value = 65534;
}
function checkProxy(){
	$("proxy_server").disabled = !$("proxy_use").checked
	$("proxy_port").disabled = !$("proxy_use").checked
}
function initPage(){
    document.body.innerHTML += "<div id=\"popCal\" ></div>";
    changeViewDate($("reserve_cycle").value);
    checkAutoCheck();
    checkReserveCheck();
    clickHowUpdt();
	checkProxy();
}
//-->
</script>
__HTML_TEXT__;

echo page_body("mnu03", "initPage()");
echo <<<__HTML_TEXT__
                <h2>{$g_msg_text["updt"]["ttl01"]}</h2>
                <form id="updateForm" name="updateForm" action="{$SRC_ROOT}update_proc.php" method="post" onsubmit="javascript:return false;" >
                <input type="hidden" id="set_hour" name="set_hour" value="">
                <input type="hidden" id="set_min" name="set_min" value="">
                <input type="hidden" id="set_cycle" name="set_cycle" value="">
                <input type="hidden" id="set_week_opt" name="set_week_opt" value="">
                <input type="hidden" id="set_day_opt" name="set_day_opt" value="">
                <input type="hidden" id="set_date_opt" name="set_date_opt" value="">
                <fieldset class="fieldset">
                    <legend>{$g_msg_text["updt"]["txt01"]}</legend>
                    <div class="fieldsetCont2">
                        <ul class="listUp" >
                        <li>
                            <input type="checkbox" id="auto_check" name="auto_check" {$rs["auto_check_c"]} value="1" onclick="javascript:checkAutoCheck()"> <label for="auto_check">{$g_msg_text["updt"]["chk01"]}</label>
                            <p class="textIndent"> <label for="auto_term">{$g_msg_text["updt"]["ctr01"]}</label>:
                                <input type="text" id="auto_term" name="auto_term" value="{$rs["auto_term"]}" class="inputTextSmall" style="margin:1px 0 0 0; width:40px"
                                onfocus="javascript:funcFocus(this);"
                                onchange="javascript:inputReplace(this, __pat2__)"
                                onblur="javascript:inputReplace(this, __pat2__)"
                                > {$g_msg_text["updt"]["txt04"]} </p>
                        </li>
                        <li class="reservDate">
                            <input type="checkbox" id="reserve_check" name="reserve_check" {$rs["reserve_check_c"]} value="1" onclick="javascript:checkReserveCheck()"> <label for="reserve_check">{$g_msg_text["updt"]["chk02"]}</label>
                            <div class="textIndent" >
                                <div class="fl" style="padding-right:10px;">
                                    <select id='reserve_cycle' name='reserve_cycle' size='1' onchange='changeViewDate(this.value)'>
                                        <option value="1" {$reserve_cycle_s[1]}>{$g_msg_text["scan_schd"]["cmb01"]}</option>
                                        <option value="2" {$reserve_cycle_s[2]}>{$g_msg_text["scan_schd"]["cmb02"]}</option>
                                        <option value="3" {$reserve_cycle_s[3]}>{$g_msg_text["scan_schd"]["cmb03"]}</option>
                                        <option value="4" {$reserve_cycle_s[4]}>{$g_msg_text["scan_schd"]["cmb04"]}</option>
                                    </select>
                                </div>

                                <div class="fl"  style="position:relative;" >
                                    <div id="layer_time" class="layer">
                                        <select id="time_hour" name="time_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                                        <select id="time_min" name="time_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                                    </div>

                                    <div id="layer_week" class="layer">
                                        <select id="week_opt" name="week_opt">
                                            <option value="1" {$opt_week[1]}>{$g_msg_text["scan_schd"]["cmb02_1"]}</option>
                                            <option value="2" {$opt_week[2]}>{$g_msg_text["scan_schd"]["cmb02_2"]}</option>
                                            <option value="3" {$opt_week[3]}>{$g_msg_text["scan_schd"]["cmb02_3"]}</option>
                                            <option value="4" {$opt_week[4]}>{$g_msg_text["scan_schd"]["cmb02_4"]}</option>
                                            <option value="5" {$opt_week[5]}>{$g_msg_text["scan_schd"]["cmb02_5"]}</option>
                                            <option value="6" {$opt_week[6]}>{$g_msg_text["scan_schd"]["cmb02_6"]}</option>
                                            <option value="0" {$opt_week[0]}>{$g_msg_text["scan_schd"]["cmb02_7"]}</option>
                                        </select>&nbsp;&nbsp;
                                        <select id="week_hour" name="week_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                                        <select id="week_min" name="week_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                                    </div>

                                    <div id="layer_day"  class="layer">
                                        <select id="day_opt" name="day_opt" size="1">
                                            <option value="1" {$opt_day[1]}>{$g_msg_text["scan_schd"]["txt04"]}</option>
                                            <option value="2" {$opt_day[2]}>{$g_msg_text["scan_schd"]["txt05"]}</option>
                                            <option value="3" {$opt_day[3]}>{$g_msg_text["scan_schd"]["txt06"]}</option>
                                            <option value="4" {$opt_day[4]}>{$g_msg_text["scan_schd"]["txt07"]}</option>
                                            <option value="5" {$opt_day[5]}>{$g_msg_text["scan_schd"]["txt08"]}</option>
                                            <option value="6" {$opt_day[6]}>{$g_msg_text["scan_schd"]["txt09"]}</option>
                                            <option value="7" {$opt_day[7]}>{$g_msg_text["scan_schd"]["txt10"]}</option>
                                            <option value="8" {$opt_day[8]}>{$g_msg_text["scan_schd"]["txt11"]}</option>
                                            <option value="9" {$opt_day[9]}>{$g_msg_text["scan_schd"]["txt12"]}</option>
                                            <option value="10" {$opt_day[10]}>{$g_msg_text["scan_schd"]["txt13"]}</option>
                                            <option value="11" {$opt_day[11]}>{$g_msg_text["scan_schd"]["txt14"]}</option>
                                            <option value="12" {$opt_day[12]}>{$g_msg_text["scan_schd"]["txt15"]}</option>
                                            <option value="13" {$opt_day[13]}>{$g_msg_text["scan_schd"]["txt16"]}</option>
                                            <option value="14" {$opt_day[14]}>{$g_msg_text["scan_schd"]["txt17"]}</option>
                                            <option value="15" {$opt_day[15]}>{$g_msg_text["scan_schd"]["txt18"]}</option>
                                            <option value="16" {$opt_day[16]}>{$g_msg_text["scan_schd"]["txt19"]}</option>
                                            <option value="17" {$opt_day[17]}>{$g_msg_text["scan_schd"]["txt20"]}</option>
                                            <option value="18" {$opt_day[18]}>{$g_msg_text["scan_schd"]["txt21"]}</option>
                                            <option value="19" {$opt_day[19]}>{$g_msg_text["scan_schd"]["txt22"]}</option>
                                            <option value="20" {$opt_day[20]}>{$g_msg_text["scan_schd"]["txt23"]}</option>
                                            <option value="21" {$opt_day[21]}>{$g_msg_text["scan_schd"]["txt24"]}</option>
                                            <option value="22" {$opt_day[22]}>{$g_msg_text["scan_schd"]["txt25"]}</option>
                                            <option value="23" {$opt_day[23]}>{$g_msg_text["scan_schd"]["txt26"]}</option>
                                            <option value="24" {$opt_day[24]}>{$g_msg_text["scan_schd"]["txt27"]}</option>
                                            <option value="25" {$opt_day[25]}>{$g_msg_text["scan_schd"]["txt28"]}</option>
                                            <option value="26" {$opt_day[26]}>{$g_msg_text["scan_schd"]["txt29"]}</option>
                                            <option value="27" {$opt_day[27]}>{$g_msg_text["scan_schd"]["txt30"]}</option>
                                            <option value="28" {$opt_day[28]}>{$g_msg_text["scan_schd"]["txt31"]}</option>
                                            <option value="29" {$opt_day[29]}>{$g_msg_text["scan_schd"]["txt32"]}</option>
                                            <option value="30" {$opt_day[30]}>{$g_msg_text["scan_schd"]["txt33"]}</option>
                                            <option value="31" {$opt_day[31]}>{$g_msg_text["scan_schd"]["txt34"]}</option>
                                        </select>&nbsp;&nbsp;
                                        <select id="day_hour" name="day_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                                        <select id="day_min" name="day_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                                    </div>

                                    <div id="layer_date"  class="layer">
                                        <input id="date_opt" name="date_opt" type="text" class="inputTextSmall noMargin" value="{$rs["view_date"]}" readonly="readonly" style="width:70px; margin:-1px 4px 0 0" /><img src="{$IMG_ROOT}icon_cal.gif" class="vt" id="cal1" onclick="javascript:showLayCal(this, updateForm.date_opt);" />&nbsp;
                                        <select id="date_hour" name="date_hour" class="selectWidth3" onchange="javascript:changeHour(this.selectedIndex);">{$strHourOpt}</select>{$g_msg_text["scan_schd"]["txt01"]}
                                        <select id="date_min" name="date_min" class="selectWidth3" onchange="javascript:changeMin(this.selectedIndex);">{$strMinOpt}</select>{$g_msg_text["scan_schd"]["txt02"]}
                                    </div>
                                </div>
                                <div class="cboth"></div>
                            </div>
                        </li>
                        </ul>
                    </div>
                </fieldset>

                <fieldset class="fieldset mgt10">
                    <legend>{$g_msg_text["updt"]["txt02"]}</legend>
                    <div class="fieldsetCont2">
                        <ul class="listUp">
                        <li><input type="radio" id="how_updt01" name="how_updt" {$how2update_c[3]} value="3" onclick="javascript:clickHowUpdt()"/> <label for="how_updt01">{$g_msg_text["updt"]["rdo01"]}</label></li>
                        <li>
                            <input type="radio" id="how_updt02" name="how_updt" {$how2update_c[2]} value="2" onclick="javascript:clickHowUpdt()"/> <label for="how_updt02">{$g_msg_text["updt"]["rdo02"]}</label>
                            <div class="textIndent">
                                <input type="text" id="user_url" name="user_url" maxlength="1024" class="inputTextSmall" style="margin:1px 0 0 0; width:60%"
                                    value="{$rs["user_url"]}"><br />
                                <p class="mgt3">
                                    <label for="user_id">{$g_msg_text["updt"]["ctr02"]}</label>: <input type="text" id="user_id" name="user_id" class="inputTextSmall" style="margin:1px 0 0 0; width:100px"
                                    value="{$rs["user_id"]}" maxlength="30"> &nbsp; &nbsp;
                                    <label for="user_pw">{$g_msg_text["updt"]["ctr03"]}</label>: <input type="password" id="user_pw" name="user_pw" class="inputTextSmall" style="margin:1px 0 0 0; width:100px"
                                    value="{$rs["user_pw"]}" maxlength="30">
                                </p>
                            </div>
                        </li>
                        <li>
                            <input type="radio" id="how_updt03" name="how_updt" {$how2update_c[1]} value="1" onclick="javascript:clickHowUpdt()"> <label for="how_updt03">{$g_msg_text["updt"]["rdo03"]}</label>
                            <div class="textIndent">
                                <input type="text" id="dir_path" name="dir_path" value="{$rs["dir_path"]}" readonly="readonly" class="inputTextSmall margin" style="width:60%">
                                <span class="btnSet"><a href="javascript:clickDirPath()" id="btn_dir_path" class="button small"><span class="w72">{$g_msg_text["com"]["btn_updt"]}</span></a></span>
                            </div>
                        </li>
                        </ul>
                    </div>
                </fieldset>
				
				<fieldset class="fieldset mgt10">
                    <legend>{$g_msg_text["updt"]["txt05"]}</legend>
                    <div class="fieldsetCont2">
                        <ul class="listUp">
                        <li>
                            <input type="checkbox" id="proxy_use" name="proxy_use" {$rs["proxy_use"]} value="1" onclick="javascript:checkProxy()"> <label for="proxy_use">{$g_msg_text["updt"]["chk06"]}</label>
                            <div class="textIndent">
								<p class="mgt5 mgb3"><label for="proxy_server">{$g_msg_text["updt"]["ctr04"]}</label> <input type="text" id="proxy_server" name="proxy_server" maxlength="1024" class="inputTextSmall" style="margin:1px 0 0 0; width:260px;" value="{$rs["proxy_server"]}"></p>
								<label for="proxy_port">{$g_msg_text["updt"]["ctr05"]}</label> <input type="text" id="proxy_port" name="proxy_port" maxlength="5" class="inputTextSmall" style="margin:1px 0 0 0;width:70px;"
                                onchange="javascript:inputReplace(this, __pat2__)"
                                onblur="javascript:inputReplace(this, __pat2__)"
                                onkeyup="javascript:checkProxyPort(this)"
								value="{$rs["proxy_port"]}">
							</div>
                        </li>
                        </ul>
                    </div>
                </fieldset>

                <fieldset class="fieldset mgt10 mgb30">
                    <legend>{$g_msg_text["updt"]["txt03"]}</legend>
                    <div class="fieldsetCont2">
                        <ul class="listUp2">
                        <li><input type="checkbox" id="adv_patch" name="adv_patch" {$rs["adv_patch_c"]} value="1"> <label for="adv_patch">{$g_msg_text["updt"]["chk03"]}</label></li>
                        <li><input type="checkbox" id="adv_info" name="adv_info" {$rs["adv_info_c"]} value="1"> <label for="adv_info">{$g_msg_text["updt"]["chk04"]}</label></li>
                        </ul>
                    </div>
                </fieldset>
                </form>

                <div class="titnIcon mgt30 mgb30">
                    <div class="fl">
                        <div class="btnSet">
                            <a href="javascript:basic();" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_default"]}</span></a>
                        </div>
                    </div>
                    <div class="fr">
                        <div class="btnSet ar">
                            <a href="javascript:clickUpdate()" class="button basicBlue"><span class="w106">{$g_msg_text["updt"]["btn01"]}</span></a>
                            <a href="javascript:clickOk()" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                            <a href="javascript:clickCancel()" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                        </div>
                    </div>
                </div>
               <div id="updateInfo" style="position:absolute;top:180px;left:90px;width:650px;height:300px;display:none;border:1px solid black;"></div>

__HTML_TEXT__;
echo page_tail();
?>
