<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
$IS_SOCKET_ERROR_REDIRECT_PASS = true;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_updt_alrt01");
inc_func(g_inc_type_var, "msg_updt_alrt03");

$errorText = "";

$argu["auto_check"] = 0;
$argu["auto_term"] = 3;
$argu["reserve_check"] = 0;
$argu["reserve_cycle"] = 1;
$argu["set_hour"] = 0;
$argu["set_min"] = 0;
$argu["week_opt"] = 0;
$argu["day_opt"] = 1;
$argu["date_opt"] = date("Y-m-d");
$argu["how2update"] = 1;
$argu["user_url"] = "";
$argu["user_id"] = "";
$argu["user_pw"] = "";
$argu["dir_path"] = "";
$argu["adv_patch"] = 1;
$argu["adv_info"] = 1;

$argu["proxy_use"] = "";
$argu["proxy_server"] = "";
$argu["proxy_port"] = "";

try{
    $g_db->open();

    if (intval(nvl($_POST["auto_check"])) == 1) $argu["auto_check"] = 1;

    $tmp = intval(nvl($_POST["auto_term"]));
    if ($tmp >= 1 && $tmp <= 24) $argu["auto_term"] = $tmp;
    // VNIX-1068 : auto_cure_time 을 설정하지 않는 것으로 변경 함
    // $argu["auto_cure_time"] = date("Y-m-d H:i:s", mktime(intval(date("H")) + intval($argu["auto_term"]),intval(date("i")), intval(date("s")), intval(date("n")), intval(date("j")), intval(date("Y"))));

    if (intval(nvl($_POST["reserve_check"])) == 1) $argu["reserve_check"] = 1;

    $tmp = intval(nvl($_POST["set_cycle"]));
    if ($tmp >= 1 && $tmp <= 4) $argu["reserve_cycle"] = $tmp;

    $tmp = intval(nvl($_POST["set_hour"]));
    if ($tmp >= 0 && $tmp <= 23) $argu["set_hour"] = $tmp;

    $tmp = intval(nvl($_POST["set_min"]));
    if ($tmp >= 0 && $tmp <= 59) $argu["set_min"] = $tmp;

    $tmp = intval(nvl($_POST["set_week_opt"]));
    if ($tmp >= 0 && $tmp <= 6) $argu["week_opt"] = $tmp;

    $tmp = intval(nvl($_POST["set_day_opt"]));
    if ($tmp >= 1 && $tmp <= 31) $argu["day_opt"] = $tmp;

    $tmp = intval(nvl($_POST["how_updt"]));
    if ($tmp >= 1 && $tmp <= 3) $argu["how2update"] = $tmp;

    $argu["user_url"] = strDb(nvl($_POST["user_url"]));
    $argu["user_id"] = strDb(nvl($_POST["user_id"]));
    $argu["user_pw"] = strDb(nvl($_POST["user_pw"]));
    $argu["dir_path"] = strDb(nvl($_POST["dir_path"]));
    if (intval(nvl($_POST["adv_patch"])) == 1) $argu["adv_patch"] = 1;
    else $argu["adv_patch"] = 0;
    if (intval(nvl($_POST["adv_info"])) == 1) $argu["adv_info"] = 1;
    else $argu["adv_info"] = 0;
	
    if (intval(nvl($_POST["proxy_use"])) == 1) $argu["proxy_use"] = 1;
    else $argu["proxy_use"] = 0;
    $argu["proxy_server"] = nvl($_POST["proxy_server"]);
    $argu["proxy_port"] = nvl($_POST["proxy_port"]);

    $currentTimeValue = (intval(date("H")) * 60 * 60) + (intval(date("i")) * 60);
    $inputTimeValue = (intval($argu["set_hour"]) * 60 * 60) + (intval($argu["set_min"]) * 60);
    $nextCureDay = ($currentTimeValue > $inputTimeValue)?1:0;

    switch($argu["reserve_cycle"]){
    case 1:
        $argu["view_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")), intval(date("j")), intval(date("Y"))));
        $argu["cure_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")), intval(date("j")) + $nextCureDay, intval(date("Y"))));
        break;
    case 2:
        $argu["view_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")), intval(date("j")) + ($argu["week_opt"] - intval(date("w"))), intval(date("Y"))));
        $argu["cure_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")), intval(date("j")) + ((7 * $nextCureDay) - intval(date("w")) + $argu["week_opt"]), intval(date("Y"))));
        break;
    case 3:
        $argu["view_time"] = date("Y-m-".str_pad($argu["day_opt"], 2, "0", STR_PAD_LEFT)." H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")), 1, intval(date("Y"))));
        $argu["cure_time"] = date("Y-m-".str_pad($argu["day_opt"], 2, "0", STR_PAD_LEFT)." H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, intval(date("n")) + $nextCureDay, 1, intval(date("Y"))));
        break;
    case 4:
        $tmp = split("-", nvl($_POST["set_date_opt"]), 3 );
        if (sizeof($tmp) != 3) throw new Exception("VIEW_DATE_ERROR");
        $tmp[0] = intval($tmp[0]);
        $tmp[1] = intval($tmp[1]);
        $tmp[2] = intval($tmp[2]);

        $argu["view_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, $tmp[1], $tmp[2], $tmp[0]));
        $argu["cure_time"] = date("Y-m-d H:i:s", mktime($argu["set_hour"],$argu["set_min"], 0, $tmp[1], $tmp[2], $tmp[0]));

	$timenow = dateNow();
	if($timenow >= $argu["view_time"]) throw new Exception("VIEW_DATE_ERROR");

        break;
    }
    $query = " update supdate set "
            ."        auto_check = ".$argu["auto_check"];
    if ($argu["auto_check"] == 1) {
    // VNIX-1068 : auto_cure_time 을 설정하지 않는 것으로 변경 함
        $query .= "      , auto_term  = ".$argu["auto_term"];
    //             ."      , auto_cure_time = '".$argu["auto_cure_time"]."'";
    }
    $query .= "      , reserve_check = ".$argu["reserve_check"];
    if ($argu["reserve_check"] == 1){
        $query .= "      , reserve_cycle = ".$argu["reserve_cycle"]
                 ."      , reserve_view_time = '".$argu["view_time"]."'"
                 ."      , reserve_cure_time = '".$argu["cure_time"]."'";
    }
    $query .= "      , how2update = ".$argu["how2update"];
    if ($argu["how2update"] == 2) {
        $query .= "      , user_url = '".$argu["user_url"]."'"
                 ."      , user_id = '".$argu["user_id"]."'"
                 ."      , user_pw = '".$argu["user_pw"]."'";
    }
    if ($argu["how2update"] == 1) {
        $query .= "      , dir_path = '".$argu["dir_path"]."'";
    }
    $query .= "      , adv_patch = ".$argu["adv_patch"]
             ."      , adv_info = ".$argu["adv_info"]
             ." where  no = 1; ";

    $rs = $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception("ERROR");
    }

    if ($rs < 1) throw new Exception("SAVE_ERROR");

	$fsBody = pack("iia*", $argu["proxy_use"], $argu["proxy_port"], $argu["proxy_server"]);
	$cmdStr = "CONFIG_UPDATE_PROXY_SET";
	if ($g_fss->sendCmd($cmdStr,$fsBody)){
		$resData = $g_fss->readCmd($cmdStr);
		$cmdRtn = $resData["status"];
	}
	else{
		$cmdRtn = -100;
	}
    if ($cmdRtn < 0) throw new Exception("SAVE_ERROR");

    makeEventLog("event_log_4000", "4005");
} catch(Exception $e) {
    switch($e->getMessage()){
    case "VIEW_DATE_ERROR":
        $errorText = $g_msg_text["updt_alrt01"]["des10"];
        break;
    case "SAVE_ERROR":
        $errorText = $g_msg_text["com"]["err_mod"];
        break;
    case "ERROR":
        $errorText = $g_msg_text["com"]["err_mod"];
        break;
    }
}

$g_db->close();

echo page_start();
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
//-->
function initPage(){
    if ("{$errorText}" == ""){
        alert("{$g_msg_text["updt_alrt03"]["des01"]}");
        self.location.href="{$SRC_ROOT}update.php";
    }
    else{
        alert("{$errorText}");
        history.go(-1);
    }
}
//-->
</script>
<body onload="javascript:initPage()">
</body>
__HTML_TEXT__;
echo page_end();
?>
