<?php
$PAGE_LOGIN = 1;

require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";

PHPLOG(g_LOG_DEBUG, 0, "PHP Version: ".phpversion());

inc_func(g_inc_type_var, "msg_eula");
inc_func(g_inc_type_var, "msg_logi");

$eula_agreement = getEULAAgreement();

if (getProduct() == "v3dl")
{
	$headImage = $IMG_ROOT."err_ci_linux_desktop.gif";
}
else if(getProduct() == "v3ll")
{
	$headImage = $IMG_ROOT."err_ci_linux_v3lite.gif";
}
$tailImage = $IMG_ROOT."err_ci_ahnlab.gif";

$file_name = "AhnLab_SW_EULA_ENG.txt";
if ($g_msg_type == "ko_kr") {
    $file_name = "AhnLab_SW_EULA_KOR.txt";
}

$eula_file_path = "./EULA/".$file_name;

if ($eula_file_path != "") {
	$contents = file_get_contents($eula_file_path);
} else {
	$contents = "";
}

$EULA_CHECK = true;

echo page_start("", array("sha1", "sha256"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
function showSummaryPage() {
    this.agreeEULARH = function(result){
        switch(result.responseText){
            case "AGREE":
				self.location.href="{$SRC_ROOT}summary.php";
                break;
            default:
				self.location.href="{$SRC_ROOT}summary.php";
                break;
        }
    }
	
    new Ajax.Request("{$SRC_ROOT}agreement_proc.php"
                ,{parameters : {cmd:"agree"}
                ,onSuccess : this.agreeEULARH});
}

function checkAgreement() {
	if ($("agreement_check").checked != true) {
		$("btn_gotoSummary").style.display = "none";
	}
	else {
		$("btn_gotoSummary").style.display = "block";
	}
}

function initPage(){
    if("{$eula_agreement}" == 0) {
        $("agreeDIV").style.display = 'block';
        $("agreement_check").checked = false;
        $("btn_gotoSummary").style.display = "none";
    }
    else {
        self.location.href="{$SRC_ROOT}summary.php";
    }
}
//-->
</script>
<body onload="javascript:initPage()">
<div class="eula" id="agreeDIV" style="display:none;">    
    <div class="top">
		 <h1><img src="{$headImage}"></h1>
	</div>

	<div class="msgBox">
		<div class="msg-eula">
			<div class="text-noimg">
				<p class="msg1">{$g_msg_text["eula"]["ttl01"]}</p>
			</div>
		</div>
		<div class="fieldsetCont">
			<div class="borderBlueBox eulaInfo">
				<pre style="word-break:break-all;word-wrap:break-word;">{$contents}</pre>
			</div>
		</div>
		<div class="msg-eula">
			<div class="agreement" style="text-align:right;">
				<label class="emGray">AhnLab SW EULA</label>
			</div>
			<div class="agreement">
				<input type="checkbox" id="agreement_check" name="agreement_check" value="1" onclick="javascript:checkAgreement()"> <label for="agreement_check">{$g_msg_text["eula"]["chk01"]}</label>				
				<p style="border-bottom:1px solid #e5e5e5; margin:10px"></p>
            </div>
            <div class="agreement">
            <div class="btnSet" id="btn_gotoSummary" style="text-align:center;">
                <a href="javascript:showSummaryPage()" class="button smallWhite btnSet"><span class="w72">{$g_msg_text["eula"]["btn01"]}</span></a>
            </div>
            </div>
        </div>
	</div>

	<div class="copyright">
		<div class="text">
			<img src="{$tailImage}">
			{$g_msg_text["logi"]["txt01"]}
		</div>
	</div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
