<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/

if($GLOBALS["NEED_FEATURE_CHECK"]) {
    $GLOBALS["feature"] = array();

    try {
        $g_db->open();

        if(isOsLinux()) {
            // 실시간 검사(fanotify) 기능 지원 유무 판단
            $query = " select * from system_info";
            $rsSysInfo = $g_db->queryAll($query);
            foreach($rsSysInfo as $info) {
                $sysInfo[$info["name"]] = $info["value"];
            }

            $GLOBALS["feature"]["fanotify"] = ($sysInfo["support_fanotify"] == "support");

        } else {
            $GLOBALS["feature"]["fanotify"] = false;
        }
    } catch (Exception $e) {
        $GLOBALS["feature"]["fanotify"] = false;
    }

    $g_db->close();
}

?>