<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_logm_virs");
inc_func(g_inc_type_var, "msg_scan_medc");
inc_func(g_inc_type_var, "msg_logm_evnt");
inc_func(g_inc_type_var, "msg_summ_logm");

$cmd = nvl($_POST["cmd"]);
$viewList = nvl($_POST["viewlist"], "virus");

$g_db->open();
try{
    switch(strtoupper($cmd))
    {
    case "LOG_LIST_EVENT":
        inc_func(g_inc_type_var, "msg_event_log_1000");
        inc_func(g_inc_type_var, "msg_event_log_2000");
        inc_func(g_inc_type_var, "msg_event_log_3000");
        inc_func(g_inc_type_var, "msg_event_log_4000");
        inc_func(g_inc_type_var, "msg_event_log_5000");
        inc_func(g_inc_type_var, "msg_event_log_6000");
        inc_func(g_inc_type_var, "msg_event_log_7000");

        $pplist = 20;
        $page = intval(nvl($_POST["page"], "1"));
        $page = ($page < 1)?1:$page;

        $query = "select count(*) as tot from event_log2_code;";
        $rs = $g_db->getrow($query);
        $eventLog2CodeCnt = $rs["tot"];

        $totalCnt = $eventLog2CodeCnt;
        list($maxPage, $prevPage, $nextPage) = page_param($page, $totalCnt, $pplist);

        $pageCnt = $page * $pplist;

        $startOffset = (($page - 1) * $pplist);
        $query = " select    no, datetime(time) as time, level, type, code, args "
                ." from      event_log2_code "
                ." order by  no desc "
                ." limit     $pplist "
                ." offset    $startOffset; ";
        $rs = $g_db->queryAll($query);

        foreach($rs as $key=>$value) {
            $arrEventLog[$key]["time"] = $value["time"];
            $arrEventLog[$key]["level"] = $value["level"];
            if ($value["code"] == 1006) {
                $value["code"] = "1015";
            } 
            else if ($value["code"] == 1008) {
                $value["code"] = "1016";
            }
            $arrEventLog[$key]["message"] = replaceArgsToString($g_msg_text["event_log_".$value["code"][0]."000"][$value["code"]][1], explode('||', $value["args"]));
        }
           
        $arrStatus = array(1=>$g_msg_text["logm_evnt"]["des02"], $g_msg_text["logm_evnt"]["des03"]);

        $rtn = '<input type="hidden" id="logDataCount" name="logDataCount" value="'.sizeof($arrEventLog).'"/><table  width="100%" cellpadding="0" cellspacing="0" class="list"><colgroup><col width="20%"></col><col width="10%"></col><col width="70%"></col></colgroup>'
               .'<tr><th>'.$g_msg_text["logm_evnt"]["clt01"].'</th><th>'.$g_msg_text["logm_evnt"]["clt02"].'</th><th>'.$g_msg_text["logm_evnt"]["clt03"].'</th></tr>';

        $i = 0;
        if (sizeof($arrEventLog) > 0){
            foreach($arrEventLog as $value){
                if (($i % 2) == 0) $rtn .= '<tr class="gray2" onmouseout="javascript:setClassCursor(this, \'gray2\', \'default\')" ';
                else $rtn .= '<tr onmouseout="javascript:setClassCursor(this, \'\', \'default\')" ';
                $arrList["level"] = $arrStatus[$value["level"]];
                $arrList["message"] = strHtml($value["message"]);
                $rtn .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'default\')">'
                       .'<td>'.$value["time"].'</td>'
                       .'<td class="strcut" title="'.$arrList["level"].'">'.$arrList["level"].'</td>'
                       .'<td class="strcut" title="'.$arrList["message"].'">'.$arrList["message"].'</td>'
                       .'</tr>';
                $i++;
            }
        }
        else{
            $rtn .= '<td colspan="3" class="nodata2"> <br /><br /><br />'.$g_msg_text["summ_logm"]["des01"].'</td>';
        }

        $rtn .= '</table><div class="paging"><input type="hidden" id="quar_page_index" name="quar_page_index" value="'.$page.'"/>'
              . '<img src="'.$IMG_ROOT.'icon_prev.gif" class="vm" alt="'.$g_msg_text["com"]["btn_prev"].'" onclick="javascript:goPage(\'event\','.$prevPage.')">'
              . $g_msg_text["com"]["page_navi"].': <input type="text" id="page_navi_index" name="page_navi_index" class="inputTextSmall" style="width:30px;" value="'.$page.'" onkeydown="javascript:if (event.keyCode==13) goPage(\'event\',this.value)"> / '.$maxPage
              . '<img src="'.$IMG_ROOT.'icon_next.gif" class="vm" alt="'.$g_msg_text["com"]["btn_next"].'" onclick="javascript:goPage(\'event\','.$nextPage.')">'
              . '</div>';
        echo $rtn;
        break;
    case "LOG_LIST_VIRUS":
        $pplist = 20;
        $page = intval(nvl($_POST["page"], "1"));
        $page = ($page < 1)?1:$page;

        $query = "select count(*) as tot from virus_log;";
        $rs = $g_db->getrow($query);
        $totalCnt = $rs["tot"];
        list($maxPage, $prevPage, $nextPage) = page_param($page, $totalCnt, $pplist);
        $startOffset = ($page -1) * $pplist;

        $arrStatus = array( $g_msg_text["scan_medc"]["txt11"],
                            $g_msg_text["scan_medc"]["txt07"],
                            $g_msg_text["scan_medc"]["txt09"],
                            $g_msg_text["scan_medc"]["txt08"],
                            $g_msg_text["scan_medc"]["txt10"],
                            $g_msg_text["scan_medc"]["txt13"],
                            $g_msg_text["scan_medc"]["txt12"],
                            $g_msg_text["scan_medc"]["txt14"],
                            $g_msg_text["scan_medc"]["txt15"],
                            $g_msg_text["scan_medc"]["txt16"]);

        $arrScanType = array( 1 => $g_msg_text["logm_virs"]["txt01"],
                              2 => $g_msg_text["logm_virs"]["txt02"],
                              3 => $g_msg_text["logm_virs"]["txt03"],
                              4 => $g_msg_text["logm_virs"]["txt04"]);

        $query = " select  no, datetime(time) as time, virus_name, status, scan_type, file_name "
                ." from    virus_log "
                ." order   by no desc "
                ." limit   ".$pplist." offset ".$startOffset."; ";
        $rs = $g_db->queryAll($query);

        $rtn = '<input type="hidden" id="logDataCount" name="logDataCount" value="'.sizeof($rs).'"/>
                    <table width="100%"  cellpadding="0" cellspacing="0" class="list">
                        <colgroup>
                            <col width="20%"></col>
                            <col width="18%"></col>
                            <col width="12%"></col>
                            <col width="14%"></col>
                            <col width="36%"></col>
                        </colgroup>
                        <tr>
                            <th>'.$g_msg_text["logm_virs"]["clt01"] .'</th>
                            <th>'.$g_msg_text["logm_virs"]["clt02"].'</th>
                            <th>'.$g_msg_text["logm_virs"]["clt03"].'</th>
                            <th>'.$g_msg_text["logm_virs"]["clt06"].'</th>
                            <th>'.$g_msg_text["logm_virs"]["clt04"].'</th>
                        </tr>';

        $i = 0;
        if (sizeof($rs) > 0){
            foreach($rs as $value){
                if (($i % 2) == 0) $rtn .= '<tr class="gray2" onmouseout="javascript:setClassCursor(this, \'gray2\', \'default\')" ';
                else $rtn .= '<tr onmouseout="javascript:setClassCursor(this, \'\', \'default\')" ';
                $arrList["virus_name"] = strHtml($value["virus_name"]);
                $arrList["status"] = $arrStatus[$value["status"]];
                $arrList["scan_type"] = $arrScanType[$value["scan_type"] ? $value["scan_type"] : 1];
                $arrList["file_name"] = strHtml($value["file_name"]);
                $rtn .= 'onmouseover="javascript:setClassCursor(this, \'select\', \'default\')">'
                       .'<td>'.$value["time"].'</td>'
                       .'<td class="strcut" title="'.$arrList["virus_name"].'">'.cutstr($arrList["virus_name"], 21).'</td>'
                       .'<td class="strcut" title="'.$arrList["status"].'">'.$arrList["status"].'</td>'
                       .'<td class="strcut" title="'.$arrList["scan_type"].'">'.$arrList["scan_type"].'</td>'
                       .'<td class="strcut" title="'.$arrList["file_name"].'">'.cutstr($arrList["file_name"], 42).'</td>'
                       .'</tr>';
                $i++;
            }
        }
        else{
            $rtn .= '<td colspan="5" class="nodata2"> <br /><br /><br />'.$g_msg_text["summ_logm"]["des01"].'</td>';
        }
        $rtn .= '</table><div class="paging"><input type="hidden" id="quar_page_index" name="quar_page_index" value="'.$page.'"/>'
              . '<img src="'.$IMG_ROOT.'icon_prev.gif" class="vm" alt="'.$g_msg_text["com"]["btn_prev"].'" onclick="javascript:goPage(\'virus\','.$prevPage.')">'
              . $g_msg_text["com"]["page_navi"].': <input type="text" id="page_navi_index" name="page_navi_index" class="inputTextSmall" style="width:30px;" value="'.$page.'" onkeydown="javascript:if (event.keyCode==13) goPage(\'virus\',this.value)"> / '.$maxPage
              . '<img src="'.$IMG_ROOT.'icon_next.gif" class="vm" alt="'.$g_msg_text["com"]["btn_next"].'" onclick="javascript:goPage(\'virus\','.$nextPage.')">'
              . '</div>';
        echo $rtn;
        break;

    }
}catch(Exception $e){
	$g_db->close();
}
$g_db->close();
?>
