<?
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 1;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";

$user_id = nvl($_POST["userid"]);
$user_pw = nvl($_POST["userpw"]);
$user_pw2 = nvl($_POST["userpw2"]);
$user_tm = nvl($_POST["usertm"]);

function microtime_text($uId)
{
    list($usec, $sec) = explode(" ", microtime());
    return date("YmdHis") ."_". ($usec * 1000000) ."_". $uId;
}

if ($_SESSION["LOGIN_TIME"] == $user_tm) {
    try {
        $g_db_session->open();
        $g_db->open();

        $g_db_session->setTrans();
        if ($g_db_session->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = "create table if not exists session_info (
                    \"no\" INTEGER PRIMARY KEY NOT NULL,
                    \"login_id\" TEXT,
                    \"login_session\" TEXT,
                    \"login_time\" TEXT,
                    \"active_time\" TEXT
                    );";
        $g_db_session->exec($query);
        if ($g_db_session->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = "create table if not exists login_fail (
                    \"no\" INTEGER PRIMARY KEY NOT NULL,
                    \"try_id\" TEXT,
                    \"try_time\" TEXT
                    );";
        $g_db_session->exec($query);
        if ($g_db_session->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = "select count(*) as failed_cnt from login_fail where try_id='".strDb($user_id)."';";
        $rsLoginFail = $g_db_session->getrow($query);
        if ($g_db_session->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        $query = "select try_time from login_fail where try_id='".strDb($user_id)."' order by no desc limit 1;";
        $rsLoginFailTime = $g_db_session->getrow($query);
        if ($g_db_session->error_code() != SQLITE_OK) {
            throw new Exception("ERROR");
        }

        if (5 <= $rsLoginFail["failed_cnt"] && strtotime(dateNow()) - strtotime($rsLoginFailTime["try_time"]) <= 5*60) {
            echo "LOGIN_BLOCK";
        } else {
            /* 로그인 제한 시간이 지난 경우 해제(로그인 실패 정보 삭제) */
            if (5 <= $rsLoginFail["failed_cnt"]) {
                $query = "delete from login_fail";
                $g_db_session->exec($query);
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }
            }
            
            /* 아이디, 패스워드 검증(사용자 계정정보는 v3net db에서 가져온다) */
            $query = "select count(*) as cnt, server_ip from server_info where id='".strDb($user_id)."' and (pw='".strDb($user_pw)."' or pw='".strDb($user_pw2)."');";
            $rsServerInfo = $g_db->getrow($query);
            if ($g_db->error_code() != SQLITE_OK) {
                throw new Exception("ERROR");
            }

            if ($rsServerInfo["cnt"] == 1) {
                /* 로그인 성공시 처리 */
                $_SESSION["LOGIN_ID"] = strDb($user_id);
                $_SESSION["LOGIN_SESSION"] = strDb(microtime_text($user_id));

                $query = "delete from login_fail";
                $g_db_session->exec($query);
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }
                
                $query = "select login_session, active_time from session_info where no=1;";
                $rsSessionInfo = $g_db_session->getrow($query);
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                $g_db_session->commit();
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }

                makeEventLog("event_log_1000", "1001", array(strDb($user_id)));

                if (getWebSecurity() == g_web_security_on) {
                    if ($user_id == $GLOBALS["g_default_user_id"] || $user_pw2 == $GLOBALS["g_default_user_pw2"] || $rsServerInfo["server_ip"] == "") {
                        echo "LOGIN_CHANGE";
                        $g_db_session->close();
                        $g_db->close();
                        exit;
                    }
                } 

                if ($rsSessionInfo["login_session"] && strtotime(dateNow()) - strtotime($rsSessionInfo["active_time"]) <= 10*60) {
                    echo "RELOGIN_SUCCESS";
                } else {
                    echo "LOGIN_SUCCESS";
                }
            } else {
                /* 로그인 실패시 처리 */
                $query = "insert into login_fail (no, try_id, try_time)
                            values ( (select count(*) + 1 from login_fail) ,
                                     '".strDb($user_id)."',
                                     '".dateNow()."');";
                $g_db_session->exec($query);
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }
                
                $g_db_session->commit();
                if ($g_db_session->error_code() != SQLITE_OK) {
                    throw new Exception("ERROR");
                }
                
                if (4 == $rsLoginFail["failed_cnt"]) {
                    echo "LOGIN_LAST_FAIL";
                } else {
                    echo "LOGIN_FAIL";
                }
            }
        }
    } catch(Exception $e) {
        echo $e->getMessage();
        $g_db_session->rollback();
    }

    $g_db_session->close();
    $g_db->close();
}
?>