<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_conf_scan_find01");
inc_func(g_inc_type_var, "msg_quar_virs_find");
inc_func(g_inc_type_var, "msg_updt_alrt01");

$dirs = strHtml(nvl($_REQUEST["dirs"]));

$root_text = getTitle();
echo page_start($g_msg_text["quar_virs_find"]["ttl01"], array("ahnlabtree"), array("ahnlabtree"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
var aTree = null;

function LoadFolder(dirList)
{
    this.resultAddnode = function(aItem){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: aItem[0], fid:aItem[1], open:aItem[2],
                    path:aItem[3], name:aItem[4], type:aTree.typeValue.group, css:1,
                    isChild:aItem[5], check:aItem[6]} );
    };
    this.LoadFolderRH = function(result){
        aTree.treeProcess(aTree.eventName.Clear);
        var rtn = eval( result.responseText );
        var rtnLen = rtn.length;
        if (rtnLen > 0){
            for(var i = 0; i < rtnLen; i++){
                this.resultAddnode(rtn[i]);
            }
        }
        aTree.treeProcess(aTree.eventName.Add);
        aTree.progress(false);
    }

    aTree.progress(true);
    if (dirList == "/" || dirList == "/|"){
        LoadLowDir(aTree.getRootId());
        aTree.treeProcess(aTree.eventName.Close, aTree.getRootId() );
        aTree.treeProcess(aTree.eventName.Check, aTree.getRootId(), true );
        aTree.progress(false);
    }
    else{
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"load_dir", data: dirList }
                    ,onSuccess : this.LoadFolderRH });
    }
}
function LoadLowDir(nodeId)
{
    var p_id = aTree.getNodeId(nodeId);
    var p_dir = aTree.getPath(nodeId);
    this.resultAddnode = function(p, f, a, n, c){
        aTree.treeProcess(aTree.eventName.Addnode, { pid: p, fid:f, open:aTree.openValue.close,
                    path:a, name:n, type:aTree.typeValue.group, css:1, isChild:c} );
    };
    this.LowDirRH = function(result)
    {
        var rtn = eval(result.responseText) ;
        aTree.treeProcess(aTree.eventName.Add);
        aTree.treeProcess(aTree.eventName.Open, p_id);
        aTree.progress(false);
        return true;
    };
    if (aTree.getNode(p_id).open == aTree.openValue.close){
        aTree.progress(true);
        new Ajax.Request("{$SRC_ROOT}filescan_cmd.php"
                    ,{parameters : {cmd:"low_dir", pid:p_id, data:p_dir}
                    ,onSuccess : this.LowDirRH });
    }
    else{
        aTree.treeProcess(aTree.eventName.Close, p_id);
    }
}
function TreeSelect(nodeId)
{
    aTree.treeAction(aTree.eventName.ClickLabel, nodeId);
}
function clickOk(){
    var rtn = aTree.selectDirs();
    if (rtn.length > 0){
	    opener.location.href="javascript:returnValue(\'"+ rtn +"\');";
        window.parent.self.close();
    }else{
        alert("{$g_msg_text["updt_alrt01"]["des11"]}");
    }
}

function clickCancel(){
	opener.location.href="javascript:returnValue(\"\");";
	window.parent.self.close();
}
function treeInit(dirs)
{
    aTree = new AhnLabTree("aTree");
    aTree.rootText = "{$root_text}";
    aTree.progText = "{$g_msg_text["com"]["prog_wait"]}";
    aTree.checkVisible = false;
    aTree.eventFunc.clickfolder = [LoadLowDir,null];
    aTree.eventFunc.clickicon = [LoadLowDir,null];
    aTree.eventFunc.dblclick = [clickOk,null];
    aTree.eventFunc.check = [null,TreeSelect];
    aTree.init("tree");
    if ($("dirs").value != "") LoadFolder($("dirs").value);
    else LoadLowDir(aTree.getRootId());
}
function pageInit()
{
    treeInit();
}
</script>
<body onload="javascript:pageInit();">
<input type="hidden" id="dirs" name="dirs" value="{$dirs}">
<div class="wrapPopGray" style="width:99%;">
    <div class="popCont">
        <fieldset class="fieldset">
            <legend>{$g_msg_text["conf_scan_find01"]["txt01"]}</legend>
            <div class="fieldsetCont">
               <div style="height:200px;overflow-X:hidden;" class="borderBlueBox">
                  <div id="tree"></div>
               </div>
            </div>
        </fieldset>
        <div class="btnSet">
            <a href="#" onclick="javascript:clickOk()" class="button smallWhite"><span class="w81">{$g_msg_text["com"]["btn_ok"]}</span></a>
            <a href="#" onclick="javascript:clickCancel()" class="button smallWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
