<?
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_serv_pswd");
inc_func(g_inc_type_var, "msg_serv_pswd_alrt01");
inc_func(g_inc_type_var, "msg_logi_chng_alrt");

echo page_start($g_msg_text["serv_pswd"]["ttl01"], array('sha1', 'sha256'));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
function clickOk(){
    var cPw = $("c_pw").value.trim();
    var nPw = $("n_pw").value;
    var rPw = $("r_pw").value.trim();

    this.SavePassWordRH = function(result){
        switch(result.responseText){
        case "OK":
            if (nPw.length < 1){
                alert("{$g_msg_text["serv_pswd_alrt01"]["des06"]}");
                $("n_pw").focus();
                return;
            }
            if (nPw.length < 10){
                alert("{$g_msg_text["logi_chng_alrt"]["des03"]}");
                $("n_pw").focus();
                return;
            }
            if (nPw.search(/\s/g) >= 0){
                alert("{$g_msg_text["serv_pswd_alrt01"]["des02"]}");
                $("n_pw").focus();
                return;
            }
            if (!checkValidate(nPw, __pw__)){
                alert("{$g_msg_text["logi_chng_alrt"]["des03"]}");
                $("n_pw").focus();
                return;
            }
            if (rPw.length < 1){
                alert("{$g_msg_text["serv_pswd_alrt01"]["des07"]}");
                $("r_pw").focus();
                return;
            }
            if (nPw != rPw){
                alert("{$g_msg_text["serv_pswd_alrt01"]["des08"]}");
                $("r_pw").focus();
                return;
            }
			
			var nPw2 = Sha256.hash(nPw);
            
            setReturnValue(nPw2);              //for Chrome
            window.parent.returnValue = nPw2;  //for IE,Firefox
			window.parent.self.close();
            break;
        default:
            alert("{$g_msg_text["serv_pswd_alrt01"]["des09"]}");
            break;
        }
    };
    if (cPw.trim().length < 1){
        alert("{$g_msg_text["serv_pswd_alrt01"]["des05"]}");
        $("c_pw").focus();
        return;
    }
    if (cPw.search(/\s/g) >= 0){
        alert("{$g_msg_text["serv_pswd_alrt01"]["des02"]}");
        $("c_pw").focus();
        return;
    }
    new Ajax.Request("{$SRC_ROOT}pop_pw_change_proc.php"
                ,{parameters : {cpw:hex_sha1(cPw), npw:nPw, cpw2:Sha256.hash(cPw)}
                ,onSuccess : this.SavePassWordRH });
}
function pwKeyDown(evt){
    if (evt.keyCode == 13) clickOk();
}
function clickCancel(){
    this.returnValue = "";
    
    setReturnValue(this.returnValue);              //for Chrome
    window.parent.returnValue = this.returnValue;  //for IE,Firefox
	window.parent.self.close();
}
function initPage()
{
    self.returnValue = "";
	$("c_pw").focus();
}
//-->
</script>
<body onload="javascritp:initPage()">
<div class="wrapPopGray">
    <div class="popCont">
        <div class="popPwChange">
            <p><label class="label">{$g_msg_text["serv_pswd"]["txt01"]}:</label><input type="password" class="inputTextSmall" id="c_pw" name="c_pw" maxlength="40"></p>
            <p><label class="label">{$g_msg_text["serv_pswd"]["txt02"]}:</label><input type="password" class="inputTextSmall" id="n_pw" name="n_pw" maxlength="40" onkeydown="javascript:pwKeyDown(event);"></p>
            <p><label class="label">{$g_msg_text["serv_pswd"]["txt03"]}: </label><input type="password" class="inputTextSmall" id="r_pw" name="r_pw" maxlength="40" onkeydown="javascript:pwKeyDown(event);"></p>
        </div>

        <div class="btnSet ar" style="padding:15px 25px 0 0">
            <a href="#" onclick="javascript:clickOk()" class="button smallWhite"><span class="w81">{$g_msg_text["com"]["btn_ok"]}</span></a>
            <a href="#" onclick="javascript:clickCancel()" class="button smallWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
