<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_quar_virs_view");
inc_func(g_inc_type_var, "msg_scan_medc");
inc_func(g_inc_type_var, "msg_quar_virs");


$arrTargetText = array(1=>$g_msg_text["quar_virs"]["txt01"]
                         ,$g_msg_text["quar_virs"]["txt02"]);

try {
    $g_db->open();

    $query = " select  a.no, a.time, a.file_time, a.file_name, a.file_path, a.file_size, a.userid, a.groupid, a.virus_name "
            ."       , a.target, b.quarantine_path || '".g_file_path."' || a.backup_file as backup_file, a.permission from quarantine a , info b "
            ." where   a.no='".intval(strDb(nvl($_REQUEST["data"])))."' and b.no=1;";
    $rsTmp = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}

$g_db->close();

$rs = array();
$onClose = "true";
if (sizeof($rsTmp) > 0){
    $onClose = "false";
    $rs = $rsTmp;
    $rs["file_name"] = strHtml($rsTmp["file_name"]);
    $rs["file_path"] = strHtml($rsTmp["file_path"]);
    $rs["file_size"] = getSymbolByQuantity(nvl($rsTmp["file_size"], 0), "auto") ;
    $rs["userid"] = strHtml($rsTmp["userid"]);
    $rs["groupid"] = strHtml($rsTmp["groupid"]);
    $rs["virus_name"] = strHtml($rsTmp["virus_name"]);
    $rs["target"] = $arrTargetText[$rsTmp["target"]];
    $rs["backup_file"] = strHtml($rsTmp["backup_file"]);
    $rs["permission"] = strHtml($rsTmp["permission"]);
}


echo page_start($g_msg_text["quar_virs_view"]["ttl01"], array("ahnlabtree"), array("ahnlabtree"));
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//
function initPage(){
    if ({$onClose}) {
        alert("{$g_msg_text["com"]["err_req"]}");
        self.close();
    }
}
//-->
</script>
<body onload="javascript:initPage()">
<div class="wrapPopGray" style="height:auto;">
    <div class="popCont">
        <h2>{$g_msg_text["quar_virs_view"]["ttl02"]}</h2>
        <table width="100%" cellpadding="0" cellspacing="0" class="list">
        <colgroup><col width="28%"></col><col width="72%"></col></colgroup>
        <tr>
            <th>{$g_msg_text["quar_virs_view"]["clt01"]}</th>
            <th>{$g_msg_text["quar_virs_view"]["clt02"]}</th>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt01"]}</td>
            <td>{$rs["file_time"]}</td>
        </tr>
        <tr class="gray">
            <td>{$g_msg_text["quar_virs_view"]["txt02"]}</td>
            <td>{$rs["file_name"]}</td>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt03"]}</td>
            <td>{$rs["file_path"]}</td>
        </tr>
        <tr class="gray">
            <td>{$g_msg_text["quar_virs_view"]["txt04"]}</td>
            <td>{$rs["file_size"]}</td>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt05"]}</td>
            <td>{$rs["permission"]}</td>
        </tr>
        <tr class="gray">
            <td>{$g_msg_text["quar_virs_view"]["txt06"]}</td>
            <td>{$rs["groupid"]}</td>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt07"]}</td>
            <td>{$rs["userid"]}</td>
        </tr>
        <tr class="gray">
            <td>{$g_msg_text["quar_virs_view"]["txt08"]}</td>
            <td>{$rs["virus_name"]}</td>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt10"]}</td>
            <td>{$rs["target"]}</td>
        </tr>
        <tr class="gray">
            <td>{$g_msg_text["quar_virs_view"]["txt11"]}</td>
            <td>{$rs["backup_file"]}</td>
        </tr>
        <tr>
            <td>{$g_msg_text["quar_virs_view"]["txt12"]}</td>
            <td>{$rs["time"]}</td>
        </tr>
        </table>
        <div class="btnSet ar">
            <a href="#" onclick="javascript:self.close();" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_ok"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
