<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_quar_virs_alrt01");
inc_func(g_inc_type_var, "msg_quar_virs_alrt02");
inc_func(g_inc_type_var, "msg_quar_virs_alrt03");

$recvFolder = strHtml(nvl($_REQUEST["recvfolder"]));
$recvno = strHtml(nvl($_REQUEST["recvno"]));
$recvcmd = strHtml(nvl($_REQUEST["recvcmd"]), "other");

echo page_start($g_msg_text["quar_virs_alrt01"]["ttl01"]);
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
var OverWriteFile = false;

function clickOk()
{
    if ($("recvresult").value != ""){
	opener.location.href="javascript:returnValue(\"OK\");";
        window.parent.self.close();
    }
}

function fileRecorvery()
{
    this.FileRecorveryRH = function(result)
    {
        $("btn_ok").className = "button smallWhite";
        if (result.responseText == "OK"){
            $("recvresult").value = "OK";
            $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt02"]["des02"]}";
        }
        else if (result.responseText == "EXIST_DATA"){
            if (confirm("{$g_msg_text["quar_virs_alrt03"]["des02"]}")){
                OverWriteFile = "over";
                fileRecorvery();
            }
            else{
                $("recvresult").value = "ERROR";
                $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt03"]["des01"]}";
            }
        }
        else if (result.responseText == "NO_DATA"){
            $("recvresult").value = "ERROR";
            $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt03"]["des03"]}";
        }
        else if (result.responseText == "BAD_TARGET"){
            $("recvresult").value = "ERROR";
            $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt03"]["des06"]}";
        }
        else{
            $("recvresult").value = "ERROR";
            $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt03"]["des05"]}";
        }
    };
    var folder = $("recvfolder").value;
    var no = $("recvno").value;
    var rcmd = $("recvcmd").value;
    if (no == "" || (rcmd.toUpperCase() == "OTHER" && folder == "") ||
        (rcmd.toUpperCase() != "OTHER" && rcmd.toUpperCase() != "SAME")) {
        $("recvresult").value = "ERROR";
        $("btn_ok").className = "button smallWhite";
        $("recv_text").innerText = "{$g_msg_text["quar_virs_alrt03"]["des01"]}";
    }
    else{
        new Ajax.Request("{$SRC_ROOT}quarantine_proc.php"
                    ,{parameters : {cmd:"quar_recv", recvfolder:folder, recvno:no, recvcmd:rcmd, recvoverwrite: OverWriteFile}
                    ,onSuccess : this.FileRecorveryRH });
    }
}
function pageInit()
{
    this.returnValue = "";
    setTimeout(fileRecorvery, 1000);
}
</script>
<body onload="javascript:pageInit();">
<div class="wrapPopGray">
    <div class="popCont">
        <div class="recovering"><img src="{$IMG_ROOT}icon_notice_b.gif"><span id="recv_text">{$g_msg_text["quar_virs_alrt02"]["des01"]}</span></div>
        <input type="hidden" id="recvfolder" name="recvfolder" value="{$recvFolder}"/>
        <input type="hidden" id="recvno" name="recvno" value="{$recvno}"/>
        <input type="hidden" id="recvcmd" name="recvcmd" value="{$recvcmd}"/>
        <input type="hidden" id="recvresult" name="recvresult" value=""/>
        <div class="btnSet ac" style="text-align:center;">
            <a href="#" onclick="javascript:clickOk();" id="btn_ok" class="button smallWhiteDisable"><span class="w81">{$g_msg_text["com"]["btn_ok"]}</span></a>
        </div>
    </div>
</div>
</body>
__HTML_TEXT__;
echo page_end();
?>
