<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 1;
$IS_SOCKET_ERROR_REDIRECT_PASS = true;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";


try {
	$g_db->open();

	$query = " select how2update, dir_path from supdate where no=1 ;";
	$rs = $g_db->getrow($query);
	if ($g_db->error_code() != SQLITE_OK) {
	    /* TODO: */
	}

	$update_method = $rs["how2update"];
	$user_dir_path = $rs["dir_path"];

	$query = " select install_path from server_info where no=1 ;";
	$rs = $g_db->getrow($query);
	if ($g_db->error_code() != SQLITE_OK) {
	    /* TODO: */
	}

	$install_path = $rs["install_path"];
} catch (Exception $e) {
    /* TODO: */
}

$g_db->close();

if ($update_method == 1) {
	$update_file_path = $user_dir_path.g_file_path."unix/e/b/b_readme/";
} else {
	$update_file_path = $install_path.g_file_path."suarez/update/unix/e/b/b_readme/";
}

$file_name = "readme.txt";
$file_encoding = "ISO-8859-1";
if ($g_msg_type == "ko_kr") {
    $file_name = "readmek.txt";
    $file_encoding = "EUC-KR";
}
if ($g_msg_type == "zh_cn") {
    $file_name = "readmesc.txt";
    $file_encoding = "CP936";
}

$readMeFile = $update_file_path.$file_name;

if (!is_file($readMeFile)) {
	$readMeFile = $install_path.g_file_path."system/".$file_name;
	if (!is_file($readMeFile)) {
		$readMeFile = "";
	}
}

if ($readMeFile != "") {
	$contents = mb_convert_encoding(file_get_contents($readMeFile), "UTF-8", $file_encoding);
} else {
	$contents = "";
}

$contents = preg_replace('|([\w\d]*)\s?(https?://[\d\w\.-]+\.[\w\.]{2,6}[^\s\]\[\<\>]*/?)|i', '$1 <a href="$2">$2</a>', $contents);

echo <<<__HTML_TEXT__
<div class="wrapPopGray">
	<div class="popCont">
		<div class="fieldsetCont">
			 <div class="borderBlueBox updateInfo" style="word-break:break-all;word-wrap:break-word">
                <pre>{$contents}</pre>
			 </div>
		</div>
		<div class="btnSet">
			<a href="javascript:closeUpdateInfo()" class="button smallWhite"><span class="w72">{$g_msg_text["com"]["btn_close"]}</span></a>
		</div>
	</div>
</div>
__HTML_TEXT__;
?>
