<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$PAGE_LOGIN = 2;
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_quar_virs");
inc_func(g_inc_type_var, "msg_scan_medc");

$cmd = nvl($_POST["cmd"]);

$arrTargetText = array(1=>$g_msg_text["quar_virs"]["txt01"]
                         ,$g_msg_text["quar_virs"]["txt02"]);

$g_db->open();
switch(strtoupper($cmd))
{
case "QUAR_LIST":
    $pplist = 20;
    $page = intval(nvl($_POST["page"], "1"));
    $page = ($page < 1)?1:$page;

    $query = "select count(*) as tot from quarantine;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    $totalCnt = $rs["tot"];
    list($maxPage, $prevPage, $nextPage) = page_param($page, $totalCnt, $pplist);
    $startOffset = ($page -1) * $pplist;

    $query = " select  no, time, file_name, file_path, virus_name, "
            ."         target, backup_file "
            ." from    quarantine "
            ." order   by time desc "
            ." limit   ".$pplist." offset ".$startOffset."; ";
    $rs = $g_db->queryAll($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    $rtn = '<input type="hidden" id="quarDataCount" name="quarDataCount" value="'.sizeof($rs).'"/><table width="100%" cellpadding="0" cellspacing="0" class="list">'
          .'<colgroup><col width="19%"></col><col width="27%"></col><col width="2%"></col><col width="16%"></col><col width="24%"></col><col width="12%"></col></colgroup>';
    $i = 0;
    if (sizeof($rs) > 0){
        foreach($rs as $value){
            if (($i % 2) == 0) $rtn .= '<tr class="gray2" onmouseout="javascript:trMouseAction(this, \'gray2\', \'pointer\')" onclick="javascript:clickQuarTr(\'quarChk_'.$value["no"].'\', '.$value["no"].', \'gray2\')" ';
            else $rtn .= '<tr onmouseout="javascript:trMouseAction(this, \'\', \'pointer\')" onclick="javascript:clickQuarTr(\'quarChk_'.$value["no"].'\', '.$value["no"].', \'\')" ';

            $rtn .= 'onmouseover="javascript:trMouseAction(this, \'select\', \'hand\')" id="quarChk_'.$value["no"].'">'
                   .'<td>'.$value["time"].'</td>'
                   .'<td class="strcut" title="'.strHtml($value["file_name"]).'">'.strHtml(cutstr($value["file_name"], 28)).'</td>'
                   .'<td class="icon"><a href="javascript:quarDetail('.$value["no"].')"><img src="'.$IMG_ROOT.'icon_info.gif" class="vm" title="'.$g_msg_text["quar_virs"]["tip01"].'"></a></td>'
                   .'<td class="strcut" title="'.strHtml($value["file_path"]).'">'.strHtml(cutstr($value["file_path"], 20)).'</td>'
                   .'<td class="strcut" title="'.strHtml($value["virus_name"]).'">'.strHtml(cutstr($value["virus_name"], 26)).'</td>'
                   .'<td>'.$arrTargetText[$value["target"]].'</td>'
                   .'</tr>';
            $i++;
        }
    }
    else{
        $rtn .= '<td colspan="8" class="nodata2"> <br /><br /><br />'.$g_msg_text["quar_virs"]["des01"].'</td>';
    }
    $rtn .= '</table><div class="paging"><input type="hidden" id="quar_page_index" name="quar_page_index" value="'.$page.'"/>'
          . '<img src="'.$IMG_ROOT.'icon_prev.gif" class="vm" alt="'.$g_msg_text["com"]["btn_prev"].'" onclick="javascript:getQuarList('.$prevPage.')">'
          . $g_msg_text["com"]["page_navi"].': <input type="text" id="page_navi_index" name="page_navi_index" class="inputTextSmall" style="width:30px;" value="'.$page.'" onkeydown="javascript:if (event.keyCode==13) getQuarList(this.value)"> / '.$maxPage
          . '<img src="'.$IMG_ROOT.'icon_next.gif" class="vm" alt="'.$g_msg_text["com"]["btn_next"].'" onclick="javascript:getQuarList('.$nextPage.')">'
          . '</div>';
    echo $rtn;
    break;
case "QUAR_RECV":
    $recvno = nvl($_POST["recvno"]);
    $recvOverWrite = (strtoupper(nvl($_POST["recvoverwrite"])) == "OVER") ? 1 : 0;
    $recvCustomPathUse = (strtoupper(nvl($_POST["recvcmd"])) == "SAME") ? 0 : 1;
    $recvFolder = nvl($_POST["recvfolder"]);


    $fsBody = pack("iiia*", $recvno, $recvOverWrite, $recvCustomPathUse, $recvFolder);
    $cmdStr = "quarantine_restore";
    if($g_fss->sendCmd($cmdStr, $fsBody)) {
        $resData = $g_fss->readCmd($cmdStr);
        $cmdRtn = $resData["status"];

        $restoreInfo = explode(g_main_separate, $resData["restore_info"]);
    }
    else{
        $cmdRtn = -100;
    }

    switch($cmdRtn) {
    case 0:
        // Success
        $rtn = "OK";

        // $restoreInfo[0]: Directory
        // $restoreInfo[1]: Target File
        makeEventLog("event_log_6000", "6001", array($restoreInfo[1], $restoreInfo[0]));
        break;

    case 1:
        // QUARANTINE_ERR_GET_DATABASE
        $rtn = "ERROR";
        break;

    case 2:
        // QUARANTINE_ERR_NOT_EXIST
        $rtn = "NO_DATA";
        break;

    case 3:
        // QUARANTINE_ERR_BAD_TARGET
        $rtn = "BAD_TARGET";
        break;

    case 4:
        // QUARANTINE_ERR_ALREADY_EXIST
        $rtn = "EXIST_DATA";
        break;

    case 5:
        // QUARANTINE_ERR_RESTORE_FILE
        $rtn = "ERROR";
        break;
    
    default:
        // Unknown Error
        $rtn = "ERROR";
        break;
    }

    echo $rtn;
}

$g_db->close();
?>
