<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
$NEED_FEATURE_CHECK = true;

require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_serv");
inc_func(g_inc_type_var, "msg_serv_alrt");
inc_func(g_inc_type_var, "msg_conf_scan");
inc_func(g_inc_type_var, "msg_conf_scan_01");
inc_func(g_inc_type_var, "msg_conf_scan_exce");
inc_func(g_inc_type_var, "msg_conf_scan_off");
inc_func(g_inc_type_var, "msg_conf_gnrl");
inc_func(g_inc_type_var, "msg_conf_scan_alrt01");
inc_func(g_inc_type_var, "msg_conf_scan_alrt");
inc_func(g_inc_type_var, "msg_updt_alrt03");
inc_func(g_inc_type_var, "msg_summ_stts02");
inc_func(g_inc_type_var, "msg_conf_scan_exce_add");
inc_func(g_inc_type_var, "msg_conf_clou");
inc_func(g_inc_type_var, "msg_conf_scan_conf");
inc_func(g_inc_type_var, "msg_conf_scan_excp_file");

$server_port = getServerPort();

$saveResult = nvl($_REQUEST["result"]);
$pageResult = nvl($_REQUEST["page"], "1");

if ($pageResult != "2" && $pageResult != "3" && $pageResult != "4") $pageResult = "1";

try {
    $g_db->open();

    $g_db->setTrans();
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " delete from temp_dmz where session = '".strDb($_SESSION["LOGIN_SESSION"])."';";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $query = " insert into temp_dmz(type, value, session, sess_status, dmz_no, whoset)
               select type, value, '".strDb($_SESSION["LOGIN_SESSION"])."', 0, no, whoset
               from   dmz
               where  type in (1, 2, 3, 4) ;";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    # SERVER PORT UPDATE
        $query = " update server_info set "
        . "        port = '".$server_port."' "
        . " where  no = 1 ; ";
    $g_db->exec($query);
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }

    $g_db->commit();
    if ($g_db->error_code() != SQLITE_OK) {
        throw new Exception();
    }
} catch (Exception $e) {
    $g_db->rollback();
}

try {
    $query = "select b.no, b.target, b.extension_on as ext_on, b.extension as ext,
                     b.cure_option as cure, b.compress_option as comp,
                     b.auto_cure as auto, b.move_quarantine as quar,                     
                     b.compress_use, b.cpu_usage,
                     b.period_use, b.period,
                     b.resume_use,
                     b.filesize_use, b.filesize
              from   scan_option b
              where  b.no = 1;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}

$target01 = ($rs["target"]=="1")?"checked":"";
$target02 = ($rs["target"]=="2")?"checked":"";
$ext_on_r = $rs["ext_on"];
$ext_on = ($rs["ext_on"]=="1")?"checked":"";
$ext_disable = ($rs["target"]=="2")?"":"disabled";

$useLimitFileSize = ($rs["filesize_use"]=="1")?"checked":"";
$useLimitFileSize_disable = ($rs["filesize_use"]=="1")?"":"disabled";
$filesize = $rs["filesize"];

$ext = $rs["ext"];
$cure = array(1=>"", "", "");
$cure[$rs["cure"]] = "selected";
$comp = array(1=>"", "");
$comp[$rs["comp"]] = "selected";
$auto = ($rs["auto"]=="1")?"checked":"";
$quar = ($rs["quar"]=="1")?"checked":"";
$compress = ($rs["compress_use"]=="1")?"checked":"";

$cpu_usage = array(0=>"", 1=>"", 2=>"");
if( $rs["cpu_usage"] >= 80) $cpu_usage[0] = "selected";
else if( $rs["cpu_usage"] < 80 &&  $rs["cpu_usage"] >= 50) $cpu_usage[1] = "selected";
else $cpu_usage[2] = "selected";

$period_use = ($rs["period_use"]=="1")?"checked":"";
$hour = intval($rs["period"] / 60);
$min = intval($rs["period"] % 60);

$resume_use = ($rs["resume_use"]=="1")?"checked":"";

$redirect = (($tmp = nvl($_REQUEST["redirect"])) == 1)?"true":"false";

PHPLOG(g_LOG_NORMAL, 0, "set Period Hour: ".$hour." Min: ".$min);

$strHourOpt = strOptionValue(0, 24, $hour, "0");
$strMinOpt = strOptionValue(0, 60, $min, "0");

try {
    $query = "select ifnull(a.install_path, '') || '/quarantine' as ins_path from server_info a where a.no=1;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}

$quar_init_path = $rs["ins_path"];

try {
    $query = "select ifnull(a.quarantine_path, '') as path, a.quarantine_size as size,
                     a.virus_log_size as virus_size, a.event_log_size as evt_size, a.dmz_use
              from   info a
              where  a.no=1;";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */
}


$dmz_use = ($rs["dmz_use"])?"checked":"";
$quar_path = ($rs["path"])?$rs["path"]:$quar_init_path;

$quar_size = array("400000"=>"", "1200000"=>"", "2000000"=>"","4000000"=>"");
if (isset($quar_size[$rs["size"]])) $quar_size[$rs["size"]] = "selected";
else $quar_size["500"] = "selected";

$virus_size = array("400000"=>"", "1200000"=>"", "2000000"=>"","4000000"=>"");
if (isset($virus_size[$rs["virus_size"]])) $virus_size[$rs["virus_size"]] = "selected";
else $virus_size["100"] = "selected";

$evt_size = array("400000"=>"", "1200000"=>"", "2000000"=>"","4000000"=>"");
if (isset($evt_size[$rs["evt_size"]])) $evt_size[$rs["evt_size"]] = "selected";
else $evt_size["100"] = "selected";

// Cloud Scan
try {
    $query = " select value as cloud_scan from scan_option_adv where name='cloud_scan_use'";
    $rs = $g_db->getrow($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    PHPLOG(g_LOG_DEBUG, 0, "setting : cloud_scan: ".$rs["cloud_scan"]);
} catch (Exception $e) {
    /* TODO: */
}

$cloud_scan_use_checked = ($rs["cloud_scan"]) ? "checked" : "";

// 실시간 검사 관련 로직
if($GLOBALS["feature"]["fanotify"]) {
    try {
        $query = "select ifnull(a.realtime_on, 0) as rt_on,
                     ifnull(a.realtime_auto_restart, 0) as rt_restart,
                     ifnull(a.realtime_target, 0) as rt_target, 
                     ifnull(a.realtime_cure_option, 0) as rt_cure,
                     ifnull(a.realtime_runningprocess_cure_option, 0) as rt_running,
                     ifnull(a.realtime_move_quarantine, 0) as rt_move
              from   realtime a
              where  a.no=1;";
        $rs = $g_db->getrow($query);
        if ($g_db->error_code() != SQLITE_OK) {
            /* TODO: */
        }
    } catch (Exception $e) {
        /* TODO: */
    }

    $realtime_on_checked = $rs["rt_on"] == 1 ? "checked" : "";
    $realtime_on_checked_r = $rs["rt_on"];

    $realtime_restart_cmb = array("0"=>"", "10"=>"", "30"=>"", "60"=>"");
    $realtime_restart_cmb_r = $rs["rt_restart"];
    if (isset($realtime_restart_cmb[$rs["rt_restart"]])) $realtime_restart_cmb[$rs["rt_restart"]] = "selected";
    else $realtime_restart_cmb["60"] = "selected";

    $realtime_target_checked = $rs["rt_target"] == 1 ? "checked" : "";
    $realtime_target_checked_r = $rs["rt_target"];

    $realtime_cure_cmb = array("0"=>"", "1"=>"");
    $realtime_cure_cmb_r = $rs["rt_cure"];
    if (isset($realtime_cure_cmb[$rs["rt_cure"]])) $realtime_cure_cmb[$rs["rt_cure"]] = "selected";
    else  $realtime_cure_cmb["60"] = "selected";

    $realtime_rproc_cure_cmb = array("0"=>"", "1"=>"");
    $realtime_rproc_cure_cmb_r = $rs["rt_running"];
    if (isset($realtime_rproc_cure_cmb[$rs["rt_running"]])) $realtime_rproc_cure_cmb[$rs["rt_running"]] = "selected";
    else $realtime_rproc_cure_cmb["1"] = "selected";

    $realtime_move_checked = $rs["rt_move"] == 1 ? "checked" : "";
    $realtime_move_checked_r = $rs["rt_move"];

    $realtimeScanComment = "";
    $isSupportFanotify = "true";
} else {
    $realtimeScanComment = $g_msg_text["conf_scan_01"]["des01"];
    $isSupportFanotify = "false";
}

$isLinux = isOsLinux() ? "true" : "false";

$g_db->close();


echo page_start();
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
<!--//

var setQuar_flag = '';
var dmzNameNo;
function returnValue(obj){

        if( setQuar_flag == 'add_dir' && obj.length > 0)
        {
                new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmzadd", type:1, value:obj.trim()}
                    ,onSuccess : this.AddDirRH });
        }
        else if( setQuar_flag == 'add_ext' && obj.length > 0)
        {
                new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmzadd", type:2, value:obj}
                    ,onSuccess : this.AddExtRH });
        }
        else if( setQuar_flag == 'add_dmz_name' && obj.length > 0)
        {
            new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmznameadd", value:obj}
                    ,onSuccess : this.AddDmzNameRH });
        }
        else if( setQuar_flag == 'mod_dmz_name' && obj.length > 0)
        {
            new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmznamemod", value:obj, num:dmzNameNo}
                    ,onSuccess : this.ModDmzNameRH });
        }
        else if( setQuar_flag == 'setQuar' && obj.length > 0)
        {
                $("quar_path").value = obj;
        }

        else if(setQuar_flag == 'add_filename' && obj.length > 0)
        {
            new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                             ,{parameters : {cmd:"dmzadd", type:3, value:obj}
                             ,onSuccess : this.AddFileNameRH });
        }
        else
                ;

        setQuar_flag = '';
}


function basicRealtime(formName) {
    if({$isLinux}) {
		if({$isSupportFanotify})
			checkEngineAndtryRealtimeOn();

        $("realtime_restart").value = 0;
        $("realtime_target").checked = true;
        $("realtime_cure_opt").value = 1;
        $("realtime_rproc_cure_opt").value = 1;
        $("realtime_move").checked = true;
    }
}

function basic(formName)
{
    if (formName == "formCont_01"){       
        $("target_01").checked = true;
        $("target_02").checked = false;
        $("ext_on").disabled = true;
        $("ext_on").checked = false;
        $("ext").disabled = true;
        $("ext").value = "";
        $("cure").selectedIndex = 1;
        $("comp").selectedIndex = 0;
        $("auto").checked = false;
        $("quar").checked = true;
        $("usecompress").checked = false;
        $("cpu_usage").selectedIndex = 0;
        $("useLimitFileSize").checked = false;
        $("filesize").disabled = true;
        $("filesize").value = 1000;
        
        basicRealtime(formName);
        checkRealtimeStatus();
    }
    else if (formName == "formCont_02"){
        $("dmz_use").checked = true;
    }
    else if (formName == "formCont_03"){
        $("quar_path").value = "{$quar_init_path}";
        $("quar_size").selectedIndex = 2;
        $("virus_size").selectedIndex = 0;
        $("evt_size").selectedIndex = 0;
        $("server_port").value = 88;
    }
    else if (formName == "formCont_04"){
        $("cloud_scan_use").checked = true;
    }
}

function apply(formName)
{
    var f = eval(formName);
    if (typeof(f) == "undefined") return;
    var isSubmit = true;
    var data = "";
    if (formName == "formCont_01"){
        if ($("target_02").checked && $("ext_on").checked){
            data = $("ext").value.trim();
            data = data.replace(/\/\/+/g,"/");
            if (data == "" || data == "/")
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des07"]}");
                return;
            }
            if (checkValidate(data, __pat1__))
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des04"]}");
                return;
            }
            if (data.length > 1024)
            {
                alert("{$g_msg_text["conf_scan_alrt01"]["des08"]}");
                return;
            }
        }
        if ($("ext_on").checked) $("ext_on_r").value = $("ext_on").value;
        else $("ext_on_r").value = "0";
        if (!$("ext").disabled) $("ext_r").value = $("ext").value;

        $("auto_r").value = ($("auto").checked) ? "1" : "0";
    
        //$("period_hour_r").value = $("period_hour").value;
        //$("period_min_r").value = $("period_min").value;

        if ($("useLimitFileSize").checked){
			data = $("filesize").value.trim(); 
			if (checkValidate(data, __pat8__)){
				alert("{$g_msg_text["conf_scan_alrt"]["des01"]}");
				return;
			}

			if ($("filesize").value.trim() < 1 || $("filesize").value.trim() > 2000){
				alert("{$g_msg_text["conf_scan_alrt"]["des01"]}");
				return;
			}
		}
        
        if({$isLinux}) {
            $("realtime_on_check_r").value          = $("realtime_on_check").checked ? $("realtime_on_check").value : 0;
            $("realtime_restart_r").value           = $("realtime_restart").value;
            $("realtime_target_r").value            = $("realtime_target").checked ? $("realtime_target").value : 0;
            $("realtime_cure_opt_r").value          = $("realtime_cure_opt").value;
            $("realtime_rproc_cure_opt_r").value    = $("realtime_rproc_cure_opt").value;
            $("realtime_move_r").value              = $("realtime_move").checked ? $("realtime_move").value : 0;
        }
    }
    else if (formName == "formCont_02"){
        isSubmit = true;
    }
    else if (formName == "formCont_03"){
        data = $("quar_path").value.trim();
        if (data == "")
        {
            alert("{$g_msg_text["conf_scan_alrt01"]["des10"]}");
            return;
        }
        $("quar_path_r").value = $("quar_path").value;

        //----------------- Server port setting -------------------
        var tmp = $("server_port").value.trim();
        if (tmp == "" || isNaN(tmp) || checkValidate(tmp, __pat8__)){
            alert("{$g_msg_text["serv_alrt"]["des05"]}");
            self.location = ___SRC_ROOT___+"setting.php?page=3";
            $("server_port").focus();
            return;
        }

        if (parseInt(tmp) < 1 || parseInt(tmp) > 65535){
            alert("{$g_msg_text["serv_alrt"]["des08"]}");
            self.location = ___SRC_ROOT___+"setting.php?page=3";
            $("server_port").focus();
            return;
        }

        $("server_port_r").value = $("server_port").value;
    }
    else if (formName == "formCont_04"){
        $("cloud_scan_use_r").value = $("cloud_scan_use").checked ? $("cloud_scan_use").value : 0;
    }
    else{
        isSubmit = false;
    }
    if (isSubmit && f) {
        f.action="{$SRC_ROOT}setting_proc.php";
        f.method = "post";
        f.submit();
    }
}

function checkLimitFileSizeOn(obj)
{
	if(obj.checked)
	{
		$("filesize").disabled = false;
	}
	else
	{
		$("filesize").disabled = true;
	}
}

function cancel(formName)
{
	alert("{$g_msg_text["updt_alrt03"]["des02"]}");
    self.location = ___SRC_ROOT___+"setting.php?page="+formName;
}

function checkEngineAndtryRealtimeOn() {
	this.checkEngineRH = function(result){
		if(result.responseText == "OK") {
			$("realtime_on_check").checked = true;
			$("realtime_restart").disabled = false;
			
			//target은 항상 체크된 상태로 disabled 상태 (v3.5.1.x)
			//$("realtime_target").disabled = true;
			$("realtime_cure_opt").disabled = false;
			$("realtime_rproc_cure_opt").disabled = false;
			$("realtime_move").disabled = false;
		} else {
			alert("{$g_msg_text["summ_stts02"]["des02"]}");
			$("realtime_on_check").checked = false;
		}
	}

	new Ajax.Request("{$SRC_ROOT}filecheck_proc.php"
					,{parameters: {cmd:"check_engine"}
					 ,onSuccess: this.checkEngineRH });
}

function clickRealtime() {
    if({$isLinux} && {$isSupportFanotify}) {
        if($("realtime_on_check").checked) {
			checkEngineAndtryRealtimeOn();
        } else {
            var restartTime = $("realtime_restart").value;
            var realtimeOff = false;
            
            if(restartTime > 0) {
                realtimeOff = confirm("{$g_msg_text["conf_scan_off"]["des01"]}".replace("%1p", restartTime.toString(10)));    
            } else {
                realtimeOff = confirm("{$g_msg_text["conf_scan_off"]["des02"]}");
            }
            
            if(realtimeOff) {
                $("realtime_restart").disabled = true;
                
                //target은 항상 체크된 상태로 disabled 상태 (v3.5.1.x)
                //$("realtime_target").disabled = true;
                $("realtime_cure_opt").disabled = true;
                $("realtime_rproc_cure_opt").disabled = true;
                $("realtime_move").disabled = true;
            } else {
                $("realtime_on_check").checked = true;
            }
        }  
    }
}

function checkRealtimeStatus() {

    if({$isLinux}) {
    
        if({$isSupportFanotify}) {
            if($("realtime_on_check").checked) {
                $("realtime_on_check").disabled = false;
                $("realtime_restart").disabled = false;
                $("realtime_target").disabled = true;
                $("realtime_cure_opt").disabled = false;
                $("realtime_rproc_cure_opt").disabled = false;
                $("realtime_move").disabled = false;
            } else {
                $("realtime_restart").disabled = true;
                $("realtime_target").disabled = true;
                $("realtime_cure_opt").disabled = true;
                $("realtime_rproc_cure_opt").disabled = true;
                $("realtime_move").disabled = true;
            }
            
        } else {
            $("realtime_on_check").disabled = true;
            $("realtime_restart").disabled = true;
            $("realtime_target").disabled = true;
            $("realtime_cure_opt").disabled = true;
            $("realtime_rproc_cure_opt").disabled = true;
            $("realtime_move").disabled = true;
        }
    }
}

function clickTarget()
{
    if ($("target_01").checked)
    {
        $("ext_on").disabled = true;
        $("ext").disabled = true;
    }
    else
    {
        $("ext_on").disabled = false;
        $("ext").disabled = !$("ext_on").checked;
    }
}
function checkExtOn(obj)
{
    if (obj.checked) $("ext").disabled = false;
    else
    {
        $("ext").value = $("default_ext").value;
        $("ext").disabled = true;
    }
}

function checkExt()
{
    var check_ext_on = "{$ext_on}";

    if ( (check_ext_on == "checked") && $("target_02").checked)
    	$("ext").disabled = false;
    else
    	$("ext").disabled = true;
}


function addDir()
{
    this.AddDirRH = function(result){
        switch(result.responseText){
        case "OK":
            alert("{$g_msg_text["com"]["save"]}");
            break;
        case "MAX OVER":
            alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
            break;
        case "NOT":
            alert("{$g_msg_text["com"]["err_save"]}");
            break;
        case "SAMEPATH":
            alert("{$g_msg_text["conf_scan_alrt01"]["des11"]}");
            break;
        case "BAD DATA":
        default:
            alert("{$g_msg_text["com"]["err_data"]}");
            break;
        }
        getDmzList();
		setTimeout("setScrollBottom('dmzList')", 1000);
    };

    if ($("dmzListTbl").rows.length >= 50){
        alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
        return;
    }
    setQuar_flag = 'add_dir';
    child_window = openPop( '{$SRC_ROOT}pop_dir.php','',400,300,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}

function addDmzAllowName()
{
    setQuar_flag = 'add_dmz_name';

    this.AddDmzNameRH = function(result){
        switch(result.responseText){
        case "OK":
            alert("{$g_msg_text["com"]["save"]}");
            break;
        case "MAX OVER":
            alert("{$g_msg_text["conf_scan_exce_add"]["des04"]}");
            break;
        case "NOT":
            alert("{$g_msg_text["com"]["err_save"]}");
            break;
        case "SAMEPATH":
            alert("{$g_msg_text["conf_scan_exce_add"]["des03"]}");
            break;
        case "BAD DATA":
        default:
            alert("{$g_msg_text["com"]["err_data"]}");
            break;
        }
        getDmzNameList();
        setTimeout("setScrollBottom('dmzNameList')", 1000);
    };

    if ($("dmzNameListTbl").rows.length >= 50){
        alert("{$g_msg_text["conf_scan_exce_add"]["des04"]}");
        return;
    }

    child_window = openPop( '{$SRC_ROOT}pop_dmzname.php','',448,150,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}

function modDmzAllowName()
{
    setQuar_flag = 'mod_dmz_name';

    this.ModDmzNameRH = function(result){
        switch(result.responseText){
        case "OK":
	    alert("{$g_msg_text["com"]["mod"]}");
            break;
        case "MAX OVER":
            alert("{$g_msg_text["conf_scan_exce_add"]["des04"]}");
            break;
        case "NOT":
            alert("{$g_msg_text["com"]["err_save"]}");
            break;
        case "SAMEPATH":
            alert("{$g_msg_text["conf_scan_exce_add"]["des03"]}");
            break;
        case "BAD DATA":
        default:
            alert("{$g_msg_text["com"]["err_data"]}");
            break;
        }
        getDmzNameList();
        setTimeout("setScrollBottom('dmzNameList')", 1000);
    };

    var chkCount = checkBoxCount("dmzNameChk");
    if (chkCount == 0){
        alert("{$g_msg_text["conf_scan_exce_add"]["des06"]}");
        return;
    }
    else if(chkCount != 1){
        alert("{$g_msg_text["conf_scan_exce_add"]["des05"]}");
        return;
    }

    dmzNameNo = checkBoxValue("dmzNameChk", ",");
    child_window = openPop( '{$SRC_ROOT}pop_dmzname.php?cmd=dmznamemod&optno='+dmzNameNo,'',448,150,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}

function addExt()
{
    if ($("dmzListTbl").rows.length >= 50){
        alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
        return;
    }
    setQuar_flag = 'add_ext';
    child_window = openPop( '{$SRC_ROOT}pop_extension.php','',448,150,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}

AddExtRH = function(result){
	switch(result.responseText){
	case "OK":
		alert("{$g_msg_text["com"]["save"]}");
		break;
	case "MAX_OVER":
		alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
		break;
	case "NOT":
		alert("{$g_msg_text["com"]["err_save"]}");
		break;
	case "SAMEPATH":
		alert("{$g_msg_text["conf_scan_alrt01"]["des12"]}");
		break;
	case "BAD_DATA":
	default:
		alert("{$g_msg_text["com"]["err_req"]}");
		break;
	}
	getDmzList();
	setTimeout("setScrollBottom('dmzList')", 1000);
};

//=================================================================================================
function addFileName()
{
    setQuar_flag = 'add_filename';

    if ($("dmzListTbl").rows.length >= 50){
        alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
        return;
    }

    //var rtn = openWin( '{$SRC_ROOT}pop_filename.php',null,448,150);
    child_window = openPop( '{$SRC_ROOT}pop_filename.php','',448,150,'1');
    a_tag_block();
    chlid_window_check_timer_start();
}


AddFileNameRH = function(result){
    switch(result.responseText){
    case "OK":
        alert("{$g_msg_text["com"]["save"]}");
        break;
    case "MAX OVER":
        alert("{$g_msg_text["conf_scan_alrt01"]["des09"]}");
        break;
    case "NOT":
        alert("{$g_msg_text["com"]["err_save"]}");
        break;
    case "SAMEPATH":
        alert("{$g_msg_text["conf_scan_excp_file"]["des04"]}");
        break;
    case "BAD DATA":
    default:
        alert("{$g_msg_text["com"]["err_data"]}");
        break;
    }
    getDmzList();
    setTimeout("setScrollBottom('dmzList')", 1000);
};


//=================================================================================================
function delDmz()
{
    this.DelDmzRH = function(result)
    {
        switch(result.responseText){
        case "OK":
            alert("{$g_msg_text["com"]["del"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_del"]}");
            break;
        }
        getDmzList();
    };

    var checkValue = checkBoxValue("dmzChk", ",");
    if (checkValue.length < 1){
        alert("{$g_msg_text["conf_scan_alrt01"]["des02"]}");
        return;
    }

    new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmzdel", data:checkValue}
                    ,onSuccess : this.DelDmzRH });
}

function delDmzAllowName()
{
    this.DelDmzNameRH = function(result)
    {
        switch(result.responseText){
        case "OK":
            alert("{$g_msg_text["com"]["del"]}");
            break;
        default:
            alert("{$g_msg_text["com"]["err_del"]}");
            break;
        }
        getDmzNameList();
    };

    var checkValue = checkBoxValue("dmzNameChk", ",");
    if (checkValue.length < 1){
        alert("{$g_msg_text["conf_scan_alrt01"]["des02"]}");
        return;
    }

    new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"dmznamedel", data:checkValue}
                    ,onSuccess : this.DelDmzNameRH });
}

function setQuar(){
    setQuar_flag = 'setQuar';
    child_window = openPop( '{$SRC_ROOT}pop_dir.php','',400,300,'1');
    a_tag_block();
    chlid_window_check_timer_start();

}
function getDmzList(){
    this.getDmzRH = function(result)
    {
        $("dmzList").innerHTML = result.responseText;
        var MngDmzName = !!$("mng_dmz_dir_ext");
        if(MngDmzName) {
            $("MngDirExt").style.display = 'block';
        } else {
            $("MngDirExt").style.display = 'none';
        }
    };
    new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"getdmz"}
                    ,onSuccess : this.getDmzRH });
}

function getDmzNameList(){
    this.getDmzNameRH = function(result)
    {
        $("dmzNameList").innerHTML = result.responseText;
        var ApcDmzName = !!$("apc_dmz_name");
        if(ApcDmzName) {
                $("apcDesc").style.display = 'block';
        } else {
                $("apcDesc").style.display = 'none';
        }
    };

    new Ajax.Request("{$SRC_ROOT}setting_proc.php"
                    ,{parameters : {cmd:"getdmzname"}
                    ,onSuccess : this.getDmzNameRH });
}

function changeHour(s) {
    if($("period_min").selectedIndex == 0 && s == 0) {
        alert("{$g_msg_text["conf_scan_alrt"]["des02"]}");
        $("period_min").selectedIndex = 1;
        return;
    }
    
    $("period_hour").selectedIndex = s;
}

function changeMin(s) {
    if($("period_hour").selectedIndex == 0 && s == 0) {
        alert("{$g_msg_text["conf_scan_alrt"]["des02"]}");
        $("period_min").selectedIndex = 1;
        return;
    }

    $("period_min").selectedIndex = s;
}

function checkScanPeriod() {
    if(($("period_use").checked)) {
        if ( !($("auto").checked)) {
            var auto_on_by_period = confirm("{$g_msg_text["conf_scan_conf"]["des01"]}");
            if (auto_on_by_period) {
                $("auto").checked = true;
                $("auto").disabled = true;
            }
            else {
                $("period_use").checked = false;
                $("auto").disabled = false;
            }
        }
        else{
            $("auto").disabled = true;
        }
    }
    else {
        $("auto").disabled = false;
    }

    var isDisable = !($("period_use").checked);
    $("period_hour").disabled = isDisable;
    $("period_min").disabled = isDisable;
}

function showModalDialogCallback(retVal)
{
    if (retVal)
    {
        if({$redirect} && checkFlag == 'init_page')
        {
            if (typeof(retVal) != "undefined" && retVal == "SUCCESS")
            {
				redirectNewServerInfo(retVal);
            }
            else if (typeof(retVal) != "undefined" && retVal == "USED_PORT")
            {
                alert("{$g_msg_text["serv_alrt"]["des07"]}");
                self.location.href = "{$SRC_ROOT}setting.php?page=3";
            }
            else if (typeof(retVal) != "undefined" && retVal == "RESTRICTED_PORT")
            {
                alert("{$g_msg_text["serv_alrt"]["des12"]}");
                self.location.href = "{$SRC_ROOT}setting.php?page=3";
            }
            else 
            {
				self.location.href = "{$SRC_ROOT}setting.php?page=3";
			}
		}
    }
    checkFlag = '';
}

function redirectNewServerInfo()
{
	checkFlag = '';
    var port = getCookie('changeport');
    self.location.href = "http://" + self.location.hostname + ":" + port;
}

function initPage()
{
    TabClick("tabmenu","{$pageResult}");
    if ("{$saveResult}" == "OK"){
        alert("{$g_msg_text["com"]["apply"]}");
    }
    else if ("{$saveResult}" == "FAIL"){
        alert("{$g_msg_text["com"]["err_data"]}");
    }

    if({$redirect})
    {
        $("server_port").value = getCookie('changeport');
        checkFlag = 'init_page';
        
        //var argu = makeDialogArgument("{$SRC_ROOT}redirect_page.php", "");
        //var rtn = openDialog(argu,350,120);

        child_window = openPop('{$SRC_ROOT}redirect_page.php','',350,120,'1');
        a_tag_block();
        chlid_window_check_timer_start();

        if (typeof(rtn) != "undefined" && rtn == "SUCCESS")
        {
            redirectNewServerInfo();
        }
        else if (typeof(rtn) != "undefined" && rtn == "USED_PORT")
        {
            confirm("{$g_msg_text["serv_alrt"]["des07"]}");
            self.location.href = "{$SRC_ROOT}setting.php?page=3";
        }
        else if (typeof(rtn) != "undefined" && rtn == "RESTRICTED_PORT")
        {
            confirm("{$g_msg_text["serv_alrt"]["des12"]}");
            self.location.href = "{$SRC_ROOT}setting.php?page=3";	
		}
    }

    getDmzList();
    getDmzNameList();

    checkRealtimeStatus();
    checkExt();

    //checkScanPeriod();
}
//-->
</script>
__HTML_TEXT__;

echo page_body("mnu08", "initPage()");
echo <<<__HTML_TEXT__
                <h2>{$g_msg_text["conf_scan"]["ttl01"]}</h2>
                <ul class="tabMenu" id="tabmenu">
                <li id="menu_01" class="select" onclick="javascript:TabClick('tabmenu','1')">{$g_msg_text["conf_scan"]["tab01"]}</li>
                <li id="menu_02" onclick="javascript:TabClick('tabmenu','2')">{$g_msg_text["conf_scan"]["tab02"]}</li>
                <li id="menu_03" onclick="javascript:TabClick('tabmenu','3')">{$g_msg_text["conf_scan"]["tab03"]}</li>
                <li id="menu_04" onclick="javascript:TabClick('tabmenu','4')">{$g_msg_text["conf_scan"]["tab04"]}</li>
                </ul>

                <div id="tabCont_01" style="display:block">
                    <form name="formCont_01" onsubmit="javascript:return false;">
                        <input type=hidden name="cmd" value="conf_scan1">
                        <input type="hidden" id="auto_r" name="auto_r" value="{$auto}">
                        <input type="hidden" id="ext_on_r" name="ext_on_r" value="{$ext_on_r}">
                        <input type="hidden" id="ext_r" name="ext_r" value="{$ext}">
                        <input type="hidden" id="default_ext" value="{$ext}">
                        <!--input type="hidden" id="period_hour_r" name="period_hour_r" value={$period_hour}-->
                        <!--input type="hidden" id="period_min_r" name="period_min_r" value={$period_min}-->
__HTML_TEXT__;

// 실시간 검사 영역 (Linux에서만 보임)
if(isOsLinux()) {
    echo <<<__HTML_TEXT__
            
                        <!-- 실시간 검사 -->
                        <div class="mgt10 mgb30">
                            <input type="hidden" id="realtime_on_check_r" name="realtime_on_check_r" value="{$realtime_on_checked_r}">
                            <input type="hidden" id="realtime_restart_r" name="realtime_restart_r" value="{$realtime_restart_cmb_r}">
                            <input type="hidden" id="realtime_target_r" name="realtime_target_r" value="{$realtime_target_checked_r}">
                            <input type="hidden" id="realtime_cure_opt_r" name="realtime_cure_opt_r" value="{$realtime_cure_cmb_r}">
                            <input type="hidden" id="realtime_rproc_cure_opt_r" name="realtime_rproc_cure_opt_r" value="{$realtime_rproc_cure_cmb_r}">
                            <input type="hidden" id="realtime_move_r" name="realtime_move_r" value="{$realtime_move_checked_r}">
                            
                            <div class="headerComment">
                                <h3>{$g_msg_text["conf_scan_01"]["txt05"]}</h3>
                                <p class="mgl20">{$realtimeScanComment}</p>
                            </div>
                            
                            <div class="settingRealtime mgt10">
                                <div class="inputCheckbox mgt10">
                                    <input type="checkbox" id="realtime_on_check" name="realtime_on_check" {$realtime_on_checked} value="1" onclick="javascript:clickRealtime();"> <label for="realtime_on_check">{$g_msg_text["conf_scan_01"]["chk05"]}</label>
                                </div>
                                <div class="fl" style="padding-right:10px;">
                                    <p class="textIndent"> <label for="realtime_restart">{$g_msg_text["conf_scan_01"]["txt06"]} </label>
                                    <select id='realtime_restart' name='realtime_restart' size='1'>
                                        <option value="0" {$realtime_restart_cmb[0]}>{$g_msg_text["conf_scan_01"]["cmb03_01"]}</option>
                                        <option value="10" {$realtime_restart_cmb[10]}>{$g_msg_text["conf_scan_01"]["cmb03_02"]}</option>
                                        <option value="30" {$realtime_restart_cmb[30]}>{$g_msg_text["conf_scan_01"]["cmb03_03"]}</option>
                                        <option value="60" {$realtime_restart_cmb[60]}>{$g_msg_text["conf_scan_01"]["cmb03_04"]}</option>
                                    </select>
                                </div>
                            </div>
                                    
                            <fieldset class="fieldset mgt10">
                                <legend>{$g_msg_text["conf_scan"]["txt01"]}</legend>
                                <div class="fieldsetCont2">
                                    <ul class="listUp2">
                                        <li>
                                            <input type="checkbox" id="realtime_target" name="realtime_target" value="1" {$realtime_target_checked} disabled> <label for="realtime_target">{$g_msg_text["conf_scan_01"]["chk06"]}</label>
                                        </li>
                                    </ul>
                                </div>
                            </fieldset>
                            <fieldset class="fieldset mgt10">
                                <legend>{$g_msg_text["conf_scan"]["txt02"]}</legend>
                                <div class="fieldsetCont2">
                                <ul class="listUp2">
                                <li class="settingLabel">
                                    <label for="realtime_cure_opt">{$g_msg_text["conf_scan"]["cmb01"]}:</label>
                                    <select id="realtime_cure_opt" name="realtime_cure_opt">
                                        <option {$realtime_cure_cmb[0]} value="0">{$g_msg_text["conf_scan"]["cmb01_1"]}</option>
                                        <option {$realtime_cure_cmb[1]} value="1">{$g_msg_text["conf_scan"]["cmb01_2"]}</option>
                                    </select>
                                </li>
                                <li class="settingLabel">
                                    <label for="realtime_rproc_cure_opt">{$g_msg_text["conf_scan_01"]["txt10"]}:</label>
                                    <select id="realtime_rproc_cure_opt" name="realtime_rproc_cure_opt">
                                        <option {$realtime_rproc_cure_cmb[0]} value="0">{$g_msg_text["conf_scan_01"]["cmb10_02"]}</option>
                                        <option {$realtime_rproc_cure_cmb[1]} value="1">{$g_msg_text["conf_scan_01"]["cmb10_01"]}</option>
                                    </select>
                                </li>
                                <li>
                                    <input type="checkbox" id="realtime_move" name="realtime_move" value="1" {$realtime_move_checked}> <label for="realtime_move">{$g_msg_text["conf_scan"]["chk03"]}</label>
                                </li>
                                </ul>
                                </div>
                            </fieldset>
                        </div>
__HTML_TEXT__;
}
echo <<<__HTML_TEXT__
                        <div class="mgt10">
                            <h3>{$g_msg_text["conf_scan"]["txt04"]}</h3>
                            <fieldset class="fieldset mgt10">
                                <legend>{$g_msg_text["conf_scan"]["txt01"]}</legend>
                                <div class="fieldsetCont2">
                                    <ul class="listUp2">
                                    <li><input type="radio" id="target_01" name="scan_target" {$target01} value="1" onclick="javascript:clickTarget()"> <label for="target_01">{$g_msg_text["conf_scan"]["rdo01"]}</label></li>
                                    <li><input type="radio" id="target_02" name="scan_target" {$target02} value="2" onclick="javascript:clickTarget()"> <label for="target_02">{$g_msg_text["conf_scan"]["rdo02"]}</label>
                                       <div class="textIndent mgt3">
                                            <input type="checkbox" {$ext_disable} id="ext_on" name="ext_on" value="1" {$ext_on} onclick="javascript:checkExtOn(this)"> <label for="ext_on">{$g_msg_text["conf_scan"]["chk01"]}: </label>
                                            <p class="textIndent mgt3"><input {$ext_disable} type="text" id="ext" name="ext" value="{$ext}" class="inputTextSmall" style="margin:1px 0 0 0; width:50%" maxlength="1024"
                                                onfocus="javascript:funcFocus(this);"
                                                onblur="javascript:inputReplace(this, __pat1__)"
                                                onchange="javascript:inputReplace(this, __pat1__)"
                                                onkeydown="javascript:inputReplace(this, __pat1__)"
                                                ></p>
                                        </div>
                                    </li>
                                    <li class="addFunction">{$g_msg_text["conf_scan"]["txt03"]}</li>
									<li class="addFunction"><input type="checkbox" id="useLimitFileSize" name="useLimitFileSize" value="1" {$useLimitFileSize} onclick="javascript:checkLimitFileSizeOn(this)"> <label for="useLimitFileSize">{$g_msg_text["conf_scan"]["chk05"]}</label><input type="text" {$useLimitFileSize_disable} id="filesize" name="filesize" class="inputTextSmall" value="{$filesize}"> MB&nbsp;&nbsp;{$g_msg_text["conf_scan"]["txt07"]}</li>
									<li class="addFunction"><input type="checkbox" id="usecompress" name="usecompress" value="1" {$compress}> <label for="usecompress">{$g_msg_text["conf_scan"]["chk04"]}</label></li>
                                    </ul>
                                </div>

                            </fieldset>
        
                            <fieldset class="fieldset  mgt10">
                                <legend>{$g_msg_text["conf_scan"]["txt02"]}</legend>
                                <div class="fieldsetCont2">
                                    <ul class="listUp2">
                                    <li class="settingLabel">
                                        <label for="cure">{$g_msg_text["conf_scan"]["cmb01"]}:</label>
                                        <select id="cure" name="cure">
                                            <option {$cure[1]} value="1">{$g_msg_text["conf_scan"]["cmb01_1"]}</option>
                                            <option {$cure[2]} value="2">{$g_msg_text["conf_scan"]["cmb01_2"]}</option>
                                            <option {$cure[3]} value="3">{$g_msg_text["conf_scan"]["cmb01_3"]}</option>
                                        </select>
                                    </li>
                                    <li class="settingLabel">
                                        <label for="comp">{$g_msg_text["conf_scan"]["cmb02"]}:</label>
                                        <select id="comp" name="comp">
                                            <option {$comp[1]} value="1">{$g_msg_text["conf_scan"]["cmb02_1"]}</option>
                                            <option {$comp[2]} value="2">{$g_msg_text["conf_scan"]["cmb02_2"]}</option>
                                        </select>
                                    </li>
                                    <li><input type="checkbox" id="auto" name="auto" value="1" {$auto}> <label for="auto">{$g_msg_text["conf_scan"]["chk02"]}</label></li>
                                    <li><input type="checkbox" id="quar" name="quar" value="1" {$quar}> <label for="quar">{$g_msg_text["conf_scan"]["chk03"]}</label></li>
                                    </ul>
                                </div>
                            </fieldset>

                            <fieldset class="fieldset  mgt10">
                                <legend>{$g_msg_text["conf_scan"]["txt05"]}</legend>
                                <div class="fieldsetCont2">
                                    <ul class="listUp2">
                                        <li class="settingLabel">
                                            <label for="cpu_usage">{$g_msg_text["conf_scan"]["txt06"]}:</label>
                                            <select id="cpu_usage" name="cpu_usage">
                                                <option {$cpu_usage[0]} value="80">{$g_msg_text["conf_scan"]["cmb06_1"]}</option>
                                                <option {$cpu_usage[1]} value="50">{$g_msg_text["conf_scan"]["cmb06_2"]}</option>
                                                <option {$cpu_usage[2]} value="20">{$g_msg_text["conf_scan"]["cmb06_3"]}</option>
                                            </select>
                                        </li>
                                    </ul>
                                </div>
                            </fieldset>
                                   
                        </div>
                        
                        <div class="titnIcon mgt30 mgb30">
                            <div class="fl">
                                <div class="btnSet">
                                    <a href="javascript:basic('formCont_01');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_default"]}</span></a>
                                </div>
                            </div>
                            <div class="fr">
                                <div class="btnSet">
                                    <a href="javascript:apply('formCont_01');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                                    <a href="javascript:cancel('1');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

                <div id="tabCont_02" style="display:none;" class="mgt15">
                    <form name="formCont_02" onsubmit="javascript:return false;">
                    <input type=hidden name="cmd" value="conf_scan2">
                    <p class="mgb7"><input type="checkbox" id="dmz_use" name="dmz_use" value="1" {$dmz_use}> <label for="dmz_use">{$g_msg_text["conf_scan_exce"]["chk04"]}</label></p>
                    <fieldset class="fieldset">
                        <legend>{$g_msg_text["conf_scan_exce"]["txt03"]}</legend>
                        <div class="titnIcon">
                            <div class="fr">
                                <ul class="iconTxt">
                                <li><a href="javascript:addDir();"><img src="{$IMG_ROOT}icon_add_folder.gif">{$g_msg_text["conf_scan_exce"]["btn01"]}</a></li>
                                <li><a href="javascript:addFileName();"><img src="{$IMG_ROOT}icon_add_file.gif">{$g_msg_text["conf_scan_exce"]["btn03"]}</a></li>
                                <li><a href="javascript:addExt();"><img src="{$IMG_ROOT}icon_add_extension.gif">{$g_msg_text["conf_scan_exce"]["btn02"]}</a></li>
                                <li><a href="javascript:delDmz();"><img src="{$IMG_ROOT}icon_del.gif">{$g_msg_text["com"]["btn_delete"]}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="fieldsetCont">
                            <table width="100%" cellpadding="0" cellspacing="0" class="list">
                                <colgroup><col width="18%"></col><col width="82%"></col></colgroup>
                            <tr><th><input type="checkbox" id="dmzChk" name="dmzChk" onclick="javascript:checkBoxAll(this)"> {$g_msg_text["conf_scan_exce"]["clt03"]}</th><th>{$g_msg_text["conf_scan_exce"]["clt01"]}</th></tr>
                            </table>
                            <div id="dmzList" style="width:753px; height:115px;" class="tableWrap"></div>
                        </div>
                    </fieldset>
                    <div id="MngDirExt" class="apcDesc" style="display:none;">
                        <img src="{$IMG_ROOT}/management_sett.gif" alt="" border=0 align="absmiddle" title="{$g_msg_text["scan"]["tip01"]}" class="fl">
                        <p class="fl mgl5"> {$g_msg_text["conf_scan_exce"]["des04"]}</p>
                    </div>
                    
                    <br><br>
                    
                    <fieldset class="fieldset">
                        <legend>{$g_msg_text["conf_scan_exce"]["txt04"]}</legend>
                        <div class="titnIcon">
                            <div class="fr">
                                <ul class="iconTxt">
                                <li><a href="javascript:addDmzAllowName();"><img src="{$IMG_ROOT}icon_add.gif">{$g_msg_text["com"]["btn_add"]}</a></li>
                                <li><a href="javascript:modDmzAllowName();"><img src="{$IMG_ROOT}icon_edit.gif">{$g_msg_text["com"]["btn_modify"]}</a></li>
                                <li><a href="javascript:delDmzAllowName();"><img src="{$IMG_ROOT}icon_del.gif">{$g_msg_text["com"]["btn_delete"]}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="fieldsetCont">
                            <table width="753" cellpadding="0" cellspacing="0" class="list">
                            <tr><th><input type="checkbox" id="dmzNameChk" name="dmzNameChk" onclick="javascript:checkBoxAll(this)"> {$g_msg_text["conf_scan_exce"]["clt02"]}</th></tr>
                            </table>
                            <div id="dmzNameList" style="width:753px; height:115px;" class="tableWrap"></div>
                        </div>
                    </fieldset>
                    <div id="apcDesc" class="apcDesc" style="display:none;">
                        <img src="{$IMG_ROOT}/management_sett.gif" alt="" border=0 align="absmiddle" title="{$g_msg_text["scan"]["tip01"]}" class="fl">
                        <p class="fl mgl5"> {$g_msg_text["conf_scan_exce"]["des02"]}</p>
                    </div>
                    <div class="titnIcon mgt30 mgb30">
                        <div class="fl">
                            <div class="btnSet">
                                <a href="javascript:basic('formCont_02');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_default"]}</span></a>
                            </div>
                        </div>
                        <div class="fr">
                            <div class="btnSet">
                                <a href="javascript:apply('formCont_02');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                                <a href="javascript:cancel('2');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                            </div>
                        </div>
                    </div>
                    </form>
                </div>

                <div id="tabCont_03" style="display:none;">
                    <form name="formCont_03" onsubmit="javascript:return false;">
                    <input type=hidden name="cmd" value="conf_scan3">
                    <input type=hidden id="quar_path_r" name="quar_path_r" value="{$quar_path}">
                    <input type=hidden id="server_port_r" name="server_port_r" value="{$server_port}">

                    <fieldset class="fieldset  mgt10">
                        <legend>{$g_msg_text["conf_gnrl"]["txt01"]}</legend>
                        <div class="fieldsetCont2" style="padding:10px 0">
                            <label for="quar_path">{$g_msg_text["conf_gnrl"]["ctr03"]}</label>
                            <input type="text" id="quar_path" name="quar_path" value="{$quar_path}" class="inputTextSmall margin" style="width:50%" disabled>
                            <span class="btnSet"><a href="javascript:setQuar();" class="button small"><span class="w72">{$g_msg_text["com"]["btn_updt"]}</span></a></span>
                        </div>
                    </fieldset>

                    <fieldset class="fieldset  mgt10">
                        <legend>{$g_msg_text["conf_gnrl"]["txt02"]}</legend>
                        <div class="fieldsetCont2">
                        <ul class="listUp2">
                        <li class="settingLabel2">
                            <label for="quar_size">{$g_msg_text["conf_gnrl"]["cmb01"]}</label>
                            <select id="quar_size" name="quar_size">
                                <option value="400000" {$quar_size["400000"]}>{$g_msg_text["conf_gnrl"]["cmb01_1"]}</option>
                                <option value="1200000" {$quar_size["1200000"]}>{$g_msg_text["conf_gnrl"]["cmb01_2"]}</option>
                                <option value="2000000" {$quar_size["2000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_3"]}</option>
                                <option value="4000000" {$quar_size["4000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_4"]}</option>
                            </select>
                        </li>
                        <li class="settingLabel2">
                            <label for="virus_size">{$g_msg_text["conf_gnrl"]["cmb02"]}</label>
                            <select id="virus_size" name="virus_size">
                                <option value="400000" {$virus_size["400000"]}>{$g_msg_text["conf_gnrl"]["cmb01_1"]}</option>
                                <option value="1200000" {$virus_size["1200000"]}>{$g_msg_text["conf_gnrl"]["cmb01_2"]}</option>
                                <option value="2000000" {$virus_size["2000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_3"]}</option>
                                <option value="4000000" {$virus_size["4000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_4"]}</option>
                            </select>
                        </li>
                        <li class="settingLabel2">
                            <label for="evt_size">{$g_msg_text["conf_gnrl"]["cmb03"]}</label>
                            <select id="evt_size" name="evt_size">
                                <option value="400000" {$evt_size["400000"]}>{$g_msg_text["conf_gnrl"]["cmb01_1"]}</option>
                                <option value="1200000" {$evt_size["1200000"]}>{$g_msg_text["conf_gnrl"]["cmb01_2"]}</option>
                                <option value="2000000" {$evt_size["2000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_3"]}</option>
                                <option value="4000000" {$evt_size["4000000"]}>{$g_msg_text["conf_gnrl"]["cmb01_4"]}</option>
                            </select>
                        </li>
                        </ul>
                        <p class="emGray mgb10 mgt5">{$g_msg_text["conf_gnrl"]["des01"]}</p>
                    </div>
                    </fieldset>
                  
                    <fieldset class="fieldset  mgt10">
                        <legend>{$g_msg_text["conf_gnrl"]["txt03"]}</legend>
                        <div class="fieldsetCont2" style="padding:10px 0">
                            <p><label for="server_port">{$g_msg_text["conf_gnrl"]["ctr01"]}</label>
                            <input type="text" value="$server_port" id="server_port" name="server_port" class="inputTextSmall margin" style="width:50px;"
                            onfocus="javascript:funcFocus(this);"
                            maxlength="5"></p>
                        </div>
                    </fieldset>

                    <div class="titnIcon mgt30 mgb30">
                        <div class="fl">
                            <div class="btnSet">
                                <a href="javascript:basic('formCont_03');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_default"]}</span></a>
                            </div>
                        </div>
                        <div class="fr">
                            <div class="btnSet">
                                <a href="javascript:apply('formCont_03');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                                <a href="javascript:cancel('3');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                            </div>
                        </div>
                    </div>
                    </form>
                </div>


                <div id="tabCont_04" style="display:none;">
                    <form name="formCont_04" onsubmit="javascript:return false;">
                        <input type=hidden name="cmd" value="conf_scan4">
                        <input type=hidden id="cloud_scan_use_r" name="cloud_scan_use_r" value="{$cloud_scan_use_checked}">

                        <div class="mgt10 mgb30">
                            <div class="fieldsetCont2 mgt10">
                                <div class="inputCheckbox mgt3 mgb10">
                                    <input type="checkbox" id="cloud_scan_use" name="cloud_scan_use" value="1" {$cloud_scan_use_checked}>
                                    <label for="cloud_scan_use">{$g_msg_text["conf_clou"]["chk02"]}</label>
                                    <p class="textIndent mgl5 mgb10 mgt5">{$g_msg_text["conf_clou"]["des01"]}</p>
                                </div>
                            </div>
                        </div>

                        <div class="titnIcon mgt30 mgb30">
                            <div class="fl">
                                <div class="btnSet">
                                    <a href="javascript:basic('formCont_04');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_default"]}</span></a>
                                </div>
                            </div>
                            <div class="fr">
                                <div class="btnSet">
                                    <a href="javascript:apply('formCont_04');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_apply"]}</span></a>
                                    <a href="javascript:cancel('1');" class="button basicWhite"><span class="w81">{$g_msg_text["com"]["btn_cancel"]}</span></a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
__HTML_TEXT__;
echo page_tail();
?>
