<?php
/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
require_once $_SERVER["DOCUMENT_ROOT"]."base_var.inc.php";
inc_func(g_inc_type_var, "msg_vttl_mont");
inc_func(g_inc_type_var, "msg_summ_vttl01");
inc_func(g_inc_type_var, "msg_vttl_delt_alrt01");


$checkToMonth = intval(date("m")) -1;
$tableDM = array("disable","disable","disable","disable","disable","disable","disable","disable","disable","disable","disable","disable");
$ChartDM = array("gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm","gTerm");
$ChartBC = array("gBar","gBar","gBar","gBar","gBar","gBar","gBar","gBar","gBar","gBar","gBar","gBar");
$chartData = array("01"=>0, "02"=>0, "03"=>0, "04"=>0, "05"=>0, "06"=>0, "07"=>0, "08"=>0, "09"=>0, "10"=>0, "11"=>0, "12"=>0);
for($i = 0; $i < 12; $i++){
    if ($i < $checkToMonth) {
        $tableDM[$i] = "";
        $ChartDM[$i] = "gTermCrruent";
    }
    else if ($i == $checkToMonth) {
        $tableDM[$i] = "thisMonth";
        $ChartDM[$i] = "gTermCrruent";
        $ChartBC[$i] = "gBarCrruent";
    }
}

try {
    $g_db->open();

    $query = " select 1 as delcnt from statistics limit 1;";
    $rs = $g_db->queryAll($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }

    $isDeleteYesNo = (sizeof($rs) > 0)?"true":"false";

    $atYear = date("Y");
    $atMon = date("m");
    $atMonthCnt = 0;
    $totalCnt = 0;
    $query=" select strftime('%m', time) as mon "
          ."       ,count(*) as cnt "
          ."       ,sum(case when strftime('%m', time) = '".$atMon."' then 1 else 0 end) as moncnt "
          ." from   statistics where strftime('%Y' , time) == '".$atYear."' "
          ." group  by strftime('%m', time) " ;
    $rs = $g_db->queryAll($query);
    if ($g_db->error_code() != SQLITE_OK) {
        /* TODO: */
    }
} catch (Exception $e) {
    /* TODO: */    
}

$g_db->close();

foreach($rs as $mon){
    $chartData[$mon["mon"]] = $mon["cnt"];
    if ($mon["mon"] == $atMon)
    	$atMonthCnt = intval($mon["moncnt"]);
}
$atMon = intval($atMon);
$axisData = makeAxisX($chartData);

$i = 1;
$atLast = sizeof($axisData[0]);
foreach($axisData[0] as $axisXdata) {
    if ($atLast == $i) $strAxisX .= "<li class=\"last\">".$axisXdata."</li>";
    else $strAxisX .= "<li>".$axisXdata."</li>";
    $i++;
}
$monthTextArray = array(1=>$g_msg_text["com"]["txt_mon1"]
                          ,$g_msg_text["com"]["txt_mon2"]
                          ,$g_msg_text["com"]["txt_mon3"]
                          ,$g_msg_text["com"]["txt_mon4"]
                          ,$g_msg_text["com"]["txt_mon5"]
                          ,$g_msg_text["com"]["txt_mon6"]
                          ,$g_msg_text["com"]["txt_mon7"]
                          ,$g_msg_text["com"]["txt_mon8"]
                          ,$g_msg_text["com"]["txt_mon9"]
                          ,$g_msg_text["com"]["txt_mon10"]
                          ,$g_msg_text["com"]["txt_mon11"]
                          ,$g_msg_text["com"]["txt_mon12"]);
$monthCountText = str_replace("%1p", $monthTextArray[$atMon], $g_msg_text["summ_vttl01"]["txt01_1"]);

$statisticsYearText = str_replace("%1p", $atYear, $g_msg_text["vttl_mont"]["ttl02"]);

echo page_start();
echo <<<__HTML_TEXT__
<script language="javascript" type="text/javascript">
//-->
function showLabel(sMon, isShow){
    if(isShow){
        var barWidth = $("bar"+sMon).clientWidth;
        $("mon" + sMon).style.display = "inline-block";
        var monsLeft = -11;
        if (barWidth > 0){
            var labelWidth = $("mon"+sMon).clientWidth;
            var offsetWidth = Math.floor(barWidth * ( Math.abs(barWidth - labelWidth - 10) / barWidth ) / 2);
            monsLeft = (((barWidth - labelWidth)<0)?-1:1) * offsetWidth;
        }
        if (!isNaN(monsLeft)) $("mon" + sMon).style.left = monsLeft;
    }
    else{
        $("mon" + sMon).style.display = "none";
    }
}
function pageMove(s){
    self.location.href="{$SRC_ROOT}"+s;
}
function initPage(){
}
//-->
</script>
__HTML_TEXT__;

echo page_body("mnu07", "initPage()");
echo <<<__HTML_TEXT__
                <h2>{$g_msg_text["vttl_mont"]["ttl01"]}</h2>
                <div class="titnIcon">
                    <div class="fl"  style="position:relative; vertical-align:top;" >
                        <form name="dateSelect" class="dateSelect">
                            {$g_msg_text["vttl_mont"]["cmb01"]}
                            <select id="pagewhere" name="pagewhere" onChange="javascritp:pageMove(this.value)"  >
                                <option selected value="statistics.php">{$g_msg_text["vttl_mont"]["cmb01_1"]}</option>
                                <option value="statistics02.php">{$g_msg_text["vttl_mont"]["cmb01_2"]}</option>
                            </select> &nbsp;
                        </form>
                    </div>
                </div>

                <table width="100%" cellpadding="0" cellspacing="0" class="list mgb35">
                <colgroup>  <col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="8%"></col><col width="9%"></col><col width="9%"></col><col width="9%"></col><col width="9%"></col></colgroup>
                <tr>
                    <th class="{$tableDM[0]}">{$g_msg_text["com"]["txt_mon1"]}</th>
                    <th class="{$tableDM[1]}">{$g_msg_text["com"]["txt_mon2"]}</th>
                    <th class="{$tableDM[2]}">{$g_msg_text["com"]["txt_mon3"]}</th>
                    <th class="{$tableDM[3]}">{$g_msg_text["com"]["txt_mon4"]}</th>
                    <th class="{$tableDM[4]}">{$g_msg_text["com"]["txt_mon5"]}</th>
                    <th class="{$tableDM[5]}">{$g_msg_text["com"]["txt_mon6"]}</th>
                    <th class="{$tableDM[6]}">{$g_msg_text["com"]["txt_mon7"]}</th>
                    <th class="{$tableDM[7]}">{$g_msg_text["com"]["txt_mon8"]}</th>
                    <th class="{$tableDM[8]}">{$g_msg_text["com"]["txt_mon9"]}</th>
                    <th class="{$tableDM[9]}">{$g_msg_text["com"]["txt_mon10"]}</th>
                    <th class="{$tableDM[10]}">{$g_msg_text["com"]["txt_mon11"]}</th>
                    <th class="{$tableDM[11]}">{$g_msg_text["com"]["txt_mon12"]}</th>
                </tr>
                <tr class="gray2">
                    <td class="{$tableDM[0]}" align="right">{$chartData["01"]}</td>
                    <td class="{$tableDM[1]}" align="right">{$chartData["02"]}</td>
                    <td class="{$tableDM[2]}" align="right">{$chartData["03"]}</td>
                    <td class="{$tableDM[3]}" align="right">{$chartData["04"]}</td>
                    <td class="{$tableDM[4]}" align="right">{$chartData["05"]}</td>
                    <td class="{$tableDM[5]}" align="right">{$chartData["06"]}</td>
                    <td class="{$tableDM[6]}" align="right">{$chartData["07"]}</td>
                    <td class="{$tableDM[7]}" align="right">{$chartData["08"]}</td>
                    <td class="{$tableDM[8]}" align="right">{$chartData["09"]}</td>
                    <td class="{$tableDM[9]}" align="right">{$chartData["10"]}</td>
                    <td class="{$tableDM[10]}" align="right">{$chartData["11"]}</td>
                    <td class="{$tableDM[11]}" align="right">{$chartData["12"]}</td>
                </tr>
                </table>


                <h3>{$statisticsYearText}</h3>
                {$monthCountText}: <strong class="emRed">{$atMonthCnt}{$g_msg_text["summ_vttl01"]["txt01_2"]}</strong>
                <div class="graphBox2">
                    <ul class="sum">
                        {$strAxisX}
                    </ul>
                    <div class="graph">
                        <ul>
                        <li><span class="{$ChartDM[0]}"><span onmouseover="javascript:showLabel( '1', true)" onmouseout="javascritp:showLabel( '1', false)">{$g_msg_text["com"]["txt_mon1"]}</span></span><span  id="bar1"  class="{$ChartBC[0]}" style="height:{$axisData[1]["01"]}%;top:{$axisData[2]["01"]}%;"><span id="mon1" style="display:none;"><span class="right">{$chartData["01"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[1]}"><span onmouseover="javascript:showLabel( '2', true)" onmouseout="javascritp:showLabel( '2', false)">{$g_msg_text["com"]["txt_mon2"]}</span></span><span  id="bar2"  class="{$ChartBC[1]}" style="height:{$axisData[1]["02"]}%;top:{$axisData[2]["02"]}%;"><span id="mon2" style="display:none;"><span class="right">{$chartData["02"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[2]}"><span onmouseover="javascript:showLabel( '3', true)" onmouseout="javascritp:showLabel( '3', false)">{$g_msg_text["com"]["txt_mon3"]}</span></span><span  id="bar3"  class="{$ChartBC[2]}" style="height:{$axisData[1]["03"]}%;top:{$axisData[2]["03"]}%;"><span id="mon3" style="display:none;"><span class="right">{$chartData["03"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[3]}"><span onmouseover="javascript:showLabel( '4', true)" onmouseout="javascritp:showLabel( '4', false)">{$g_msg_text["com"]["txt_mon4"]}</span></span><span  id="bar4"  class="{$ChartBC[3]}" style="height:{$axisData[1]["04"]}%;top:{$axisData[2]["04"]}%;"><span id="mon4" style="display:none;"><span class="right">{$chartData["04"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[4]}"><span onmouseover="javascript:showLabel( '5', true)" onmouseout="javascritp:showLabel( '5', false)">{$g_msg_text["com"]["txt_mon5"]}</span></span><span  id="bar5"  class="{$ChartBC[4]}" style="height:{$axisData[1]["05"]}%;top:{$axisData[2]["05"]}%;"><span id="mon5" style="display:none;"><span class="right">{$chartData["05"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[5]}"><span onmouseover="javascript:showLabel( '6', true)" onmouseout="javascritp:showLabel( '6', false)">{$g_msg_text["com"]["txt_mon6"]}</span></span><span  id="bar6"  class="{$ChartBC[5]}" style="height:{$axisData[1]["06"]}%;top:{$axisData[2]["06"]}%;;"><span id="mon6" style="display:none;"><span class="right">{$chartData["06"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[6]}"><span onmouseover="javascript:showLabel( '7', true)" onmouseout="javascritp:showLabel( '7', false)">{$g_msg_text["com"]["txt_mon7"]}</span></span><span  id="bar7"  class="{$ChartBC[6]}" style="height:{$axisData[1]["07"]}%;top:{$axisData[2]["07"]}%;"><span id="mon7" style="display:none;"><span class="right">{$chartData["07"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[7]}"><span onmouseover="javascript:showLabel( '8', true)" onmouseout="javascritp:showLabel( '8', false)">{$g_msg_text["com"]["txt_mon8"]}</span></span><span  id="bar8"  class="{$ChartBC[7]}" style="height:{$axisData[1]["08"]}%;top:{$axisData[2]["08"]}%;"><span id="mon8" style="display:none;"><span class="right">{$chartData["08"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[8]}"><span onmouseover="javascript:showLabel( '9', true)" onmouseout="javascritp:showLabel( '9', false)">{$g_msg_text["com"]["txt_mon9"]}</span></span><span  id="bar9"  class="{$ChartBC[8]}" style="height:{$axisData[1]["09"]}%;top:{$axisData[2]["09"]}%;"><span id="mon9" style="display:none;"><span class="right">{$chartData["09"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[9]}"><span onmouseover="javascript:showLabel('10', true)" onmouseout="javascritp:showLabel('10', false)">{$g_msg_text["com"]["txt_mon10"]}</span></span><span id="bar10" class="{$ChartBC[9]}" style="height:{$axisData[1]["10"]}%;top:{$axisData[2]["10"]}%;"><span id="mon10" style="display:none;"><span class="right">{$chartData["10"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[10]}"><span onmouseover="javascript:showLabel('11', true)" onmouseout="javascritp:showLabel('11', false)">{$g_msg_text["com"]["txt_mon11"]}</span></span><span id="bar11" class="{$ChartBC[10]}" style="height:{$axisData[1]["11"]}%;top:{$axisData[2]["11"]}%;"><span id="mon11" style="display:none;"><span class="right">{$chartData["11"]}</span><p class="bl"></p></span></span></li>
                        <li><span class="{$ChartDM[11]}"><span onmouseover="javascript:showLabel('12', true)" onmouseout="javascritp:showLabel('12', false)">{$g_msg_text["com"]["txt_mon12"]}</span></span><span id="bar12" class="{$ChartBC[11]}" style="height:{$axisData[1]["12"]}%;top:{$axisData[2]["12"]}%;"><span id="mon12" style="display:none;"><span class="right">{$chartData["12"]}</span><p class="bl"></p></span></span></li>
                        </ul>
                    </div>
                </div>
__HTML_TEXT__;
echo page_tail();
?>
