/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
 //html 문서 타이틀
//document.title = 'V3Net for Unix Server';

// Tab menu
function TabClick(menuElId,e) {
    var tabMenu = document.getElementById(menuElId).getElementsByTagName("li");
    for(var i=1;i<=tabMenu.length;i++){
        document.getElementById('tabCont_0'+i).style.display = (e==i)?"block":"none";
        document.getElementById('menu_0'+i).className = (e==i)?"select":"";
    }
}

//Popup 띄우기
function openPop(url,idn,intWidth,intHeight,scroll) {
    //x = (screen.availWidth - w) / 3;
    //y = (screen.availHeight - h) / 3;
    x = Math.floor((screen.availWidth - intWidth) / 2);
    y = Math.floor((screen.availHeight - intHeight) / 2);
    if (arguments.length > 5) x = (arguments[5]>0)?arguments[5]:x;
    if (arguments.length > 6) y = (arguments[6]>0)?arguments[6]:y;
    return window.open(url, idn,"width="+intWidth+", height="+intHeight+",resizable=no,scrollbars="+scroll+",left="+x+", top="+y) ;
}

function openWin(url,args, w, h){
    var re = "no";
    if (arguments.length > 4) re = "yes";
    var userAgent = window.navigator.userAgent;
    if ( userAgent.indexOf( "MSIE 6" ) > 0 )
    {
        var isXPSP2below = (userAgent.indexOf( "Windows NT 6" ) > 0);
        var isWindows2k = (userAgent.indexOf( "Windows NT 5" ) > 0);
        var xpTitleBarHeight = 29;
        var border = 2;
        var ifXPSP2_statusBarHeight = 25;
        var ifW2k = 22;

        h = h + xpTitleBarHeight + border;
        if ( isXPSP2below == true ) {
            h += ifXPSP2_statusBarHeight;
        }
        if ( isWindows2k == true ) {
            h += ifW2k;
        }
    }
    var option = "dialogHeight: "+h+"px; dialogWidth: "+w+"px; resizable: no; edge: sunken ; center: yes; scroll: "+re+";";
    var win = window.showModalDialog(url, args, option);	
    return win;
}

function openDialog(args, w, h){
    return openWin(___SRC_ROOT___ + 'modal_popup.php',args, w, h);
}

function openHelp(){
    window.open(___HELP_URL___, '_blank');
}

 //Background-Image Flickder Error Fix (only IE6)
var idxMSIE = -1;
var ie6 = false;
var ieOther = false;
while( navigator.userAgent && (idxMSIE=navigator.userAgent.indexOf('MSIE', idxMSIE+1)) >= 0 ) {
    switch( navigator.userAgent.charAt(idxMSIE+5) ) {
        case '6': ie6 = true; break;
        default: ieOther = true; break;
    }
}
if( ie6 && !ieOther ) {
   try {
        document.execCommand("BackgroundImageCache", false, true);
    }
    catch(err){}
}

//예약 기간 선택 (select 박스로 레이어 선택)
var previouseObj = null;
function change_menu(frm){
    //alert(previouseObj);
     if (previouseObj ){
        document.getElementById(previouseObj).style.display="none";
    }
    if ( previouseObj == frm ){}

    document.getElementById(frm).style.display="block";
    previouseObj = frm;
}

function callLogOut(){
    self.location.href=___SRC_ROOT___+"logout.php";
}
function callProdInfo(){
    openWin( ___SRC_ROOT___ + "pop_prod_info.php", null,394,364);
}
function setCursor(obj, csr){
    obj.style.cursor = csr;
}

function setClass(obj, stl){
    obj.className = stl;
}

function setClassCursor(obj, stl, csr){
    setClass(obj, stl);
    setCursor(obj, csr);
}

function noAction(){;}

var ___PROD_INFO___ = null;
window.document.oncontextmenu = onMenuDragSelect;
window.document.onselectstart = onMenuDragSelect;
window.document.ondragstart = onMenuDragSelect;

function onMenuDragSelect(e){
    e = e || event;
    var element = (e.target ? e.target : e.srcElement);
    if(!(element.nodeName.toLowerCase() == 'input' && element.type &&
            (element.type.toLowerCase() == 'text' || element.type.toLowerCase() == 'password')))
    {
        if(document.selection) //ie
        {
            try
            {
              document.selection.empty();
            }
            catch(err) {  }
            e.returnValue = false;
        }
        else      //ff, opera, safari
        {
            try
            {
              window.getSelection().removeAllRanges();
            }
            catch(err) {  }
            e.preventDefault();
        }
    }
}

function setScrollBottom(id){
	    var obj = document.getElementById(id);
		    obj.scrollTop = obj.scrollHeight;
}

/**
* 브라우저 관계 없이 iframe 내 content 가져오기.
* @param {String}	id
*/
function getIframeContent(id) {
	return document.getElementById(id).contentWindow || document.getElementById(id).contentDocument;
}
/* 새창 상태관리를 위한 */
var child_window = null;
var timeID = null;

function a_tag_block(){
        j$('a').on("click", function(e){
                e.preventDefault();
        });
}

function a_tag_open(){
         j$('a').unbind("click");
}

function chlid_window_check_timer_stop(){
        if (child_window != null)
        {
                if(child_window.closed == true)
                {
                        a_tag_open();
                        clearInterval(timeID);
                }
        }
}

function chlid_window_check_timer_start(){
        timeID = setInterval("chlid_window_check_timer_stop()", 1000);
}

