/******************************************************************************
 *
 *  (C) 2018 AhnLab, Inc. All rights reserved.
 *  Any part of this source code can not be copied with any method without
 *  prior written permission from the author or authorized person.
 *
 ******************************************************************************/
   String.prototype.trim = function() {
      return this.replace(/(^\s*)|(\s*$)|($\s*)/g, "");
   }

   String.prototype.isNull = function() {
      var tmp = this.trim();
      return ((tmp == "") || (tmp == null));
   }

   String.prototype.isid = function() {
      if (this.search(/[^A-Za-z0-9_-]/) == -1)
         return true;
      else
         return false;
   }

   String.prototype.isalpha = function() {
      if (this.search(/[^A-Za-z]/) == -1)
         return true;
      else
         return false;
   }

   String.prototype.isnumber = function() {
      if (this.search(/[^0-9]/) == -1)
         return true;
      else
         return false;
   }

   String.prototype.isemail = function() {
      var flag, md, pd, i;
      var str;

      if ( (md = this.indexOf("@")) < 0 )
         return false;
      else if ( md == 0 )
         return false;
      else if (this.substring(0, md).search(/[^.A-Za-z0-9_-]/) != -1)
         return false;
      else if ( (pd = this.indexOf(".")) < 0 )
         return false;
      else if ( (pd + 1 )== this.length || (pd - 1) == md )
         return false;
      else if (this.substring(md+1, this.length).search(/[^.A-Za-z0-9_-]/) != -1)
         return false;
      else
         return true;
   }

   String.prototype.korlen = function() {
      var temp;
      var set = 0;
      var mycount = 0;

      for( k = 0 ; k < this.length ; k++ ){
         temp = this.charAt(k);

         if( escape(temp).length > 4 ) {
            mycount += 2;
         }
         else mycount++;
      }

      return mycount;
   }

    String.prototype.ByteLength = function() {
        var i,ch;
        var strLength = this.length;
        var count = 0;

        for(i=0;i<strLength;i++)
        {
            ch = escape(this.charAt(i));

            if(ch.length > 4)
                count += 2;
            else if(ch!='\r')
                count++;
        }
        return count;
    }
    String.prototype.isEnglish = function() {
        if (this.search(/[^A-Za-z]/) == -1)
           return true;
        else
           return false;
    }

    /**
     *  문자열에서 Byte Len만큼 문자열 잘라온다.
     *  ex) var s = MidH("대한민국만세123ABS",0,10);
     */
    function MidH(str, n, len, isEtc){
        this.charLen = function(char){
            var ch = escape(char.charAt(0));
            if(ch.length > 4) return 2;
            else if(ch!='\r') return 1;
            return 0;
        };
        len += ((isEtc)?-3:0);
        var ret="";
        var tmp = str.substring(n, len);
        var s="";
        var j=0;
        if(tmp.length>0){
            for(i=0; i< tmp.length ; i++){
                s = tmp.substring(i,i+1);
                j += this.charLen(s);
                if(j <= len){
                    ret = ret + s;
                }else{
                    break;
                }
            }
        }
        if(j > len)
        {
            return ret + ((isEtc)?"...":"");
        }
        else
        {
            return ret;
        }
    }

    function js_replace(str, oldStr, newStr)
    {
        for(var i=0;i<str.length;i++)
        {
            if(str.substring(i, i+oldStr.length) == oldStr)
            {
                str = str.substring(0, i) + newStr + str.substring(i+oldStr.length, str.length)
            }
        }

        return str
    }
    function checkBoxAll(obj)
    {
        var mainCheck = obj.checked;
        var mainCheckName = obj.name;
        var childCheckName = obj.name;
        var i = 1;
        if (arguments.length > 1) {
            i = 0;
            childCheckName = arguments[1];
        }
        var objList = document.getElementsByName(childCheckName);
        var objLen = objList.length;
        for(; i < objLen; i++){
            objList[i].checked = mainCheck;
        }
    }
    function checkBoxFirst(obj)
    {
        var mainCheckName = obj.name;
        var childCheckName = obj.name;
        var objList = document.getElementsByName(childCheckName);
        var mainCheck = objList[0];
        var i = 1;
        if (arguments.length > 1) {
            i = 0;
            mainCheckName = arguments[1];
            if (document.getElementsByName(mainCheckName).length<1) return;
            mainCheck = document.getElementsByName(mainCheckName)[0];
        }
        var objLen = objList.length;
        var isAllCheck = true;
        for(; i < objLen; i++){
            if (!objList[i].checked){
                isAllCheck = false;
                break;
            }
        }
        mainCheck.checked = isAllCheck;
    }
    function checkBoxCount(objName)
    {
        var objList = document.getElementsByName(objName);
        var objLen = objList.length;
        var i = (arguments.length > 1)?((arguments[1] && true)?0:1):1;
        var checkCnt = 0;
        for(; i < objLen; i++){
            if (objList[i].checked) checkCnt++;
        }
        return checkCnt;
    }
    function checkBoxValue(objName, sep)
    {
        var objList = document.getElementsByName(objName);
        var objLen = objList.length;
        var i = (arguments.length > 2)?((arguments[2] && true)?0:1):1;
        var checkValue = "";
        for(; i < objLen; i++){
            if (objList[i].checked) checkValue += sep + objList[i].value;
        }
        if (checkValue.length > 0) checkValue = checkValue.substring(sep.length);
        return checkValue;
    }
    function clickCheckbox(chkId)
    {
        var eventId = window.event.srcElement.id;
        var objCheckBox = document.getElementById(chkId);
        if (eventId != chkId) objCheckBox.checked = !objCheckBox.checked;
        var argu = new Array();
        argu[0] = objCheckBox;
        if (arguments.length > 1) argu[1] = arguments[1];
        checkBoxFirst.apply(null, argu);

    }
    function makeDialogArgument(src, data)
    {
        var objRtn = new Object();
        objRtn.src = src;
        objRtn.data = new Array();
        objRtn.opener = this;
        if (data.length > 0){
            var arrData = data.split("&");
            var dataLen = arrData.length;
            for(var i = 0; i < dataLen; i++){
                objRtn.data[i] = arrData[i].split("=");
            }
        }
        return objRtn;
    }
    function checkURL(str){
        var re = new RegExp('^((http|https|ftp):\\/\\/)?'+ // protocol
                            '(?:\\S+(?::\\S*)?@)?' + // authentication
                            '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|'+ // domain name
                            '(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9]))'+ // IP
                            '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*'+ // port and path
                            '(\\?[;&a-z\\d%_.~+=-]*)?'+ // query string
                            '(\\#[-a-z\\d_]*)?$','i'); // fragment locater
        if (str.match(re)) return true;
        else return false;
    }
    function checkIP(str){
        var ipformat = /^(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])\.(25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9]?[0-9])$/;
        if(str.match(ipformat))
        {
            return true;
        }
        else
        {
            return false;
        }
    }
    function isUrlFtp(str){
        var re=new RegExp("^(ftp:\/\/.+)","gi");
        if (str.match(re)) return true;
        else return false;
    }
    function checkDate(orgDate){
        var tmp = orgDate.split("-", 3);
        var nYear = (!isNaN(tmp[0]))?parseInt(tmp[0].replace(/[^\d]/g, ""), 10):0;
        var nMonth = (!isNaN(tmp[1]))?parseInt(tmp[1].replace(/[^\d]/g, ""), 10)-1:0;
        var nDay = (!isNaN(tmp[2]))?parseInt(tmp[2].replace(/[^\d]/g, ""), 10):1;
        var chkDate = new Date(nYear, nMonth, nDay);
        var sMonth = ((chkDate.getMonth()<9)?"0":"") + (chkDate.getMonth(10)+1).toString(10);
        var sDay = ((chkDate.getDate()<10)?"0":"") + chkDate.getDate(10).toString(10);
        return (orgDate != (chkDate.getFullYear().toString(10) + "-" + sMonth + "-" + sDay));
    }
    function funcFocus(obj)
    {
        //obj.select();
    }

    var __ex_key_code__ = ",8,9,13,16,17,18,20,27,32,35,36,37,38,39,40,45,46,116,";

    var __date__ = /^[0-9]{4}-(((0[13578]|(10|12))-(0[1-9]|[1-2][0-9]|3[0-1]))|(02-(0[1-9]|[1-2][0-9]))|((0[469]|11)-(0[1-9]|[1-2][0-9]|30)))$/i;
    var __time__ = /^([0-1][0-9]|[2][0-3]):([0-5][0-9])$/i;
    var __email__ = /^([0-9A-Z]([-.\w]*[0-9A-Z])*@([0-9A-Z][-\w]*[0-9A-Z]\.)+[A-Z]{2,9})$/i;
    var __decimal_number__ = /^[0-9]*(\.)?[0-9]+$/i;
    var __ip__ = /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])$/i;
    var __pw__ = /((?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))/;

    var __pat1__ = new RegExp("[^0-9a-zA-Z/]", "g");
    var __pat2__ = new RegExp("[^0-9]", "g");
    var __pat3__ = new RegExp("[^a-zA-Z]", "g");
    var __pat4__ = new RegExp("[^0-9a-zA-Z@\.\-]", "g"); // email을 위한
    var __pat5__ = new RegExp("[^0-9\.]", "g"); // IP
    var __pat7__ = new RegExp("[\*/]", "g");
    var __pat8__ = new RegExp("[^0-9]", "g") // 파일 사이즈
    function replaceValidate(val, pat, rep)
    {
        return val.replace(pat, rep);
    }
    function inputReplace(obj, pat)
    {
        if ((window.event.keyCode == 0) || __ex_key_code__.indexOf(","+window.event.keyCode+",") >= 0) return;
        var rep = (arguments.length>2)?arguments[2]:"";
        obj.value = replaceValidate(obj.value, pat, rep);
    }
    function checkValidate(val, pat)
    {
        return (val.search(pat) >= 0);
    }
    function getEvent(e){return (window.event)?window.event:e;};
    function getPosTop(obj){ return obj ? obj.offsetTop + getPosTop(obj.offsetParent) : 0; }
    function getPosLeft(obj){ return obj ? obj.offsetLeft + getPosLeft(obj.offsetParent) : 0; }

    function getCookie(name) {
      var token = name + "=";
      var cookies = document.cookie.split(';');
      for(var i = 0; i < cookies.length; i++) {
        var cookie = cookies[i];
        while(cookie.charAt(0) == ' ') cookie = cookie.substring(1);
        if(cookie.indexOf(token) == 0) return cookie.substring(token.length, cookie.length);
      }
      return "";
    }

